Start Main

Welcome

Thank you for choosing Dynamsoft SourceAnywhere Hosted.

SourceAnywhere Hosted is a hosted version control solution designed for development teams who are ready to migrate away from SourceSafe for better performance, security, scalability and reliability.

To get the latest information about Dynamsoft SourceAnywhere Hosted, please visit our website: www.dynamsoft.com

The following topics are included in this section:

  • Cache Server
  • Delta Transfer
  • End User Agreement
  • Getting Supported
  • Bug Reports and Comments

Copyright © Dynamsoft Corporation 2011. All rights reserved.
Dynamsoft SourceAnywhere Hosted

Dynamsoft SourceAnywhere Hosted on the Web

Go to Web for the latest Dynamsoft SourceAnywhere Hosted information.

Our Products
Dynamsoft SourceAnywhere for VSS

Dynamsoft SourceAnywhere for VSS is a remote access tool for Microsoft Visual SourceSafe (VSS).

Dynamsoft SourceAnywhere Standalone

Dynamsoft SourceAnywhere Standalone is a source control tool designed to be the compelling replacement for Microsoft Visual SourceSafe.

Dynamsoft Issue Tracking Anywhere

Dynamsoft Issue Tracking Anywhere is a web-based issue tracking system designed for applications of issue/bug tracking, project management, customer support, etc.

Dynamsoft SCM Anywhere Standalone

Dynamsoft SCM Anywhere Standalone is the SQL-based software configuration management (SCM) solution with fully integrated version control, issue tracking and build automation.

Dynamsoft SCM Anywhere Hosted

SCM Anywhere Hosted is the world's 1st hosted SCM (software configuration management) solution. It is delivered as a a SaaS application and comes with fully integrated version control, issue tracking, build automation and professional service to manage your whole software development life cycle.


Cache Server

Dynamsoft SourceAnywhere Hosted provides a caching solution for distributed development. Dynamsoft SourceAnywhere Hosted Cache Server is an optional caching system used to cache copies of requested server files, thereby improving the client responsiveness.

When you have more than 1 developer working on the same project at the same remote location, you may need Dynamsoft SourceAnywhere Hosted Cache Server.

This is the scenario: When a user try to get or check out a file through Cache Server, if the file was transferred through this cache server before, the file will be transferred directly from cache server to client without sending request to server.

Additional features of Dynamsoft SourceAnywhere Hosted Cache Server are listed below:

  • Low Administrative Overhead
    Files are automatically cached upon requests; Dynamsoft SourceAnywhere Hosted Cache Server is self-maintaining.
  • Standard TCP/IP Communication Link
    Dynamsoft SourceAnywhere Hosted uses TCP/IP as the communication link between Dynamsoft SourceAnywhere Hosted Server, Dynamsoft SourceAnywhere Hosted Cache Server, and Dynamsoft SourceAnywhere Hosted Client. It allows Dynamsoft SourceAnywhere Hosted Cache Server to be deployed over WAN or LAN with ease.
  • Encrypted Data Transmission
    Data transmission between Dynamsoft SourceAnywhere Hosted Server, Dynamsoft SourceAnywhere Hosted Cache Server and Dynamsoft SourceAnywhere Hosted Client can be secured by implementing SSL encryption.
  • Scalable Distribution Mechanism
    The distribution mechanism provided by Dynamsoft SourceAnywhere Hosted Cache Server can scale into the tens of thousands of servers as needed.

The deployment of Dynamsoft SourceAnywhere Hosted Cache Server is fairly straightforward. Please refer to the following sections for more information:

  • Cache Server Installation
  • Cache Server Manager


Delta Transfer

Delta Transfer uses an algorithm for updating a file on one machine to be identical to a file on another remote machine. The algorithm identifies parts of the source file which are identical to some parts of the destination file, and only sends those parts which cannot be matched in this way. Effectively, the algorithm computes a set of difference without having both files on the same machine.

Typically, Delta Transfer works very well when the two machines are connected by a low-bandwidth, high-latency communications link. In this case, the connection between the two machines is the major bottleneck of the whole system. By dramatically reducing the amount of the bytes to be sent over the link, the efficiency of the operations would be greatly improved.

Particularly, source control is the ideal application for Delta Transfer to work extremely well. When we use source control tool, we mainly use it to record the modifications. The similarity of the different versions of a file is the key for Delta Transfer to perform its magic.

Note: Under the following cases, Delta Transfer may not be very helpful:

  • When the two machines are connected by LAN. Since the LAN is a very fast connection, the time saved by reducing the amount of bytes to be sent may not justify the time spent on generating the delta info and reconstructing the file.
  • If the file is in a compressed format. Since any small change in the original file usually results dramatically change in the compressed file, Delta Transfer would probably end up sending almost the whole original file plus some bytes used by the Delta Transfer algorithm itself. The most common compressed file formats are such as .zip, .rar, .mp3 and so on.

But no worries. Our Delta Transfer can function correctly, reasonably and efficiently under even these circumstances.


License Agreement

END USER AGREEMENT

IMPORTANT: PLEASE READ CAREFULLY.

The user of this software is subject to the terms of the end user agreement printed below. If you do not agree with any of the terms, then you should not install or use any part of the software or service in any way. By signing up for SourceAnywhere Hosted service and/or using this product, you agree to be bound by all the terms and conditions of this agreement.

The Agreement

This document is a legal agreement between Dynamsoft Corporation, Canada, hereafter referred to as "Dynamsoft" and the user of the software herein referred to as "You".

Definitions

"SOFTWARE" means the software known as "Dynamsoft SourceAnywhere Hosted" and all its components, parts and documentation, which have been developed by Dynamsoft.

"SERVICE" means the services provided by Dynamsoft, including but not limited to SourceAnywhere Hosted hosting service and customer service.

Subscription

SERVICE is subscribed on a per user basis (not by concurrent users). For example, if you have three developers using Dynamsoft SourceAnywhere Hosted, you need to subscribe three users: one user for each of those three developers. Each user may install the SOFTWARE Client on multiple machines as needed and access Dynamsoft SourceAnywhere Hosted Server from multiple clients at the same time.

Dynamsoft SourceAnywhere Hosted Cache Server does not require additional license or subscription. For higher performance, it is recommended you install SourceAnywhere Hosted Cache Server on your site and let multiple users connect to the cache server.

Master Subscription Agreement

By installing or using any part of the SOFTWARE, you also agree with all the terms in the Master Subscription Agreement, which is provided when you sign up for the SERVICE.

Copyright

All rights, title, and copyrights in and to the SOFTWARE and SERVICE are owned by Dynamsoft Corporation or its suppliers. The SOFTWARE is protected by copyright laws and international treaty provisions. The SOFTWARE is subscribed, not sold.

Restrictions

You may not modify, reverse engineer, decompile, disassemble the SOFTWARE.

You may make a single copy of the SOFTWARE for backup purposes only.

All rights reserved, except as expressly provided for in this agreement.

Warranties and Disclaimers

This SOFTWARE and the accompanying files are licensed "AS IS" without warranty of any kind either expressed or implied, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Any use by you of the SOFTWARE is at your own risk.

Limitation of liability. Dynamsoft Corporation's entire liability and your exclusive remedy under this Agreement shall not exceed ten US dollars (US $10.00).

No liability for consequential damages. Under no circumstance shall Dynamsoft or its suppliers be reliable for any damages whatsoever arising from the using or inability of use Dynamsoft product.

Applicable Law

This agreement shall be governed by the laws of Canada.


Getting Supported

Dynamsoft is committed to providing the best customer support in the industry. Our support team is ready to offer high quality, friendly and responsively technical support for our valued registered users.

E-mail is selected as the main means of support, since code can be exchanged easily in e-mail and service quality can be ensured by monitoring.

Our e-mail address for Dynamsoft SourceAnywhere family products is sawhosted@dynamsoft.com.

We provide Live Support on weekdays. Live Support is an online chat service for our customers to interact with our support professional in real time. This service is provided on our web site, http://www.dynamsoft.com.

You can also get supported from Dynamsoft Support Forum. It is a tech support forum community where members of this community can come to discuss and get help with all issues related to Dynamsoft products. Our support forum URL is http://forums.dynamsoft.com.


Bug reports

Bug Reports and Comments

To help us serve you better, should you discover any bugs or have any comments or suggestions, please tell us through sawsupport@dynamsoft.com. Your comments are very important to us and we thank you very much for your effort.


Install Dynamsoft SourceAnywhere Standalone

Install Dynamsoft SourceAnywhere Hosted

Dynamsoft SourceAnywhere Hosted is extremely easy to install. It is totally written in C++ from scratch, which means that you don't need any additional components and frameworks to support the installation.

The installation process is pretty straightforward. Simply run the installation executables and the setup wizard will guide you through all the steps.

The following topics are included in this section:

  • Server Manager Installation
  • Cache Server Installation (Optional)
  • Client Installation
  • Uninstall


Install Server Manager

Server Manager Installation

The following topics are included in this page:

  • Running the Setup
  • Starting the Server Manager

Running the Setup

Running the setup is pretty straightforward. Simply run the installation executable and the setup wizard will guide you through all the steps.

Starting the Server Manager

Start Dynamsoft SourceAnywhere Hosted Server Manager using the entry created under the Start menu, and then the Login dialog box will prompt you for your organization ID and username/password of the hosted service. This enables you to manage your Dynamsoft SourceAnywhere Hosted database remotely.

For more information about Server Manager, please refer to Server Manager section.


Install Cache Server

Cache Server Installation (Optional)

Dynamsoft SourceAnywhere Hosted Cache Server is used to cache copies of requested server files, providing faster access to files on the database. It is installed on the same LAN as the clients; or is installed on a machine on the WAN that connects to the clients with minimal WAN traffic using any standard TCP/IP connection.

The cache server is installed as a system service; hence it can be installed on any Windows platforms which support service. It runs in the background with no user interface of any kind.

The following topics are included in this page:

  • Cache Server Configuration Requirement
  • Running the Setup
  • Starting and Configuring the Cache Server

Cache Server Configuration Requirement

  • Pentium class CPU
  • 256 MB RAM
  • 64 MB free hard disk space
  • Network adapter/Modem
  • Windows 2000/2003/XP/Vista/2008/7
  • TCP/IP protocol

Running the Setup

Running the setup is pretty straightforward. Simply run the installation executable and the setup wizard will guide you through all the steps.

Starting and Configuring the Cache Server

There are two ways to start the cache server: one is through Cache Server Manager that is included in the cache server installation. The other is through control panel: Select Administrative Tools, then Services. Right-click Dynamsoft SourceAnywhere Hosted Cache Server and select Start.

For information on how to configure the cache server, please refer to the Configuring Cache Server page.


Install Client

Client Installation

The following topics are included in this page:

  • Windows GUI Client Installation
  • Java GUI Client Installation
  • MSSCCI-compatible IDE Integration Installation
  • Eclipse Plug-in Installation
  • Macromedia Studio Plug-in Installation

Windows GUI Client Installation

Before the installation, please make sure the client machine meets the following basic configuration requirements.

  • Pentium class CPU
  • 64 MB RAM
  • 32 MB free hard disk space
  • Windows 2000/2003/XP/Vista/2008/7
  • Network adapter/Modem
  • TCP/IP protocol

Also, Dynamsoft SourceAnywhere Hosted uses temporary file to carry out operations, so more free disk space may be required when large file is used.

Running the setup is pretty straightforward. Simply run the installation executable and the setup wizard will guide you through all the steps.

Java GUI Client Installation

For information on how to install and run Java GUI Client, please refer to How to run Java Client page.

MSSCCI-compatible IDE Integration Installation

The MSSCCI-compatible IDE integration may be enabled during the Client installation process. To enable Dynamsoft SourceAnywhere Hosted integration into development environments, click the Yes button in response to the following question:

If Dynamsoft SourceAnywhere Hosted is not to be the default Source Code Control provider, click No.

The MSSCCI IDE Integration is suitable for use in development environments that is compatible with Microsoft Source Code Control Interface (MSSCCI), such as Visual Studio, Visual Studio.NET, Rational Rapid Developer, Delphi, etc.

Dynamsoft SourceAnywhere Hosted provides a way for you to toggle among multiple Source Code Control providers when using IDE integration. This feature can be accessed from Tools -> Options -> General. Also, you can use Dynamsoft SourceAnywhere Hosted's SCC Provider Manager to do this. SCC Provider Manager can be found in Dynamsoft SourceAnywhere Hosted Client program group.

Eclipse Plug-in Installation

The installation procedure is as follows:

  1. Start Eclipse IDE. On the Help menu, click Software Updates and choose Find and Install.
  2. In the Feature Updates dialog box, choose "Search for new features to install" option.
  3. In the Update sites to visit dialog, click New Remote Site button. Input a name for this update site (e.g. Dynamsoft Eclipse Plugin) and the following URL: http://www.dynamsoft.com/download/sourceanywhere/EclipsePlugin/SAWH/
  4. Check the "Dynamsoft Eclipse Plugin" box in the Sites to include in search pane and click Finish.
  5. In the Search Results dialog, choose the features to install and click Next.
  6. Please read the license agreement of Dynamsoft SAW Hosted Feature carefully, then select "I accept the terms in the license agreement."
  7. In the Installation dialog, select the feature and choose a location to install it. Then Click Finish.
  8. Verify the feature information in the Feature Verification dialog and click Install.
  9. Restart the Eclipse IDE for the changes to take effect.

Macromedia Studio Plug-in Installation

The Macromedia Studio plug-in is installed with the Windows GUI Client. Running the installation executable of Windows GUI Client will install the Macromedia Studio plug-in automatically.


Uninstall Dynamsoft SourceAnywhere Standalone

Uninstall

To uninstall SourceAnywhere Hosted program you can use one of the following methods:

  1. Remove the program from Control Panel.
  2. Remove the program by running the installation package, which will guide you through the uninstall.


Client

Using Dynamsoft SourceAnywhere Hosted

Dynamsoft SourceAnywhere Hosted includes the following types of client:

  • Windows GUI Client
  • Java GUI Client
  • Visual Studio IDE Client
  • Eclipse Plug-in
  • Macromedia Studio Plug-in
  • Command Line Client
  • Ant Plug-in
  • CruiseControl.NET Plug-in


Windows GUI Client

Dynamsoft SourceAnywhere Hosted Windows GUI Client resembles the SourceSafe Explorer user interface very much. Users can perform most SourceSafe operations in a similar fashion. Furthermore, Dynamsoft SourceAnywhere Hosted has many enhancements compared with VSS operations.

After the setup is complete, start Dynamsoft SourceAnywhere Hosted Client using the entry created under the Start menu.


Client Window and Menus

Main Window and Menu

  • Client Window
  • Main Menu


Client Window

The main window of Dynamsoft SourceAnywhere Hosted Client includes the following parts:

  • Title bar
  • Menu bar
  • Source Location
  • Working Folder Location
  • Toolbar
  • Project tree pane
  • File list pane
  • Status window
  • Pending Checkins window
  • Status bar

Window Items

Title bar

The title bar displays your organization ID and the type of hosting plan.

Menu bar

The menu bar has the following menus: File, Edit, View, Source, Tools, Help. See also Main Menu.

Source Location

With a valid project path in the bar, you can navigate to the project location directly by pressing Enter.

Working Folder Location

Display the local working directory path of currently selected project. Since SourceAnywehere Hosted 3.0.1, the path is designed as a hyperlink which enables users to explore the working folder easily. See also Set Working Folder.

Toolbar

The toolbar provides quick access to the basic Dynamsoft SourceAnywhere Hosted commands, including Create Project, Add Files, Label, Delete, Get Latest Version, Check Out, Check In, Undo Check Out, Share, Branch, View, Edit, Show Differences, Show Properties, Show History, Set Working Folder, Refresh, Delta Transfer, and Help.

Project tree pane

The project tree pane displays as a hierarchical tree on the left side of the Client window. It lists all available projects in the current repository.

File list pane

The file list pane is on the right side of the Client window. It displays a list of files in the current project. The columns displayed in the file list pane is customizable in Tools->Options->File List Columns Tab.

  • Name: Displays the file name
  • User: Displays the name of the user who checked out the file
  • Remote Date: Displays the modification date/time of the remote copy of the file
  • Check Out Folder: Displays the path of the working folder to which the file is checked out
  • Extension: The file extension.
  • Status: Shows the state of the local copy of the file in the working folder. Users are allowed to customize colors for different file status at Tools -> Options -> File Status Color tab.
    • Status | Explanation
Normal | The local copy in the working folder has not been edited. It matches the version in the repository.
Modified | The local copy in the working folder has been edited. The remote version has not changed.
Old | The server copy of the file is newer than the local copy in the working folder. The local copy in the working folder has not been edited.
Missing | The local copy in the working folder does not exist.
Unknown | The local copy exists in the working folder but SourceAnywhere Hosted cannot determine its status.
  • Check in Date:Displays the add or check in date/time of the file
  • Server Version:The file version of server side
  • Local Version:The file version of local side
  • Remote Size: Displays the size of the remote copy of the file.

Status window

The status window is located in the lower portion of the Client window. The successes or failures of recently performed operations are dynamically logged to this window.

The number of lines displayed in the Status Window is configurable from Tools > Options > View Tab. The default is 500 lines. To clear the Status Window, select Clear Status Window from the Edit menu.

Pending Checkins window

The Pending Changes Window allows you to view and manage all the pending check-ins. The window is divided into three parts: Toolbar, Comment, and Pending File List.

  • Toolbar: Available operations: check in pending checkins, keep check out, shelve pending checkins, unshelve pending checkins, compare with the latest version, view local files, undo pending checkins, refresh pending.
  • Comment: Write a comment.
  • Pending File List: Display file information - Name, Local Path and Server Path.
    If a file was checked out on the other machine, the machine name will be added before its local path.

Status bar

Displays current command information, currently logged-in username, encryption status, sort and number of items at the bottom of the Client window.


Main Window Menu

Menus in the main window of Dynamsoft SourceAnywhere Hosted Client:

File

Login (Keyboard Shortcut: Ctrl+O)

Performs the Login command.

Select Repository (Keyboard Shortcut: Ctrl+R)

Performs the Select Repository command.

Add Files (Keyboard Shortcut: Ctrl+A)

Performs the Add Files command.

Create Project

Performs the Create Project command.

Delete (Keyboard Shortcut: <Del>)

Performs the Delete command.

Rename (Keyboard Shortcut: F2)

Performs the Rename command.

Properties

Performs the Properties command.

Set Working Folder (Keyboard Shortcut: Ctrl+D)

Performs the Set Working Folder command.

Explore Working Folder

Open a Windows Explorer window for current working folder. This command is available only when a local copy of the selected file or project exists in the working folder.

Move

Performs the Move command.

Label

Performs the Label command.

Exit

Exit Dynamsoft SourceAnywhere Hosted Client.

Edit

View File

Performs the View command.

Edit File

Performs the Edit command.

Select All (Keyboard Shortcut: Ctrl+Shift+L)

Selects all files in the file list.

Invert Selection

Inverts the selection in the file list.

Clear Status Window

Clears the status window.

View

Refresh (Keyboard Shortcut: F5)

Performs the Refresh command.

Project Tree

Shows the project tree.

Output

Shows the Output window.

Pending Checkins

Shows the Pending Checkins window.

Source

Get Latest Version (Keyboard Shortcut: Ctrl+G)

Performs the Get Latest Version command.

Check Out (Keyboard Shortcut: Ctrl+K)

Performs the Check Out command.

Check In (Keyboard Shortcut: Ctrl+U)

Performs the Check In command.

Undo Check Out

Performs the Undo Check Out command.

Shelve Pending Checkins

Performs the Shelve Pending Checkins command.

Unshelve Pending Checkins

Performs theUnshelve Pending Checkins command.

Share To

Performs the Share command.

Branch

Performs the Branch command.

Merge Branches

Performs the Merge Branches command.

Pin

Performs the Pin command.

Tools

Wildcard Search (Keyboard Shortcut: Ctrl+W)

Performs the Wildcard Search command.

Status Search (Keyboard Shortcut: Ctrl+S)

Performs the Status Search command.

Show History (Keyboard Shortcut: Ctrl+H)

Performs the Show History command.

Show Labels

Performs the Show Labels command.

Show Differences (Keyboard Shortcut: Ctrl+F)

Performs the Show Differences command.

Annotate (Keyboard Shortcut: Ctrl+B)

Performs the Annotate command.

Cloak Projects (Keyboard Shortcut: Ctrl+C)

Performs the Cloak Project command.

Web Deploy (Keyboard Shortcut: Ctrl+Y)

Performs the Web Deploy command.

Change Password

Performs the Change Password command.

Login Log

Performs the Login Log command.

Import Blowfish User Key

Imports the Blowfish User Key.

Export File List

Exports the file list to a file.

Options

Sets options for Dynamsoft SourceAnywhere Hosted Client. See also Dynamsoft SourceAnywhere Hosted Options section.

Help

Contents

Opens the Help file.

Search

Brings up the Search tab of the Help file.

Index

Brings up the Index tab of the Help file.

Support

Shows the contact information of Dynamsoft SourceAnywhere Hosted technical support.

About Dynamsoft SourceAnywhere Hosted

Shows the version number and edition of Dynamsoft SourceAnywhere Hosted.


Basic Operations

This section contains in-depth descriptions of Dynamsoft SourceAnywhere Hosted features and procedures for accomplishing basic tasks.

  • Add Files/Folders
  • Annotate
  • Check Out, Check In and Edit Files/Projects
  • Cloak Projects
  • Compare Files/Projects
  • Create New Project
  • Deploy Web Projects
  • Get and View Files/Projects
  • Label Files/Projects
  • Login Repositories
  • Merge Files
  • Rename and Move Files/Projects
  • Passwords
  • Pin Files
  • Refresh
  • Remove Files/Projects
  • Rollback
  • Set Working Folder
  • Share and Branch Files/Projects
  • Shelve and Unshelve Pending Checkins
  • Status Search
  • View File/Project History
  • View File/Project Properties
  • Wildcard Search


Add Files or Folders

Add Files/Folders

After a project is created in Dynamsoft SourceAnywhere Hosted, you can add files or an entire folder to the new project.

For information about how to add files or an entire folder to Dynamsoft SourceAnywhere Hosted, please refer to:

  • Add Files
  • Add a folder


Add Files

See Also

  • Add Files Command

How to add a file

  1. Select the project you want to add the file(s) to.

  2. Click Add Files button on the toolbar or select Add from either the File menu or by right-clicking the selected project.

  3. In Add File dialog box, select the file(s) you want to add. Multiple files can be selected by holding the CTRL or SHIFT key down as you select. Holding CTRL+A will select all files within the selected folder.

  4. Click Add to display the Add File Comment dialog box.

  5. Type a comment in the Comment box to describe the file you are adding.

  6. Click OK.

Note: You can also add files using drag and drop from Windows Explorer to file list or project tree in Dynamsoft SourceAnywhere Hosted.


Add a folder

  • Add Files Command

How to add a folder

  1. Select the project you want to add a folder to.

  2. Click Add Files button on the toolbar or select Add from either the File menu or by right-clicking the selected project.

  3. In Add File dialog box, select a folder from the folders list.

  4. Click Add to display the Add Folder Comment dialog box.

  5. Type a comment in the Comment box to describe the folder you are adding.

  6. If you want subfolders included, click Recursive.

  7. Click OK.

Note: You can also add a folder using drag and drop from Windows Explorer to file list or project tree in Dynamsoft SourceAnywhere Hosted.


Annotate

Annotate enables you to quickly determine who and when made the last changes on each individual section of code. You can also get the detail information including Path, Version, User, Date, Lines and Comment through the tooltip.

This feature is only available for mergeable file.

For information on how to annotate a file, please refer to:

  • How to annotate files


Annotate Files

  • Annotate Command

How to annotate latest version of a file

  1. Select the file you want to annotate from the file list.
  2. Select the Annotate command from the Tools menu or by right-clicking the selected file.

How to annotate history version of a file

  1. In the History Explorer dialog box, select the version of an item you want to annotate.

  2. Click Annotate button.


Check Out, Check In, and Edit Files/Projects

Checking out a file retrieves the latest version of the file and places a writable copy into your local folder. This enables you to edit the file in your local machine and check in the file when your modification is done. You can also undo the checkout if you decide not to check in your modification into the repository.

Generally, a file that is checked out can not be checked out by anyone else unless the current Dynamsoft SourceAnywhere Hosted repository has been set to allow multiple checkouts.

For information about how to check in, check out or edit files, please refer to:

  • Check Out Files or Projects
  • Check In Files or Projects
  • Edit Files
  • Undo Check Out


Check Out Files/Projects

  • Check Out Command

How to check out a file

    1. Select the file you want to check out from the file list. Multiple files can be selected by holding the CTRL or SHIFT key down as you select.

    2. Click Check Out button on the toolbar or select Check Out from the Source menu or by right-clicking the selected file.

    3. If the working folder is not set, the Setting Working Folder dialog box will be displayed. Click OK to set your working folder.

    4. If you have checked the Check Out check box in Options->Command Dialogs tab, the Check Out dialog box is displayed.

    5. Click OK to check out the file.

How to check out a project

1. Select the project you want to check out from the project tree.

2. Click Check Out button on the toolbar or select Check Out from the Source menu or by right-clicking the selected project.

3. If the working folder is not set, the Setting Working Folder dialog box will be displayed. Click OK to set your working folder.

4. If you have checked the Check Out check box in Options->Command Dialogs tab, the Check Out dialog box is displayed.

5. Click OK to check out the project.


Check In Files/Projects

  • Check In Command

How to check in a file

  1. Select the checked-out file you want to check in from the file list. Multiple files can be selected by holding the CTRL or SHIFT key down as you select.
  2. Click Check In button on the toolbar or select Check In from the Source menu or by right-clicking the selected file.
  3. Enter a comment in the Comment box of the Check In dialog box, if you'd like to add a comment for the change.
  4. Click OK to check in the file.

How to check in a project

  1. Select the project you want to check in from the project tree.
  2. Click Check In button on the toolbar or select Check In from the Source menu or by right-clicking the selected project.
  3. Enter a comment in the Comment box of the Check In dialog box, if you'd like to add a comment for the change.
  4. Click OK to check in the project.

Note:

    1. Check In on a project is applied on all checked-out files within the project.

    2. If you try to check in or undo checkout a shared file which was checked out to another location, you will get the following prompt message:

    3. If you try to check in or undo checkout a file which was checked out on another machine by yourself, you will get the following prompt message:

    4. If you try checking out or undoing check out a file which was checked out by others, you will get the following prompt message:


Edit Files

  • Edit Command

Allows you to check out and edit files in one operation. When you edit a file, Dynamsoft SourceAnywhere Hosted checks out the file and automatically opens the file in a file editor.

How to edit a file

    1. Select a file you want to edit from the file list.

    2. Click Edit button on the toolbar or select Edit File from the Edit menu or by right clicking the selected file.


Undo Check Out

  • Undo Check Out Command

Allows you to undo the checkout if you decide not to check in your modification into the repository, and the file will revert to the status before the Check Out command was performed.

How to undo check out of a file

    1. Select a checked-out file from the file list. Multiple files can be selected by holding the CTRL or SHIFT key down as you select.

    2. Click Undo Check Out button on the toolbar or select Undo Check Out from either the Source menu or by right-clicking the selected file.

    3. If you have checked the Undo Check Out check box in Options->Command Dialogs tab, the Undo Check Out dialog box is displayed.

    4 Click OK to undo check out of the file.

How to undo check out of a project

    1. Select a checked-out project from the project tree

    2. Click Undo Check Out button on the toolbar or select Undo Check Out from either the Source menu or by right-clicking the selected file.

    3. If you have checked the Undo Check Out check box in Options->Command Dialogs tab, the Undo Check Out dialog box is displayed.

    4 Click OK to undo check out of the project.

Note:

    1. Undo Check Out on a project is applied on all checked-out files within the project.

    2. If you try to check in or undo checkout a shared file which was checked out to another location, you will get the following prompt message:

    3. If you try to check in or undo checkout a file which was checked out on another machine by yourself, you will get the following prompt message:

    4. If you try checking out or undoing check out a file which was checked out by others, you will get the following prompt message:


Cloak Projects

Cloak Project allows you to specify the projects to be ignored during recursive operations such as Get, Check In, Check Out, and Undo Check Out.

Cloaked projects will be skipped when any recursive operation is performed on its ascendants. Therefore, cloaking the projects which you never or seldom work on may improve the performance.

For information about how to cloak or uncloak a project, please refer to:

  • How to cloak projects


How to cloak projects

Cloak Projects

  • Cloak Command

How to cloak a project

    1. Select the project from the project tree.

    2. Select Cloak Project command from the Tools menu.

    3. The file symbol in the project tree will change to light gray, indicating that the project has been cloaked.

How to uncloak a project

    1. Select the cloaked project from the project tree.

    2. Select Uncloak Project command from the Tools menu.

Note: You can also cloak or uncloak a project in the General tab of Project Properties dialog box.


Compare Files/Projects

In Dynamsoft SourceAnywhere Hosted, you can use a diff utility to compare two files or projects, and show the difference if any. The default diff utility in Dynamsoft SourceAnywhere Hosted is MergeHero. Dynamsoft SourceAnywhere Hosted may also be configured with an external application for visual diff on files or directories. This setting is in Tools->Options->External Programs tab.

When you compare two files,

  • For mergeable files, Dynamsoft SourceAnywhere Hosted visually displays the individual line differences between the two files.
    ¡¡
  • For binary files, Dynamsoft SourceAnywhere Hosted only identifies the differences.

When you compare two projects, Dynamsoft SourceAnywhere Hosted displays the project-level differences (for example, lists which items exist in one project only) between the two projects.

In Dynamsoft SourceAnywhere Hosted, you can compare files or projects in several ways:

  • Using Show Differences command to compare a file/project to any of their own versions or others in a local or server path.
    ¡¡
  • Using Diff command in History Explorer dialog box to compare a specific history version of an item to a previous version in repository , etc.
    ¡¡
  • Using Diff command in Show Labels dialog box to compare a labeled version of an item to the current version in repository, etc.

For information about how to compare files or projects, please refer to:

  • Show Differences
  • History Diff
  • Label Diff


Show Differences

  • Show Differences Command

To diff files

  1. Select a file from the file list.
  2. Click the Files Difference button on the toolbar or select Show Differences from either the Tools menu or by right-clicking the selected item.
  3. In the Show Differences dialog box, select source and target items you want to compare. You can input the file's path directly in the Source Path and Target Path box. Or you can click Browse to navigate to a file. By default, Dynamsoft SourceAnywhere compares the local copy to current version of the item in the team project.
  4. Click OK to display the difference(s).

To diff projects

  1. Select a project from the project tree.
  2. Click the Project Differences button on the toolbar or select Show Differences from either the Tools menu or by right-clicking the selected item.
  3. In Show Differences dialog box, select source and target items you want to compare. Also you can input the file's path directly in the path box. By default, Dynamsoft SourceAnywhere compares the local copy to current version of the item in repository.
  4. Choose among the five View Options.
  5. Click OK to display the difference(s).


History Diff

  • Show Differences (History Diff) Dialog Box

Allows you to compare a history version of an item to a previous version in repository, etc.

To do so,

  1. Select a version of an item in the History Explorer dialog box.
  2. Click Diff button.
  3. In Show Differences dialog box, select the item you want to compare the selected history version to. Select among the six options in Show Differences dialog box. By default, Dynamsoft SourceAnywhere Hosted compares the selected history version to the current version of the item in repository.
  4. Click Advanced button ( available only for project diff) to choose among the four options. By default, all the them are enabled.
  5. Click OK to display the difference(s).

Or

  1. Select two versions in the History Explorer dialog box.
  2. Click Diff button to display the difference(s).


Label Diff

  • Show Differences (Label Diff) Dialog Box

Allows you to compare a labeled version of an item to a previous version in repository, etc.

To do so,

  1. Select an item in the Show Labels dialog box.
  2. Select Diff from either the Action menu or by right-clicking the item associated with the selected label.
  3. In Show Differences dialog box, select the item you want to compare the labeled version to. Select among the six options in Show Differences dialog box. By default, Dynamsoft SourceAnywhere Hosted compares the selected labeled version to the current version of the item in repository.
  4. Click Advanced button ( available only for project diff) to choose among the four options. By default, all the them are enabled.
  5. Click OK to display the difference(s).

Or

  1. Select two versions in the Show Labels dialog box.
  2. Click Diff button to display the difference(s).


Create Project

Create New Project

All projects created within Dynamsoft SourceAnywhere Hosted are subprojects of a higher level project. The highest level project is the root project ($/).

For information about how to create new projects, please refer to:

  • Create New Projects


How to create new projects

Create New Projects

  • Create Project Command

How to create a new project

  1. Select the parent project to which the new project belongs.
  2. Click Create Project button on the toolbar or select Create Project from either the File menu or the menu by right-clicking the selected project.
  3. Enter the name of the new project in the Project box, add comments in the Create Project dialog box.
  4. Click OK.


Deploy Web Projects

Dynamsoft SAW Hosted provides a convenient way for Web project deployment. Generally, Web projects contain files that change frequently. The Web deploy feature is designed to simplify the changes tracking process. After you have completed the development, you can deploy the Web projects to the designated Web server immediately.

Before you implement the Web deploy feature on a project, you need to ask your Dynamsoft SAW Hosted Administrator to designate this project as Web project and specify a deployment path in Web Projects box of Dynamsoft SAW Hosted Server Manager. Once this is done, Dynamsoft SAW Hosted Client shows a special icon for the Web project and the Web Deploy command becomes enabled.

For information about how to deploy Web projects, please refer to:

  • How to deploy Web projects


How to deploy web projects

Deploy Web Projects

  • Web Deploy Command

How to deploy web projects to a FTP server:

    1. Select the web project or the files in a web project you want to deploy.

    2. On Tools menu, select the Web Deploy command. This operation is recursive for the project and all subprojects.


Get and View Files or Projects

Get and View Files/Projects

The Get or View command allows you to view a read-only copy of an item without checking it out.

The Get command retrieves a read-only copy of an item and places it in your working folder. For a quick view of a file without placing it in your working folder, you can use the View command.

For information about how to get or view files or projects, please refer to:

  • Get Latest Version of Files/Projects
  • Get History Version of Files/Projects
  • View Files


Get Latest Version of Files or Projects

Get Latest Version of Files/Projects

  • Get Command

How to get latest version of a file

  1. Select the file you want to get from the file list.
  2. Click Get Latest Version button on the toolbar or select Get Latest Version from the Source menu or by right-clicking the selected file.

  3. If the working folder is not set, the Setting Working Folder dialog box will be displayed. Click OK to set your working folder.
  4. If you have checked the Get Latest Version check box in Options->Command Dialogs tab, the Get dialog box is displayed. Click OK.

How to get latest version of a project

  1. Select the project you want to get from the project tree.
  2. Click Get Latest Version button on the toolbar or select Get Latest Version from the Source menu or by right-clicking the selected project.
    4. If the working folder is not set, the Setting Working Folder dialog box will be displayed. Click OK to set your working folder.

  4. If you have checked the Get Latest Version check box in Options->Command Dialogs tab, the Get dialog box is displayed. Click OK.


Get History Version of Files or Projects

Get History Version of Files/Projects

  • Get Command

How to get history version of an item

  1. In the History Explorer or Show Labels dialog box, select the item you want to get.
  2. Click Get button.

  3. If the working folder is not set, the Setting Working Folder dialog box will be displayed. Click OK to set your working folder.
  4. If you have checked the Get Latest Version check box in Options->Command Dialogs tab, the Get dialog box is displayed. Click OK.


View Files

  • View Command

Views the current version of a file without placing a copy of the file in your working folder.

How to view a file

  1. Select a file you want to view from the file list.
  2. Click View button on the toolbar or select View File from either the Edit menu or by right-clicking the selected file.
  3. If you have checked the Edit And View check box in Options->Command Dialogs tab, the View dialog box is displayed.
  4. Select the View Dynamsoft SourceAnywhere Hosted's copy of this file box.
  5. Specify an external file editor if necessary, and then click OK.


Label Files or Projects

Label Files/Projects

Labels are always more identifiable and descriptive than version numbers. Labels enable you to retrieve any version of an item through the label name. Thus, you do not have to remember the version numbers.

You can associate a label with any version of a file or project. Typically, when the development has many milestones, labels are applied at the project-level to simplify the maintenance of project versions. In the case of a project-level label, all descendants of the project inherit the label, and it is very convenient to retrieve items associated with a specific milestone of your project.

After a label is applied, it becomes associated with the version it is applied to. If the label is applied at the project-level, it is also associated with the project structure at the label point. In Dynamsoft SourceAnywhere Hosted, you can change the name and associations of a project-level label through Label Promotion.

For information about how to label files or projects and how to promote a project-level label, please refer to:

  • Label Latest Version of Files/Projects
  • Label History Version of Files/Projects
  • Label Promotion
  • View Labels


Label Latest Version of Files or Projects

Label Latest Version of Files/Projects

  • Label Command

How to label latest version of a file

  1. Select the file you want to label from the file list.
  2. Click Label Version on the toolbar or select the Label command from the File menu or by right-clicking the selected file.
  3. In the Label dialog box, enter a label name and a comment if you'd like to add a comment to the label.
  4. Click OK.

How to label latest version of a project

  1. Select the project you want to label from the project tree.
  2. Click Label Version on the toolbar or select the Label command from the File menu or by right-clicking the selected file.
  3. In the Label dialog box, enter a label name and a comment if you'd like to add a comment to the label.
  4. Click OK.


Label History Version of Files or Projects

Label History Version of Files/Projects

  • Label Command

How to label history version of an item

  1. In the History Explorer dialog box, select the version of an item you want to label.
  2. Click Label button.
  3. Click OK.


Label Promotion

  • Show Labels Command

Label Promotion allows you to change the content of a label. Label Promotion works on project-level labels only.

You can use Label Promotion to change the following associations of a label:

  • Change the label name.
  • Change the project structure at the label point.
    • Add items found in the current version of the project to the label. Only items that did not exist in the project when the label was applied are queried.
    • Delete items from the label.
  • Change the labeled version of a file in the project to any other version of the file.


View Label

  • Show Labels Command

You can view labels that were applied to a selected item, including labels inherited from its ancestors or labels directly applied to itself or its descendants.

How to view labels that are applied to an item

  1. Select an item you want to view labels at.
  2. Select Show Labels from Tools menu or by right clicking the selected item.
  3. The Show Labels dialog box will be displayed.


Connect to Server command

Login Repositories

When you use Dynamsoft SourceAnywhere Hosted, your files and projects are stored in repositories on Microsoft SQL Server. This safely stores your information and provides important historical information and version tracking.

To work with Dynamsoft SourceAnywhere Hosted Client, the first thing is to connect to the Hosted Server and choose a repository to log in.

For information about how to connect to Dynamsoft SourceAnywhere Hosted Server and log in repository, please refer to:

  • Login


How to connect to Server

Login

See also

  • Login Command
  • Select Repository Command

How to connect to the hosted server and log in a repository

  1. Start Dynamsoft SourceAnywhere Hosted or select Login on File menu to display the Login dialog box .
  2. Input the connection information in the General tab of the Login dialog box. If a proxy is used, input the proxy information in the Proxy Information panel of the Additional tab of the Login dialog box.

  3. If you'd like to log in a repository without choosing it at each login, type or select the default repository to log in in the Additional tab of the Login dialog box. If this field is left blank, the Client will prompt you the Repositories dialog box after successful connection to the hosted server.


Merge Files

Conceptions

Merge - Merge is an operation that allows you to combine differences in two or more files into one file.

Baseline File - When you compare the differences in two or more files, you need a baseline to identify the differences. Baseline File is a file that plays such a role in a merge.

Result File - The result file of a successful merge.

Three-way Merge - In a three-way merge, it involves three files. The baseline file is the original version of file. The other two files are changed on the basis of the baseline file.

Conflicts - Line differences are regarded as conflicts.

Automatic Merge - A merge that involves no conflict.

Visual Merge - If there is any conflict in the files you attempt to merge, Dynamsoft SourceAnywhere Hosted does not resolve the conflicts automatically. Instead, it displays a graphical window in which you can resolve all the conflicts manually. In a three-way merge, Dynamsoft SourceAnywhere Hosted always displays the Visual Merge window.

The merge feature is most useful in a collaborative development circumstance.

  • Multiple Checkouts - In a multiple checkouts situation, when multiple users have checked out a file for modifications, and the first user checks in the file. You, a subsequent user to check in or get the file, can use the merge feature to merge another user's change with your own.
  • Branch - When a file is branched for independent development in different paths, and another user has completed the development in one branch. After you complete the development in your branch, you can use the merge feature to merge that user's change into your branch of the file.

In Dynamsoft SourceAnywhere Hosted, a merge may occur in the following cases:

  • At Check In command
  • At Get command
  • At Merge Branches command.

For information about how a merge occurs and how to resolve conflicts, please refer to:

  • Merge On Check In
  • Merge On Get
  • Merge Branches
  • Resolve Conflicts


Merge On Check In

See also

  • Check In Command

A merge may occur at Check In command. (Only when the current repository is set to allow multiple checkouts).

If multiple users have checked out a file and one of the users checks in the file with changes, when you subsequently check in the file, the differences between the current version and your local copy of the file will be merged into a new version of the file in Dynamsoft SourceAnywhere Hosted.

This is a three-way merge. The baseline file is the repository version of the file that you check out. The result file is the local copy of the file.

If there is any conflict, Dynamsoft SourceAnywhere Hosted opens the Visual Merge window. If no conflict is found, the file will be merged automatically.


Merge On Get

See also

  • Get Command

A merge may occur at Get command when the file is checked out to you (Only if the Replace writable option is set to Merge in Get dialog box).

In a multiple checkout situation (when the current repository is set to allow multiple checkouts), if multiple users have checked out a file and one of the users checks in the file with changes, you can use the Get command to retrieve another user's changes before checking in your version of the file. The difference between the current version and your local copy of the file will be merged into your local copy.

This is a three-way merge. The baseline file is the repository version of the file that you check out. The result file is the local copy of the file.

If there is any conflict, Dynamsoft SourceAnywhere Hosted opens the Visual Merge Window. If no conflict is found, the file will be merged automatically.


Merge Branches

See also

  • Merge Branches Command

Merge Branches allows you to merge the changes made in one branch of a file into another branch. Generally, these two branches are generated from a common original version. After a merge, the changes made based on the original version will be merged into the target branch.

 This is a three-way merge. The baseline file is the original version from which the two branches of file are generated. The result file is the target branch on which the Merge Branches command is performed.
If there is any conflict, Dynamsoft SourceAnywhere Hosted opens the Visual Merge window. If no conflict is found, the file will be merged automatically.


Resolve Conflicts

If there are any merge conflicts, Dynamsoft SourceAnywhere Hosted does not resolve the conflicts automatically. Instead, Dynamsoft SourceAnywhere Hosted brings up the Visual Merge window of the merge tool you specify in Tools->Options->External Programs Tab. The Visual Merge window is a graphic window that enables you to resolve the conflicts manually and save the merge result when the conflicts are resolved.

By default, Dynamsoft SourceAnywhere Hosted uses its diff/merge utility MergeHero to merge files. MergeHero handles the visual merge in an easy-to-use pattern, as shown in the following Visual Merge window:

The upper two panes display two versions being merged. The file on the left pane is the repository version of a file, and the right pane displays the local copy of the file. In a Merge Branches, the versions displayed on the two panes are two branches in different paths (projects).

The lower pane displays the result of the merge. The result is based on line changes that do not involve any conflict, and it changes as you resolve the conflicts.

You can resolve conflicts by selecting one of the two line changes as the result of the merge. After you have resolved the conflicts, clicking save icon will create a result file and replace the local copy of the file.


Rename and Move Files/Projects

In Dynamsoft SourceAnywhere Hosted, Rename changes the file or project name, retaining its history. After renaming an item, a new version is created both to itself and its parent project.

You can Move a selected file or project to a new location, the content and history of the moved file or project is not changed after move, but a new version is created both to its source parent project and destination parent project.

For information about how to rename and move a file or project, please refer to:

  • Rename a file or project
  • Move a file or project


Rename a project

Rename Files/Projects

  • Rename Command

How to rename a file or a project

  1. Select the file or project you want to rename.

  2. Select the Rename command from the File menu or by right-clicking the selected file or project.

  3. Type the new name of the file or project in the New Name field of the Rename dialog box.

  4. Click OK.

Note: If a shared file is renamed, the name of the file will be changed in all of the projects that share it. Checked-out or pinned items can not be renamed.


Move Files or Projects

Move Files/Projects

  • Move Command

How to move a file or a project

  1. Select the file or project you want to move.

  2. Click Move to display Move To dialog box on the File menu.

  3. Click a new parent project for the selected file or project.

  4. Click OK.

Note: Check-out or pinned items can not be moved.


Passwords

Upon log in Dynamsoft SourceAnywhere Hosted, it requires a password to determine the user's identity. You can use the change password command to set or change your password. If you forget your password, you can ask your Dynamsoft SourceAnywhere Hosted administrator to change it for you.

For information about how to change your password in Dynamsoft SourceAnywhere Hosted, please refer to:

  • How to change password


How to change password

Change Password

  • Change Password Command

How to change your password

  1. Select the Change Password from the Tools menu, the Change Password dialog box will be displayed.

  2. Type the current password to the Old box, or leave blank if the password has not been set.

  3. Type the new password to the New box.
  4. Retype the new password to the Verify box to confirm your new password.
  5. Click OK to have your password changed. If you do not want to change your password, click Close.


Pin Files

Pinning is the process of locking a file to a particular version. Once a file is pinned, no changes can be made to it and the pinned version becomes the current version of the file.

In Dynamsoft SourceAnywhere Hosted, you can either pin the latest version or history version of a file.

For information about how to pin/unpin an item, please refer to:

  • How to pin/unpin latest version of a file
  • How to pin/unpin history version of a file


Pin Latet Version

Pin/Unpin Latest Version of Files

See also

  • Pin/Unpin Command

How to pin/unpin latest version of a file

  1. Select the file you want to pin or unpin from the file list.

  2. Select the Pin or Unpin command from the Source menu.

Note: The pin/unpin command displayed in the Source menu toggles between Pin and Unpin depending on the pinned status of the selected item.


Pin history version

Pin/Unpin History Version of Files

See also

  • Pin/Unpin Command

How to pin/unpin history version of an item in History Explorer dialog box

  1. Select the item you want to pin or unpin.

  2. Click Show History button on the toolbar or select Show History from either the Tools menu or by right-clicking the selected item.

  3. In the History Explorer dialog box, select the version of the item you want to pin or unpin.

  4. Click Pin/Unpin button.

How to pin/unpin history version of an item in Show Labels dialog box

  1. Select the item you want to pin or unpin.

  2. Select Show Labels from either the Tools menu or by right-clicking the selected item.

  3. In the Show Labels dialog box, select the version of the item you want to pin or unpin.

  4. Select Pin/Unpin from Action menu or by right-clicking the selected item.


Refresh

While you are using Dynamsoft SourceAnywhere Hosted, other people may change the contents of the current project. To stay up-to-date, you can refresh both the file list and project tree in Dynamsoft SourceAnywhere Hosted.

For information about how to refresh a file list or project tree, please refer to:

  • Refresh File List or Project Tree


How to Refresh

Refresh File List or Project Tree

See also

  • Refresh command

The Refresh refreshes both the file list and project tree.

How to refresh file list or project tree

  1. Select a project from the project tree.

  2. Click the Refresh button on the toolbar or select the Refresh command from the View menu.


Remove Files or Projects

Remove Files/Projects

In Dynamsoft SourceAnywhere Hosted, there are three ways of removing an item:

  • Delete: Removes an item from the project. Deleted items still exist in the repository and can be recovered.
  • Destroy: Permanently removes an item from Dynamsoft SourceAnywhere Hosted repository. Destroyed items can not be recovered.
  • Purge: Permanently removes an item that is deleted.

For information about how to remove files or project, please refer to:

  • Delete Files or Projects
  • Destroy Files or Projects
  • Recover Deleted Files or Projects
  • Purge Deleted Files or Projects


Delete Files or Projects

Delete Files/Projects

  • Delete Command

How to delete a file

  1. Select the file you want to delete from the file list. Multiple files can be selected by holding the CTRL or SHIFT key down as you select.
  2. Click Delete button on the toolbar or select Delete from the File menu or by right-clicking the selected file to display the Delete dialog box.
  3. Confirm your deletion and click OK.

How to delete a project

  1. Select the project you want to delete from the project tree.
  2. Click Delete button on the toolbar or select Delete from the File menu or by right-clicking the selected project to display the Delete dialog box.
  3. Confirm your deletion and click OK.


Destroy Files or Projects

Destroy Files/Projects

  • Delete Command

How to destroy a file permanently

  1. Select the file you want to delete from the file list. Multiple files can be selected by holding the CTRL or SHIFT key down as you select.
  2. Click Delete button on the toolbar or select Delete from the File menu or by right-clicking the selected file to display the Delete dialog box.
  3. In the Delete dialog box, check the Destroy Permanently checkbox.
  4. Confirm your deletion and click OK.

How to destroy a project permanently

  1. Select the project you want to delete from the project tree.
  2. Click Delete button on the toolbar or select Delete from the File menu or by right-clicking the selected project to display the Delete dialog box.
  3. In the Delete dialog box, check the Destroy Permanently checkbox.
  4. Confirm your deletion and click OK.


Recover Deleted Files or Projects

Recover Deleted Files/Projects

  • Delete Command

How to recover a deleted item

  1. Select the parent project from which the item was deleted.

  2. Click Show Properties button on the toolbar or select Properties from the File menu or by right-clicking the parent project to display the Project Properties dialog box.

  3. In the Deleted Items tab, select the deleted item you want to recover.

  4. Click Recover.


Purge Deleted Files or Projects

Purge Deleted Files/Projects

  • Delete Command

How to purge a deleted item

  1. Select the parent project from which the item was deleted.

  2. Click Show Properties button on the toolbar or select Properties from the File menu or by right-clicking the parent project to display the Project Properties dialog box.

  3. In the Deleted Items tab, select the deleted item you want to purge.

  4. Click Purge.


Rollback

Rollback allows you to go back to a history version of a file while retaining the history of changes made after that version. When you rollback a file, Dynamsoft SourceAnywhere Hosted creates a new version of the file that is a duplicate of the version you roll back to.

For information about how to rollback a file, please refer to:

  • How to rollback a file


Rollback To History Version

Rollback Files

See also

  • Rollback Comment Dialog Box

How to rollback a file

  1. Select a version of the file you want to rollback to.

  2. Click Show History button on the toolbar or select Show History from either the Tools menu or by right-clicking the selected file.

  3. In History Explorer dialog box, select a version of the file you want to rollback to.

  4. Click Rollback to display the Rollback Comment dialog box.

  5. Type a comment in the Comment box to describe the rollback operation.

  6. Click OK.


Set Working Folder

A working folder is a local folder where you store local copies of files for corresponding repository project.

You must specify a working folder to perform any operation that places a copy of files in your hard disk, such as Get Latest Version and Check Out operations. The working folder of a project is automatically inherited from that of its parent project, if no explicit working folder is set for it.

For information about how to set working folder for a project, please refer to:

  • How to set working folder


How to set working folder

Set Working Folder

See also

  • Set Working Folder Command

How to set working folder

  1. Select the project you want to set working folder for.

  2. Click Set Working Folder button on the toolbar or select Set Working Folder command from either the File menu or by right-clicking the selected project.

  3. Select a local folder from the Folders list in Set Working Folder dialog box.
  4. Click OK.

Note: If the desired working folder does not exist in the selection view, enter a folder name in the Name field and it will be created automatically.


Share and Branch Files/Projects

In Dynamsoft SourceAnywhere Hosted, a file may be shared among a number of projects. Any change made in one of the shared files in one project will be reflected in all the projects sharing the file. After a file is shared, share links are automatically created among the projects sharing the file. The Links tab in File Properties dialog box lists all projects sharing the file.

Branching a file creates an independent branch (path) of the file. Branches of a file are tracked with different paths of projects. You can view the branch history of a file in the Paths tab in File Properties dialog box.

There are two kinds of Branch in Dynamsoft SourceAnywhere Hosted:

  • Share Branch
  • History Branch

For information about how to share or branch files or projects, please refer to:

  • Share Files or Projects
  • Branch Files or Projects


Share Files or Projects

Share Files/Projects

  • Share Command

Shares a file or an entire project with other project(s).

How to share a file

    1. Select a file you want to share from the file list. Multiple files can be selected by holding the CTRL or SHIFT key down as you select.

    2. Click Share Files button on the toolbar or select the Share To command from the Source menu.

    3. In the Share to dialog box, select the project you want to share the file to.

    4. Check the Branch after Share check box if you'd like to branch the file right after it is shared. (Optional)

    5. Click Share.

How to share a project

    1. Select the project you want to share from the project tree.

    2. Click Share Files button on the toolbar or select the Share To command from the Source menu.

    3. In the Share to dialog box, select a destination project you want to share the project to.

    4. Check the Recursive check box if you'd like to share the project recursively. (Optional)

    5. Check the Branch after Share check box if you'd like to branch the file right after it is shared. (Optional)

    6. Click Share.

7. In the New Name dialog box, type a new name for the new project if necessary, and click OK.

Note: Sharing a project creates an entirely new project under the destination project you are sharing to. The new project is an exact duplicate of the source project. All the files in the new project are shared with the corresponding files in the source project, and changes in one are reflected in the other.


Branch Files or Projects

Branch Files/Projects

  • Branch Command

Breaks the share link while retaining a copy of the file, or copies the selected history version of an item to a location you specify.

There are two kinds of Branch in Dynamsoft SourceAnywhere Hosted:

  • Share Branch
  • History Branch

Share Branch

Branching a shared file is called Share Branch in Dynamsoft SourceAnywhere Hosted. Share Branch breaks the share links and retains a copy of the file at the location it was branched. After a shared file is branched in one project, it becomes independent from all other projects. In another word, any changes made to the file in that project will not affect the file in other projects.

How to branch a shared file:

    1. Select the shared file you want to branch. Multiple files can be selected by holding the CTRL or SHIFT key down as you select.

    2. Click Branch button on the toolbar or select the Branch command from the Source menu.

    3. Enter a comment in the Branch Comment dialog box, if you'd like to add a comment for the branch.

    4. Click OK to branch the shared file(s).

How to branch a shared project:

1. Select the project you want to branch.

2. Click Branch button on the toolbar or select the Branch command from the Source menu. Check the Recursive check box to branch the project recursively.

3. Enter a comment in the Branch Comment dialog box, if you'd like to add a comment for the branch.

4. Click OK to branch the project.

Note: Share Branches on a project is applied to all shared files within the project.

History Branch

Branch command also allows you to branch any history version of an item, even though it was not shared. This is called History Branch in Dynamsoft SourceAnywhere Hosted. This command may be perform in History Explorer dialog box or Show Labels dialog box.

History Branch copies the selected history version of an item to a new location you specify. In Dynamsoft SourceAnywhere Hosted, the history of an item is retained after it is branched at a particular version. For example, if a file has 10 versions and is branched at version 5, the new branch of the file will begin its life at version 5 (meaning that versions 1 through 5 of the branch are the same as the branched file).

How to branch a history version of an item

1. In the History Explorer or Show Labels dialog box, select a version of the item you want to branch.

2. Click Branch button.

3. In the Branch dialog box, select a destination project you want to branch the item to.

4. Enter a comment in the Branch Comment dialog box, if you'd like to add a comment for the branch.

5. Click OK.


Status Search

Dynamsoft SourceAnywhere Hosted allows you to search checked-out files within current repository. You can define the search criteria to query files checked out by specific user in specific area.

For information how to search checkout status, please refer to:

  • How to search checkout status


How to search status

Status Search

See also

  • Status Search Command

How to search checkout status

  1. Click Status Search on Tools menu.

  2. In Status Search dialog box, define the criteria for the search.
  3. Click OK to display the search result.


View Files or Projects History

View File/Project History

Dynamsoft SourceAnywhere Hosted keeps a record of changes made to a file or project since it was initially added or created. Changes of a file or project are tracked with version numbers which increase as revisions undergo. This enables you to view your history of changes and go back to any history version of the file or project.

The file history includes history of all significant events of the file, such as the creation of the file, checkin of the file, branch of the file, etc.

The project history includes history of all significant events of the project and its descendants, such as the creation of the project, addition of its descendants, checkin of descendants, etc. It can be viewed by item or by version:

  • When you view history by item. The History Explorer displays these events with name of the item, user who triggers the event, date of event, version number and the action.
  • When you view history by version. The History Explorer displays all versions of the project (not including the versions of its descendants). Every version in the project history corresponds to a change set that represents a particular point of changes. For each change set, you can view its details and retrieve any earlier version of items included in the change set.

When you add, check in or delete a set of related work items in a project at a time, these related items are regarded as one change set that corresponds to a single version number of the project. Therefore, when you operate on a number of files in a project at a time, the version number of the project increases only by one.

For information about how to view the history of a file or project, please refer to:

  • View File History
  • View Project History by item
  • View Project History by version


View Files History

View File History

See also

  • History Explorer Dialog Box
  • History Option Dialog Box

How to view history of a file

  1. Select a file from the file list.
  2. Click the Show History button on the toolbar or select Show History from either the Tools menu or by right-clicking the selected file or project.
  3. In History Options dialog box, define the criteria for the query of the history result.
  4. Click OK to display the History Explorer dialog box.


View Project History by item

See also

  • History Explorer Dialog Box
  • History Options Dialog Box

How to view history of a project by item

  1. Select a project from the project tree.
  2. Click the Show History button on the toolbar or select Show History from either the Tools menu or by right-clicking the selected file or project.
  3. In the General tab of History Options dialog box, select "View project history by item". Check the Recursive option if you want to to view the history information of not only the selected project but also all its descendants.
  4. Click OK to display the History Explorer dialog box.


View Project History by version

See also

  • History Explorer Dialog Box
  • History Options Dialog Box

How to view history of a project by version

  1. Select a project from the project tree.
  2. Click the Show History button on the toolbar or select Show History from either the Tools menu or by right-clicking the selected file or project.
  3. In the General tab of History Options dialog box, select "View project history by version".
  4. Click OK to display the History Explorer dialog box.


View Files/Projects Properties

View File/Project Properties

Properties of a file or project contain the basic information about it. Properties can be viewed or edited.

For information about how to view properties of a file or project, please refer to:

  • View File Properties
  • View Project Properties


View File Properties

See also

  • File Properties Dialog Box

How to view file properties

  1. Select a file from the file list.
  2. Click the Show Properties button or select the Show Properties command from either the File menu or by right-clicking the selected file.
  3. The File Properties dialog box is displayed.


View Project Properties

See also

  • Project Properties Dialog Box

How to view project properties

  1. Select a project from the project tree.
  2. Click the Show Properties button or select the Show Properties command from either the File menu or by right-clicking the selected project.
  3. The Project Properties dialog box is displayed.


Wildcard Search

Dynamsoft SourceAnywhere allows you to use wildcard characters to search one or more file(s).

In the wildcard characters, the interrogation (?) represents just a letter and the asterisk (*) is a wild card that stands for any combination of letters.

For example, to h a file named "index.txt", you can type the wildcard characters like *.txt, in???.* or ??*.???.

For information on how to use Wildcard Search, please refer to:

  • How to use Wildcard Search


How to use Wildcard Search

Wildcard Search

See also

  • Wildcard Search Command

How to use Wildcard Search

  1. Click Wildcard Search on Tools menu.

  2. In the Search for Wildcard dialog box, define the criteria for the search.
  3. Click OK to display the search result.


Options Index

Options

You can customize the client options using the Options dialog box. The Options dialog box contains the following tabs:

  • General Tab
  • Files Tab
  • Difference Tab
  • Command Dialogs Tab
  • External Programs Tab
  • File Types Tab
  • View Tab
  • File List Columns Tab
  • File Status Color Tab


General Tab

  • Options

Options for general configuration.

Tab Items

Double click on a file

Specifies which command Dynamsoft SourceAnywhere Hosted should perform when you double-click on a file.

  • Ask: Displays the View or Edit dialog box prompting you whether you want to view or edit the file.

  • View: Displays the file only for viewing.

  • Edit: Checks out the file to your working folder, and open it for editing.

Check in unchanged files

Specifies how to handle the unchanged files when you perform the Check In operation.

  • Ask: Displays the Check In Unchanged File dialog box prompting whether you want to create a new version of file on server.
  • Check In: Updates the file to a new version even if no change was made.

  • Undo Check Out: Undoes the checkout without updating file version number.

Connection Type

Specifies connection type. Available options are Local Connection, Broad Band Connection and Narrow Band Connection. The proper selection will speed up the operations.

Use delta transfer for data transfer

Uses delta transfer for data transfer. Dynamsoft SourceAnywhere Hosted supports delta transfer to speed up the transfer of files. In non-LAN connection, it can speed up the file transfer greatly.

Act on projects recursively

Specifies whether Dynamsoft SourceAnywhere Hosted acts recursively by default on all projects and subprojects during operations that support recursion. Since performing recursive operations can sometimes be a lengthy process, the default option is OFF.

Make Dynamsoft SourceAnywhere Hosted your default SCC Provider

Specify whether to make Dynamsoft SourceAnywhere Hosted your default SCC Provider. Dynamsoft SourceAnywhere Hosted provides a way for you to toggle among Source Code Control providers when using IDE integration. This option is helpful for individuals who occasionally need to switch between SCC providers and are familiar with the ramifications.

Always request exclusive locks

Sets the default option for the Request Exclusive Lock checkbox in the Check Out dialog box. An exclusive lock on a file means that no one else can check the file in or out while the current user has it checked out.

Check if the socket is valid before network operations

Automatically checks the network connectivity between Dynamsoft SourceAnywhere Hosted Client and (Cache) Server when you perform an operation that requires network. If this option is checked, the client will automatically reconnect to the server or cache server when the network is invalid.

Setting folder for temporary files

Specifies the folder you want Dynamsoft SourceAnywhere Hosted to store temporary files. Type the full path in this textbox or click Browse to select one.

Delete all temporary files

Clears the folder storing temporary files.

Note: Creating your Temp folder locally, rather than on the network, may increase the performance of Dynamsoft SourceAnywhere Hosted.


Files Tab

  • Options

Options for local file copies.

Tab Items

Always keep files checked out

When a file is checked in, it cannot be modified. Thus, selecting the Always keep files checked out option enables files to be kept in a checked out status upon Check In, so that they may still be modified after the Check In operation.

Remove local copy after add or check in

Automatically deletes the local file copies after the Add or Check In operation. This helps keep your disk usage to a minimum, and ensures that you always get the most recent version when you start working on a file.

Remove local copy after delete

Automatically deletes both the server files and the local file copies in the current user's working folder after the Delete operation. This helps keep disk clutter to a minimum.

Use read-only flag for files that are not checked out

Sets the read-only flag on the unchecked out files in your working folder. Dynamsoft SourceAnywhere Hosted sets the read-only flag when you perform a Get Latest Version, Add, Check In, or Undo Check Out command on a file, and uses it as a signal that you have not been modifying the file.

Display warning for Undo check out of a modified file

Displays the Undo Checkout Modified File dialog box prompting whether you want to undo checkout and lose the changed data in the file.

Compare files by

Sets how Dynamsoft SourceAnywhere Hosted determines if your local copy is up-to-date.

  • Checksum: Compares by a checksum stored by Dynamsoft SourceAnywhere Hosted. Use Checksum comparison for most Dynamsoft SourceAnywhere Hosted uses.
  • Time: Compares the date/time flags. The exact method of date comparison depends on the setting of the Set Date/Time On Local Files:
    • If set to Current (the default), when you perform a Check Out or Get command, Dynamsoft SourceAnywhere Hosted replaces the local file if Dynamsoft SourceAnywhere Hosted file's check in time is more recent than the local file's modification time. When you check in, undo check out or get history versions of files, files are compared by Checksum even if you choose to compare files by Time.
    • If set to Modification, when you perform a Check Out or Get command, Dynamsoft SourceAnywhere Hosted replaces the local copy if Dynamsoft SourceAnywhere Hosted file's modification time is different from the local copy's modification date.
    • If set to Check In, when you perform a Check Out or Get command, Dynamsoft SourceAnywhere Hosted replaces the local copy if the time of the last check in (or add) is different from the local copy's modification date.

Replace writable files

Specifies how to handle the writable local file if it is different from the file in the server. The following four ways will be behaved:

    Ask: Displays a dialog box prompting you whether to leave or replace the local file each time.

    Replace: Replaces (overwrites) the local file.

    Skip: Leaves the local file alone (not retrieving the latest version from the server).

    Merge: Attempts a three-way merge if the file has been checked out by multiple users including you and your local file version number is smaller than that on the server. Besides, skips the local file copy.

Note: The way how Dynamsoft SourceAnywhere Hosted determines if your local file copy differs from the server file can be set in Compare files by option.

Set date/time on local files

Specifies how Dynamsoft SourceAnywhere Hosted sets the date/time for files in your working folder. The option you choose is the time you will see when you view files in the Windows Explorer.

  • Current: Sets the modification date and time of the local copy to the current date and time, whenever Dynamsoft SourceAnywhere Hosted gets a file. This signals the compiler that the file has just changed, and needs to be recompiled. This is the default.

  • Modification: Sets the modification date and time of the local copy to the date and time the file was last modified.

  • Check In: Sets the modification date and time of the local copy to the date and time the file was last checked in.

End-of-Line

The end-of-line terminator for mergeable files may be specified using this option.

The EOL Terminator may need to be changed if the operating system where the working folders reside differs from the operating system Dynamsoft SourceAnywhere Hosted Client is currently running on. For example, if Dynamsoft SourceAnywhere Hosted Client is running on a Windows operating system but needs to retrieve files to a working folder that is on a Mac OS, you can change the EOL Terminator to Mac(CR) so that files retrieved to the working folder will be displayed correctly.

The options for end-of-line terminator are as follows:

  • Native: Keeps the original EOL terminator(s).

  • Windows(\r\n): Uses CRLF

  • Unix(\n): Uses LF

  • Mac(\r): Uses CR

Note: The EOL Terminator will not take effect if your local copy of file is the same as the one in the repository. The way how Dynamsoft SourceAnywhere Hosted determines if your local file copy differs from the server file can be set in Compare files by option.


Difference Tab

  • Options

Options for viewing differences between files or projects. These settings are valid for Dynamsoft SAW Hosted's diff/merge utility MergeHero and Project Diff .

Tab Items

Settings for comparing files in MergeHero

Ignore End-of-Line Terminator

When this option is enabled, MergeHero will not compare the EOL terminators in files.

Ignore Case

When this option is enabled, MergeHero will ignore case when comparing files.

Show Identical Files

When this option is enabled, MergeHero will show identical files in the comparison results.

Project Difference

Show files that are only in the compare location

Includes files in the compare location only.

Show files that are only in the to location

Includes files in the to location only.

Show files that are different in both places

Includes all files that are in both places but are different from each other.

Show files that are the same in both places

Includes files in both places that are the same from each other.

¡¡

¡¡

¡¡


Command Dialogs Tab

  • Options

Specifies whether the command option dialog boxes are displayed when you perform Dynamsoft SourceAnywhere Hosted commands.

Tab Items

Commands used on files

Specifies whether the command option dialog box appears in the following file commands:

Get Latest Version

When the Get Latest Version command option for files is enabled, a dialog box will appear when you perform a Get Latest Version on a file.

Check Out

When the Check Out command option for files is enabled, a dialog box will appear when you perform a Check Out on a file.

Undo Check Out

When the Undo Check Out command option for files is enabled, a dialog box will appear when you perform Undo Check Out on a file.

Edit And View

When the Edit And View command option for files is enabled, a dialog box will appear when you Edit or View a file. You can select which editor to use for viewing or editing the file.

Commands used on projects

Specifies whether the command dialog box appears in the following project commands:

Get Latest Version

When the Get Latest Version command option for projects is enabled, a dialog box will appear when you perform a Get Latest Version on a project.

Check Out

When the Check Out command option for projects is enabled, a dialog box will appear when you perform a Check Out on a project. There are two notable options in this dialog: Recursive and Don't Get Local Copy.

Undo Check Out

When the Undo Check Out command option for projects is enabled, a dialog box will appear when you perform Undo Check Out on a project. There are two notable command options in this dialog: Recursive and Local Copy. Under the Local Copy menu, you can select to Delete, Leave or Replace the local copy of the project.

Web Deploy

When the Web Deploy command option for projects is enabled, a dialog box will appear when you perform Deploy on a web project.


External Programs Tab

  • Options

Options for external programs.

Tab Items

Application for viewing and editing files

Dynamsoft SourceAnywhere Hosted can be configured with the viewing/editing application of the user's choice. The View and Edit commands will automatically open files using the utility configured here. If this box is left blank, Dynamsoft SourceAnywhere Hosted will open files with their associated Windows application.

Arguments for viewing and editing

This option allows you to specify the arguments to supply to the viewing/editing application when the application is invoked. The following macro is available (the macros are case-sensitive):

  • %FILE% - expands to the path of the file that will be edited or viewed.

For example, to invoke Ultraedit to edit or view a file, an entry for this field that is appropriate for Ultraedit is:

%FILE% /r /3/1

%FILE% represents the path of the file, /r represents it open the file in read-only mode, /3/1 represents the cursor is located in the 3th row and 1st line when the file is open.

Note: "%FILE%" is requested to represent the path of the file according to the requirement of some applications. The arguments for the external application should conform to its given syntactic regulation.

Application for diff/merge

This option is used to specify an external application for visual diff/merge on files or directories. Dynamsoft SourceAnywhere Hosted Diff/Merge tool MergeHero is configured by default.

Note: If MergeHero is configured, the following arguments items will be invalid.

Arguments for diff files

This option allows you to specify the arguments to supply to the diff tool for files diff when the diff tool is invoked. The following macros are available (the macros are case-sensitive):

  • %FIRST_FILE% - expands to the path of the file that will be supplied for the left side of the diff output.

  • %SECOND_FILE% - expands to the path of the file that will be supplied for the right side of the diff output.

  • %FIRST_LABEL% - expands to the label that will be supplied to the file being diffed on the left side of the diff output.

  • %SECOND_LABEL% - expands to the label that will be supplied to the file being diffed on the right side of the diff output.

For example, to invoke windiff to compare two files from command line, the command is as follows:

Windiff path_to_first_file path_to_second_file

So, the entry for this field that is appropriate for the external diff tool Windiff is:

"%FIRST_FILE%" "%SECOND_FILE%"

Arguments for three-way merge:

This option allows you to specify the arguments to supply to the merge tool for three-way merge when the merge tool is invoked. The following macros are available (the macros are case-sensitive):

  • %BASE_FILE% - expands to the path of the file that is the common ancestor, or baseline between the two files being merged.

  • %THEIRS_FILE% - expands to the path of the updated server file that is being merged.
  • %YOURS_FILE% - expands to the path of your local file that is being merged.

  • %RESULT_FILE% - expands to the path of file that will be saved when the user merges the files together.

  • %FIRST_LABEL% - expands to the label supplied by the merge tool to put on top of the first file being merged.

  • %SECOND_LABEL% - expands to the label supplied by the merge tool to put on top of the second file being merged.


File Types Tab

  • Options

Options for file types stored in Dynamsoft SourceAnywhere Hosted.

Tab Items

File Groups

Lists file groups for users' work. These groups are displayed under List Files of Type in many Dynamsoft SourceAnywhere Hosted dialog boxes, and you can specify groups that filter the File List efficiently.

File Types

Lists file types included in the currently selected file group under File Groups. To modify a specific group, select the group under File Groups, and then add or delete extensions in this box.

Add (File Group)

Adds a new group of file types to the list. In the Add File Group dialog box, type a name for the new file group you want to add, such as "VC" or "VB."

Delete (File Group)

Deletes the currently selected group.

Add (File Type)

Adds a file type to the list. Select a file group in the File Groups column, and then click this Add button to add a type to the selected file group. In the Add File Type dialog box, type a name for the new file type, such as "cpp" or "txt".

Delete (File Type)

Deletes the currently selected type.


View Tab

  • Options

Options for the number of lines displayed in status window.

Tab Items

Number of lines to display in status window

Every operation that is performed in Dynamsoft SourceAnywhere Hosted Client during a session is documented in the status window. The number of lines to display in the status window is customizable. The default number is 500, and the maximum number is 500000.

Display Login Log every time login

If this is checked, the Login Log dialog box will be displayed at each login.


File List Columns Tab

  • Options

Options for File List columns in the client window.

Tab Items

The following columns are available:

  • Check Out Folder

  • Remote Date

  • Remote Size

  • Version

  • User

  • Check In Date


Proxy Tab

File Status Color Tab

  • Options

Assign colors for different file status.

By default, black is assigned to files with Normal/Old/Modified/Unknown status, and gray is assigned to files with Missing status.

For more detailed information about the file status, you can refer to File list pane.

Please note that you need to do a Refresh in client window to apply the settings.


Commands Index

Commands and Dialogs

This section contains descriptions of the basic Dynamsoft SourceAnywhere Hosted commands and the corresponding dialog boxes:

  • Add Files
  • Annotate
  • Branch
  • Change Password
  • Check In
  • Check Out
  • Clear Status Window
  • Cloak Project
  • Create Project
  • Delete
  • Edit
  • Get
  • Login
  • Login Log
  • Merge Braches
  • Move
  • Pin
  • Properties
  • Refresh
  • Rename
  • Select Repository
  • Set Working Folder
  • Share
  • Show Differences
  • Show History
  • Show Labels
  • Status Search
  • Undo Check Out
  • View
  • Web Deploy
  • Wildcard Search


Add Files Command (Client)

Add Files Command (File Menu)

See Also

  • Add Files or Folders

Command Remarks

Adds a file or folder to the selected Dynamsoft SourceAnywhere Hosted project. You can add a single file or multiple files at a time or add a folder recursively from the project level.

Access Rights

You must have the Add access right to use this command.

Dialog Box Items

Folders

Specifies the folder that contains the files you want to add.

Files

Displays all files in the selected folder.

List files of type

Lists the file type, or tells Dynamsoft SourceAnywhere Hosted how to classify a file.

The list of file types available is determined by the File Types Included In File Group filter and the File Groups filter set on the File Types tab in the Tools -> Options-> File Types Tab dialog box. All Files (*.*) lists all files in the current folder.

Close

Cancels the Add Files command and closes the dialog box.

Add

Displays the Add File Comment dialog box allowing you to add the selected files or folder to the selected project.

Note: Some files may be rejected by Server, such as a file with the same name as a file already exists in the project or the files excluded by Server which are set in Server Manager.


Annotate Command

Annotate Command (File Menu)

See Also

  • Annotate files

Command Remarks

Displays the information of each section of a file, including version number, modifying time, and the name of users modifying the file.

You can annotate either the current version in the repository or a history version of a file. The current version of a file may be the most recent version or the pinned version of the file. After a file is annotated, you can see all the modifying information from the first version to the version you annotated.

Access Rights

Any Dynamsoft SAW Hosted user can use this command.

Dialog Box Items

The left pane

Displays the version number, the name of end user modifying and the modifying time of a single line of file.

The right pane

Displays the content of specified version.

Note: This command can only be performed at the file level and is only available for mergeable files.


Branch Command (Client)

Branch Command (Source Menu)

See Also

  • Share and Branch Files/Projects
  • Share Command
  • History Branch Dialog Box

Command Remarks

Breaks the share link while retaining a copy of the file, or copies the selected history version of an item to a location you specify.

You can branch either a shared file or a history version of an item. When a file is branched, the branch history of the file is shown in the Paths tab in the Properties dialog box.

  • Share Branch: For a file that is already shared, this command breaks the share links and creates an independent file branch at the location the file is branched. Pinned or checked-out file can not be branched.

    Any changes made to that branch will not be reflected in other projects sharing the file, and the Links tab in the File Properties dialog box will not show the link that has been broken.

    Share branch on a project is applied to all shared files (or descendants) within the project.
  • History Branch: For a history version of a file or project, this command copies the selected version of the file or project to a location you specify. In Dynamsoft SourceAnywhere Hosted, the history of an item is retained after it is branched at a particular version. For example, if a file has 10 versions and is branched at version 5, the new branch of the file will begin its life at version 5 (meaning that versions 1 through 5 of the branch are the same as the branched file).

    History Branch may be performed in History Explorer dialog box or Show Labels dialog box.

In Dynamsoft SourceAnywhere Hosted, branching a file does not increment the version number of the file.

Access Rights

You must have the Branch access right to both the source and destination project to use this command.

Dialog Box Items

Comment

Enter a comment for the branch.

Recursive (project-level only)

Branches the project recursively. When this option is enabled, all files and the sub-projects within the project will be branched.

OK

Confirms the input and branches the file(s) or project.

Cancel

Cancels the Branch command and closes the dialog box.


Change Password Command (Client)

Change Password Command (File Menu)

See Also

  • Passwords

Command Remarks

Changes the login password of currently logged-in user.

Access Rights

Any Dynamsoft SourceAnywhere Hosted user can use this command.

Dialog Box Items

Old

Type the current password, or leave blank if the password is blank (a zero-length string).

New

Type the new password.

Verify

Retype the new password to verify it.

Close

Cancels the Change Password command and closes the dialog box.

Note: Dynamsoft SourceAnywhere Hosted passwords are displayed as asterisks.


Check In Command (Client)

Check In Command (Source Menu)

See Also

  • Check Out, Check In and Edit Files/Projects
  • Check Out Command

Command Remarks

Updates the checked-out file with modifications made to it. Checkin on a project is applied to all checked-out files within the project.

When you check in a changed file, Dynamsoft SourceAnywhere Hosted creates a new version of the file in file history.

When you check in an unchanged file, Dynamsoft SourceAnywhere Hosted may behave in three ways:

  • Check In. Adds the unchanged file as a new version to file history.
  • Undo Check Out. Performs the Undo Check Out command and do not add a new version to file history.
  • Ask. Displays the Check In Unchanged File dialog box asking what you want to do for each unchanged file.

You can set the default behavior in Check in unchanged files option in Tools->Options-> General Tab.

In Dynamsoft SourceAnywhere Hosted, a merge may occur at Check In command (only when the current repository is set to allow multiple checkouts). If multiple users have checked out a file and another user checks in the file with changes, when you subsequently check in the file, the difference among the latest version, the checked-out version and your local copy of the file will be merged into a new version of the file in Dynamsoft SourceAnywhere Hosted. This is a three-way merge which is carried out automatically.

The way how Dynamsoft SourceAnywhere Hosted determines if your local copy is different from the copy in Dynamsoft SourceAnywhere Hosted repository can be set in Compare files by option in Tools->Options-> Files Tab.

Access Rights

You must have the Check In/Check Out access right to use this command.

Dialog Box Items

From

Shows the path of the checked-in file.

Comment

Enter a comment.

Recursive (project-level Check In only)

Checks in the project and all its descendants.

Note: The cloaked subprojects will not be checked in.

Override Working Folders (project-level Check In only)

Overrides the working folder set for the subprojects involved in a recursive operation. This is useful if you have some shared files checked out in more than one project, and want to check them all in at the same time. Available only when you select the Recursive check box.

Keep Checked Out

Updates the check-out file with your changes while keeping the file checked out to you. You can make this the default behavior by checking the Always Keep Files Checked Out option in Tools->Options-> Files Tab.

Remove Local Copy

Remove the local copy from your local folder after the check in.

OK

Checks in the file/project.

Cancel

Cancels the Check In command and closes the dialog box.


Check Out Command (Client)

Check Out Command (Source Menu)

See Also

  • Check Out, Check In and Edit Files/Projects
  • Check In Command

Click Advanced to display the advanced options for Check Out dialog box, as seen below:

Command Remarks

Retrieves one or more selected files from the current project and places a writable copy of the file into your current working folder. You should have a working folder set before using this command.

The Check Out command enables users to edit specific files locally. This command locks files or projects within the repository. Once files are checked out, the user who has the files checked out is displayed in the User column of the File List Pane.

Generally, only one user can check out a file for modification at one time. However, if the current Dynamsoft SourceAnywhere Hosted repository has been set to allow multiple checkouts, multiple users can check out the same file at the same time. When the first user checks the modified file into Dynamsoft SourceAnywhere Hosted, that file becomes the current version. When subsequent users check in or get their local copies, their changes are merged. Only mergeable files may be checked out by multiple users at a time.

In Dynamsoft SourceAnywhere Hosted, a merge may occur at Check Out command (only if the Replace writable option is set to Merge in Check Out dialog box). If the repository version of a file differs from your local copy of the file and the local copy is writable, the differences will be merged into the local copy when you perform the Check Out command. This is a two-way merge.

The way how Dynamsoft SourceAnywhere Hosted determines if your local copy is different from the copy in Dynamsoft SourceAnywhere Hosted repository can be set in Compare files by option in Tools->Options-> Files Tab.

Note: Checked-out file can not be deleted, pinned or renamed.

Access Rights

You must have the Check In/Check Out access right to use this command.

Dialog Box Items

If you have checked the Check Out check box in Options->Command Dialogs tab, the Check Out dialog box is displayed when you perform the Check Out command.

Comment

Enter a comment for the check out. While the file is checked out, the Check Out Status tab of File Properties dialog box will display the checkout comment.

To

Displays the working folder into which Dynamsoft SourceAnywhere Hosted copies the file. By default, Dynamsoft SourceAnywhere Hosted copies the file with its own file name into your working folder. However, you can enter a different folder and file path, or click Browse to select a different location in the folder tree.

Recursive (Project-level Check Out only)

Checks out the project and all its descendants.

Build Tree Override Working Folders (Project-level Check Out only)

Overrides the working folder set for the subprojects involved in a recursive operation, and builds a project tree that mirrors the project organization on your local computer. Working folder settings for individual subprojects are ignored. Available only when you select the Recursive check box.

Note: Cloaked subprojects will not be checked out.

Don't Get Local Copy

Tells Dynamsoft SourceAnywhere Hosted not to copy the file to your working folder. Dynamsoft SourceAnywhere Hosted records that the file is checked out, but does not write a new copy to your working folder.

Advanced Options

Request exclusive lock

Requests exclusive checkout of the current file(s) or project. If this option is enabled, other users will not be able to checkout the current file(s) or project. This option takes effect only when Dynamsoft SourceAnywhere Hosted has been set up to allow multiple checkouts.

Replace Writable

Determines how Dynamsoft SourceAnywhere Hosted behaves when you try to check out a file that is already modified and marked as writable in your working folder. The way how Dynamsoft SourceAnywhere Hosted determines if your working folder copy is modified can be set in 'Compare files by' option in Tools->Options-> Files Tab.

Select one of the following in the group box:

    Ask: Asks you what you want Dynamsoft SourceAnywhere Hosted to handle the writable local copy.

    Replace: Replaces the local copy with the file on the repository.

    Skip: Leaves the local copy alone (not retrieving the latest version from the repository).

    Merge: Skips the local file copy.

The default option selected in the Replace Writable dropdown list may be specified in Replace Writable option in Tools->Options-> Files Tab.

Set File Time

Sets the modification date and time of the local file when Dynamsoft SourceAnywhere Hosted gets a file. Select one of the following options in the dropdown list:

Current: Sets the modification date and time of the local copy to the current date and time.

Modification: Sets the modification date and time of the local copy to the date and time the file was last modified.

Check In: Sets the modification date and time of the local copy to the date and time the file was last checked in.

The default selected option in the Set File Time dropdown list is the option you specify in Set File Time option in Tools->Options-> Files Tab.

End-of-line

The end-of-line terminator for mergeable files may be specified using this option.

The EOL Terminator may need to be changed if the operating system where the working folders reside differs from the operating system Dynamsoft SourceAnywhere Hosted Client is currently running on. For example, if Dynamsoft SourceAnywhere Hosted Client is running on a Windows operating system but needs to retrieve files to a working folder that is on a Mac OS, you can change the EOL Terminator to Mac(CR) so that files retrieved to the working folder will be displayed correctly.

The options for end-of-line terminator are as follows:

  • Native: Keeps the original EOL terminator(s).

  • Windows(\r\n): Uses CRLF

  • Unix(\n): Uses LF

  • Mac(\r): Uses CR

The default selected option in the End-of-line dropdown list is the option you specify in End-of-line option in Tools->Options-> Files Tab.

Note: The EOL Terminator will not take effect if your local copy of file is the same as the one in the repository. The way how Dynamsoft SourceAnywhere Hosted determines if your working folder copy differs from the repository copy can be set in 'Compare files by' option in Tools->Options-> Files Tab.


Clear Status Window Command (Client)

Clear Status Window Command

Command Remarks

Clears the status window.

Access Rights

Any Dynamsoft SourceAnywhere Hosted user can use this command.


Cloak Project Command (Client)

Cloak Project Command (Tools Menu)

See Also

  • Cloak Projects

Command Remarks

Cloaks a project.

Cloaked projects will be skipped in recursive operations. For example, commands such as Get Latest Version, Check Out, Check In and Undo Check Out will not affect a cloaked project.

Access Rights

Any Dynamsoft SourceAnywhere Hosted user can use this command.


Create Project Command (Client)

Create Project Command (File Menu)

See also

  • Create New Project

Command Remarks

Creates a new subproject under the currently selected project. The newly created subproject will inherit the security rights from the parent project.

All projects created within Dynamsoft SourceAnywhere Hosted are subprojects of a higher level project. The highest level project is the root project ($/).

Access Rights

You must have the Add access right in the parent project to use this command.

Dialog Box Items

Project

Type a name for the new project.

Comment

Enter a comment for the project.

OK

Confirms the input and creates the project.

Close

Cancels the Create Project command and closes the dialog box.


Delete Command (Client)

Delete Command (File Menu)

See also

  • Remove Files/Projects

Command Remarks

Removes files or projects from the repository, and marks them as deleted. Checked-out or pinned items cannot be deleted.

There are two levels of deletion in Dynamsoft SourceAnywhere Hosted: Delete and Destroy Permanently.

After an item is deleted in Dynamsoft SourceAnywhere Hosted, it still exists in the repository and can be recovered or purged from Project Properties->Deleted Items Tab. Destroyed permanently items cannot be recovered.

If an item is shared across two projects, the Delete and Destroy Permanently commands will only remove the item from within the currently selected project.

Access Rights

You must have the Delete access right to use this command.

Dialog Box Items

Item List

The to-be-deleted item(s) is listed in a list box under 'Are you sure you want to delete the following items?' text.

Destroy Permanently

When this option is enabled, clicking OK will remove the items from the repository permanently. Permanently destroyed items cannot be recovered. This is the same as performing the Purge command on deleted items. You must have the Purge access right to enable this check box.

OK

Deletes the item(s).

Close

Cancels the Delete command and closes the dialog box.

Note: You can delete only one instance of an item with a given name in a given project.


Edit Command (Client)

Edit Command (Edit Menu)

See Also

  • Check Out, Check In and Edit Files/Projects
  • View Command

Command Remarks

Allows you to edit a file by opening a file editor and checking out the file if it is not already checked out. You should have a working folder set before using this command.

The application used to open a file is selected by one of the following means:

  • Use the system default application. Dynamsoft SourceAnywhere Hosted uses Microsoft Windows Explorer to associate an application with the file type.
  • Use an external application. Opens the file with a specified application. You can click the Browse button to select an application and use arguments for the application if needed. The default specified file editor may be configured in Tools -> Options -> External Programs tab ->Application for viewing and editing files.

You can edit a file by double clicking the file. To make this the default behavior, you can select Edit in Tools -> Options -> General ->Double click on a file option.

Access Rights

You must have Check In/Check Out access right to use this command.

Dialog Box Items

If you have checked the file-level Edit And View check box in Options->Command Dialogs tab, the Edit Or View dialog box is displayed when you perform the Edit command.

View Dynamsoft SourceAnywhere Hosted's copy of this file (option for View command)

Gets this file copy to a temp folder and allows you to view it.

Check out this file and edit it in your working folder

Checks out this file to your working folder and allows you to edit it.

Use the system default application for this file type

Edits this file by using the system default application.

Use Application

Specifies an application for editing this file. If this text box is left blank, Dynamsoft SourceAnywhere Hosted will open files with their associated Windows application. This option is checked by default if you have specified an application for editing files in Tools -> Options -> External Programs tab ->Application for viewing and editing files.

OK

Opens a file editor.

Cancel

Cancels the View command and closes the dialog box.


Get Command (Client)

Get Command (Source Menu)

See Also

  • Get and View Files/Projects

Click Advanced to display the following figure:

Command Remarks

Retrieves the most recent version of the selected items from the repository and creates read-only copies in your working folder. To retrieve a history version of an item, click Get in History Explorer dialog box. You should have a working folder set before using this command.

There are five possible outcomes using Get command:

  • When the file you are retrieving is not already in your working folder, Dynamsoft SourceAnywhere Hosted simply gets the file.

  • When the file in your working folder is identical to the file you are retrieving, and the local copy is read-only, Dynamsoft SourceAnywhere Hosted does not retrieve or modify the file in any way.

  • When the file in your working folder is identical to the file you are retrieving, and the local copy is writable, Dynamsoft SourceAnywhere Hosted does not replace the writable file but modifies the attribute of the file into 'read-only'.

  • When the file in your working folder is different from the copy in Dynamsoft SourceAnywhere Hosted repository, and your local copy is read-only, Dynamsoft SourceAnywhere Hosted replaces your local copy.

  • When the file in your working folder is different from the copy in Dynamsoft SourceAnywhere Hosted repository, and the local copy is writable, Dynamsoft SourceAnywhere Hosted behaves in the way you specify in Replace Writable option in Tools->Options-> Files Tab.

In Dynamsoft SourceAnywhere Hosted, a merge may occur at Get command (only if the Replace writable option is set to Merge in Get dialog box). Merge on Get is very useful in the following two cases.

  • The file is not checked out to you. When a file is exclusively checked out by another user and you may have to modify your local copy first. After that user checks his changes into Dynamsoft SourceAnywhere Hosted, you can use the Get command to retrieve his changes and merge it with your own.

    If the repository version of a file differs from your local copy of the file and the local copy is writable, the differences will be merged into the local copy when you perform the Get command. This is a two-way merge.
  • The file is checked out to you. In a multiple checkout situation (when the current repository is set to allow multiple checkouts), if multiple users have checked out a file and another user checks in the file with changes, you can use the Get command to retrieve another user's changes before checking in your version of the file.

    The difference among the current version, the checked-out version and your local copy of the file will be merged into your local copy. This is a three-way merge.

The way how Dynamsoft SourceAnywhere Hosted determines if your local copy is different from the copy in Dynamsoft SourceAnywhere Hosted repository can be set in Compare files by option in Tools->Options-> Files Tab.

Access Rights

You must have Read access right to use this command.

Dialog Box Items

If you have checked the Get Latest Version check box in Options->Command Dialogs tab, the Get Latest Version dialog box is displayed when you perform the Get Latest Version command.

To

Type the path of the folder where you want Dynamsoft SourceAnywhere Hosted to place the files. The default is the working folder of the selected file or project.

Recursive (project-level Get only)

Gets a project, including all descendants of the project. Each file in a subproject is copied into its own working folder, which can be a folder anywhere on your computer or an accessible remote computer. To override the working folder settings, and create a file structure that mirrors the project structure in Dynamsoft SourceAnywhere Hosted repository, use the Build Tree option.

Note: Cloaked subprojects will not be retrieved.

Build Tree-Override Working Folders (project-level Get only)

Overrides the working folder set for the subprojects involved in a recursive operation, and builds a project tree on your local computer that mirrors the project organization. Working folder settings for individual subprojects are ignored. Available only when you select the Recursive check box.

Make Writable

Sets the read/write flag so the file is writable. This is not the default behavior, but may be useful if you want to try a temporary change in the file, or want to rename the file after getting it.

This option is enabled when you have checked "Use read-only flag for files that are not checked out" in Tools->Options-> Files Tab.

Set File Time

Sets the modification date/time of the local file when Dynamsoft SourceAnywhere Hosted gets a file. Select one of the following options in the dropdown list:

Current: Sets the modification date/time of the local copy to the current date and time.

Modification: Sets the modification date/time of the local copy to the date and time the file was last modified.

Check In: Sets the modification date/time of the local copy to the date and time the file was last checked in.

The default selected option in the Set File Time dropdown list is the option you specify in Set File Time option in Tools->Options-> Files Tab.

Replace Writable

Determines how Dynamsoft SourceAnywhere Hosted behaves when you try to get a file that is already modified and marked as writable in your working folder. The way how Dynamsoft SourceAnywhere Hosted determines if your working folder copy is modified can be set in 'Compare files by' option in Tools->Options-> Files Tab.

Select one of the following options from the dropdown list:

    Ask: Asks you what you want Dynamsoft SourceAnywhere Hosted to handle the writable local copy.

    Replace: Replaces the local copy with the file on the repository.

    Skip: Leaves the local copy alone (not retrieving the latest version from the repository).

    Merge: Attempts a three-way merge if the file has been checked out by multiple users including you and your local file version number is smaller than that on the server. Besides, skips the local file copy.

The default selected option in the Replace Writable dropdown list is the one you specify in Replace Writable item in Tools->Options-> Files Tab.

End-of-line

The end-of-line terminator for mergeable files may be specified using this option.

The EOL Terminator may need to be changed if the operating system where the working folders reside differs from the operating system Dynamsoft SourceAnywhere Hosted Client is currently running on. For example, if Dynamsoft SourceAnywhere Hosted Client is running on a Windows operating system but needs to retrieve files to a working folder that is on a Mac OS, you can change the EOL Terminator to Mac(CR) so that files retrieved to the working folder will be displayed correctly.

The options for end-of-line terminator are as follows:

  • Native: Keeps the original EOL terminator(s).

  • Windows(\r\n): Uses CRLF

  • Unix(\n): Uses LF

  • Mac(\r): Uses CR

The default selected option in the End-of-line dropdown list is the option you specify in End-of-line option in Tools->Options-> Files Tab.

Note: The EOL Terminator will not take effect if your local copy of file is the same as the one in the repository. The way how Dynamsoft SourceAnywhere Hosted determines if your working folder copy differs from the repository copy can be set in 'Compare files by' option in Tools->Options-> Files Tab.

OK

Retrieves the file or project from repository.

Close

Cancels the Get command and closes the dialog box.


Label Command (Client)

Label Command (File Menu)

See Also

  • Label Files/Projects
  • Show Label Command

Command Remarks

Assigns a label to the specified version or current version of a file or project.

Projects and files may be identified with labels. Labels are usually more descriptive than version numbers and may be affixed at the project or file level. A label is associated with the labeled version of the item. For a project-level label, it is also associated with the project structure at the time it was labeled. Labels are a convenient way to document a specific point in development time.

The label of an item may be inherited from its ancestors or directly applied to itself. Labels applied to an item can be viewed in Show Labels dialog box.

In Dynamsoft SourceAnywhere Hosted, labeling an item does not increment the version number of the item.

Access Rights

You must have Label access right to use this command.

Dialog Box Items

Label

Type a label name.

Comment

Enter a comment for the label.

OK

Assigns the label.

Close

Cancels the Label command and closes the dialog box.


Login Log

Login Log Command (File Menu)

See Also

  • Login Dialog Box

Command Remarks

Allows you to view the last 10 login attempts to the Hosted Server using your Organization ID.

Window Items

Login Time

Displays the date/time of the log attempt.

Client Type

Displays the type of the Client where a login attempt happens.

From IP

Displays the IP address of the Client where a login attempt happens.

DNS

Displays the domain name of the IP address. If the Hosted Server fails to obtain the domain name of the IP, then displays the IP address instead.

Status

Displays the status of the login attempt, successful or failed.

Don't show this dialog next time

Check this box if you do not want to view the login log next time.

OK

Click OK to close the dialog box.


Login

Login Command (File Menu)

See also

  • Select Repository Command
  • Profile Manager Dialog Box

Command Remarks

Connects to Dynamsoft SourceAnywhere Hosted Server and logs in a selected repository.

In Dynamsoft SourceAnywhere Hosted, source control files and histories are stored in repositories in Microsoft SQL Server. Dynamsoft SourceAnywhere Hosted Server serves one SQL database and you can create any number of repositories in this database. Working with Dynamsoft SourceAnywhere Hosted Client, the first thing is to connect to Dynamsoft SourceAnywhere Hosted Server and choose a repository to log in.

Access Rights

Any Dynamsoft SourceAnywhere Hosted user can use this command.

Dialog Box Items

Login Info Panel

  • General Tab
  • Additional Tab

Profile Panel

Select the Profile to apply the pre-configured login information to the Login Info panel. Each Profile saves the information that is required for all the items within Login Info panel. You may create any Profile as needed with Profile Manager. Clicking Profile Manager button will bring up the Profile Manager dialog box.


Merge Branches Command (Client)

Merge Branches (Source Menu)

See Also

  • Merge Files
  • Branch Command

Command Remarks

Allows you to merge all the changes made in one branch of a file into another branch. This command works for files only.

Merge branches command may be very useful in collaborative development. After a project or file is branched for independent development in two development paths, you can use this command to merge changes made in the other development path with your own.

Before you perform the Merge Branches command, make sure you have selected the file that you want to merge changes into. The file you are merging changes from will remain unchanged.

Access Rights

You must have the Check In/Check Out access right in the project being merged into, and the Read access right in the project being merged from, to use this command.

Dialog Box Items

Projects with independent branches

Shows all independent branches of the selected file. Select the branch you want to merge changes from.

For example,

Projects with independent branches:
$/C 1->5
--$/B 5->6

This means that there are 2 branches of this file; the first branch has moved from version 1 of the file to version 5, the second branch has the first as its parent (meaning that versions 1 through 5 of the file are the same in this branch), began its life at version 5 and was checked in once since then, moving it to version 6 currently.

Merge

Merges changes made in the selected branch into the file.

Close

Cancels the Merge Branches command and closes the dialog box.

Links

Shows all of the projects sharing the selected file.


Move Command (Client)

Move Command (File Menu)

See Also

  • Rename and Move Files/Projects

Command Remarks

Moves the selected file or project to a new location. Checked-out or pinned item cannot be moved.

This command does not rename a project, and it does not affect the histories of the old and new parent projects.

Access Rights

You must have Move access right to both the source and destination projects to use this command.

Dialog Box Items

Projects

Select the path of the project to which the subproject or file will be moved.

Comment

Comments on the Move operation.

OK

Moves the subproject or file.

Close

Cancels the Move command and closes the dialog box.


Pin/Unpin Command (Client)

Pin/Unpin Command (File Menu)

See Also

  • Pin Files

Command Remarks

Pins or unpins the current or history version of a file. Projects and checked-out files can not be pinned.

An file that has been pinned is denoted with a pin symbol. When you pin a file, you are locking in a particular version of the file. In other words, no changes can be made to the file as long as it is pinned, and this version becomes the current version. Thus, when a Get Latest Version command is performed on a pinned file, the pinned version is the version that will be retrieved, even if there is a more recent version.

If a file is already shared then pinned, the pin command only applies to the file on which the pin happens. Any other project sharing the file will not be pinned and can still make changes to the file.

In Dynamsoft SourceAnywhere Hosted, pinned file can not be shared.

Access Rights

You must have Pin/Unpin access right to use this command.


Properties Command (Client)

Properties Command (File Menu)

See Also

  • View File/Project Properties
  • File Properties Dialog Box
  • Project Properties Dialog Box

Command Remarks

Shows the properties of a file or project containing the basic information about it, including the size, name, and type.

Access Rights

You must have the Property Change access right to change the type of a file.

You must have the Delete access right to recover a deleted item.

You must have the Purge access right to purge a deleted item.

File Properties Dialog Box Items

General Tab

Displays the general information of the files.

Check Out Status Tab

Displays the check out status of the file.

Links Tab

Lists all projects sharing the selected file.

Paths Tab

Shows all branches of the selected file.

Project Properties Dialog Box Items

General Tab

Displays the project name, the cloak status of the project, the number of files and subprojects in the project, the number of deleted files and subprojects (if any), the version number and date of that version and project comments.

Deleted Tab

Displays a list of items that have been removed from the current project.

Rights Tab

Displays the access rights that the current logged in user has to the selected project.


Refresh Command (Client)

Refresh Command (View Menu)

See Also

  • Refresh

Command Remarks

Refreshes both the file list and project tree.

Access Rights

Any Dynamsoft SourceAnywhere Hosted user can use this command.


Rename Command (Client)

Rename Command (File Menu)

See Also

  • Rename and Move Files/Projects

Command Remarks

Renames a file or a project. Checked-out or pinned items cannot be renamed.

Rename command does not change the contents of the item, and it does affect the histories of the parent project.

If a shared file is renamed, the name of the file will be changed in all of the projects that share it.

In Dynamsoft SourceAnywhere Hosted, renaming an item creates a new version of the item.

Access Rights

You must have Rename access right to use this command.

Dialog Box Items

New Name

Type the new name of the selected file or project.

OK

Renames the selected file or project.

Close

Cancels the Rename command and closes the dialog box.


Set Working Folder Command (Client)

Set Working Folder Command (File Menu)

See Also

  • Set Working Folder

Command Remarks

Sets working folder for the selected project.

This command communicates to Dynamsoft SourceAnywhere Hosted where local copies of the files in that project are located, as well as where they should be placed when retrieved from the repository.

A working folder can be set at any level of the project tree hierarchy. If you set a working folder at a project and no working folder specified for its subprojects, the working folders will be automatically inherited in the subprojects. Subprojects may also be individually configured to have a different working folder from that of the parent project.

If a working folder is not set for a project or any of its tree ancestors, then Dynamsoft SourceAnywhere Hosted will be unable to determine where the local files of this project are stored. In this case, Dynamsoft SourceAnywhere Hosted will prompt you for working folder each time you use a command that requires a working folder.

Access Rights

Any Dynamsoft SourceAnywhere Hosted user can use this command.

Dialog Box Items

Name

Specifies the path of the working folder.

Note: If the desired working folder does not exist in the selection view, enter a folder name in the Name field and it will be created automatically.

Folder

Shows the path of the selected folder in the folder list.

Folders

Select a folder in this folder list.

OK

Sets the selected folder to be your working folder.

Close

Cancels the Rename command and closes the dialog box.

New Folder

Click and then enter a name for the new folder to be created.


Login Repository Command (Client)

Select Repository Command (File Menu)

See Also

  • Login Command
  • Login Dialog Box (Additional Tab)

Command Remarks

Chooses a Dynamsoft SourceAnywhere Hosted repository to login.

When you use Dynamsoft SourceAnywhere Hosted, your files and projects are stored in a repository. This safely stores your information and provides important historical information and version tracking. In Dynamsoft SourceAnywhere Hosted, you can setup multiple repositories. However, files in different repositories can not be shared or branched.

Working with Dynamsoft SourceAnywhere Hosted Client, the first thing is to connect to Server and choose a repository. If you have been working with a repository and want to use another repository now, you can choose a repository from the available repositories in currently connected Server.

Access Rights

Any Dynamsoft SourceAnywhere Hosted user can use this command.

Dialog Box Items

Choose a repository

Select a repository to log in. This dialog box may be brought up by clicking Select Repositories button at the Additional Tab of Login dialog box. It also appears if the default repository to log in has not been specified.

OK

Confirms the selection.

Cancel

Cancels selecting a default repository and closes the dialog box.


Share Command (Client)

Share Command (Source Menu)

See Also

  • Share and Branch Files/Projects
  • Branch Command

Command Remarks

Shares a file among multiple projects. This command enables a file or all files within a project to be shared with other project(s). Pinned files can not be shared.

To share a file, you create share links between multiple projects. The file is then in two (or more) projects at the same time. When you change the shared file in any project, the changes will be reflected in all the other project(s). To display a list of all the projects that share a specific file, click the Links tab in the File Properties dialog box.

When you share a project, you create an entirely new project under the destination project you are sharing to. It is an exact duplicate of the source project. All the files in the new project are shared with the corresponding files in the source project, and changes in one are reflected in the other.

In Dynamsoft SourceAnywhere Hosted, sharing a file does not increment the version number of the file.

Access Rights

You must have Share access right to both the source and destination projects to use this command.

Dialog Box Items

Project

Select a project to which the file(s) or project will be shared

Comment

Enter comments for the shared file(s).

Branch after Share

Branches the file by creating independent copy of the file after being shared.

Recursive (project shares only)

Shares the project recursively. If this option is checked, all descendants of the project will be shared.

Close

Cancels the Share command and closes the dialog box.

Share

Shares the selected item to the selected project.

If you are sharing a project, after clicking Share, you will be prompted to name the shared copy of the project.


Show Differences Command (Client)

Show Differences Command (Tools Menu)

See Also

  • Compare Files/Projects
  • History Diff Dialog Box
  • Label Diff Dialog Box
  • Project Difference Dialog Box

Compare Files

Compare Projects

Command Remarks

Compares two items and shows the differences if any.

This command may be performed at the file level and project level. You can use Show Differences command to compare a file/project to any of their own versions or others in a local or server path.

In Dynamsoft SAW Hosted, you can also perform a History Diff or Label Diff to compare two earlier versions of items to each other.

For file diff, Dynamsoft SAW Hosted visually displays the differences between two mergeable files but only can identify the differences between binary files.

Dynamsoft SAW Hosted may be configured with an external application for visual diff on files. This setting is in Tools->Options->External Programs tab. The default diff utility in Dynamsoft SAW Hosted is MergeHero.

For project diff, Dynamsoft SAW Hosted visually displays the differences in the Project Difference dialog box.

Access Rights

Any Dynamsoft SAW Hosted user can use this command.

Dialog Box Items

Source Path

Specifies the source item you want to compare. You can click the Browse button to navigate to the source path in Local Path or Server Path.

Source Version

  • Type: Chooses the source version you want to compare by. There are three ways to find the version of the source item:
    • Version: Specify the version of the source item by version number. See Select Version.
    • Label: Specify the version of the source item by label. See Find Label.
    • Latest Version: Specify the latest version of the source item.

Target Path

Specifies the target item to which you want to compare the source item.

Target Version

  • Type: Chooses the target version you want to compare by.

View Options (Available only for Folder Diff)

  • Recursive: Shows the differences for the selected folder and all its descendants.
  • Show items that exist only in source path: Includes files in the source path only.
  • Show items that exist only in target path: Includes files in the target path only.
  • Show items that are different: Includes all files that are in both places but are different from each other.
  • Show items that are the same: Includes files in both places that are the same from each other.

OK

Opens the Visual Diff window to show the comparison result.

Cancel

Cancels the Show Differences command and closes the dialog box.


Show Labels Command (Client)

Show Labels Command (Tools Menu)

See Also

  • Label Files/Projects
  • Label Command

Labels Pane

Recursive Labels Pane

Command Remarks

Shows labels that have been applied to a selected file or project, including labels inherited from its ancestors or labels directly applied to itself or its descendants.

Access Rights

You must have Read access right to use this command.

Dialog Box Items

Menu

Label

Delete

Deletes the selected label.

Rename

Renames the selected label.

Promotion

Displays the Label Promotion dialog box, which allows you to change the associations of a label.

Exit

Closes the dialog box.

View

Refresh

Refreshes the label list.

Action

Diff

Performs the Show Differences command on the item that is associated with the selected label.

View

Shows the item that is associated with the selected label. For a file, displays the View dialog box allowing you to view the file. For a project, displays the View Label Structure dialog box allowing you to view the label structure of the project.

Get

Performs the Get command on the item that is associated with the selected label.

Branch

Performs the Branch command on the item that is associated with the selected label. The Branch dialog box will be displayed.

Pin/Unpin

Performs the Pin/Unpin command on the item associated with the selected label.

Labels Pane

The Labels Pane displays the labels that have been applied to the selected item.

Show Inherited Labels

If this is checked, the label list will include labels that inherit from the labels applied to the ancestors of currently selected item. If unchecked, it shows only labels that were directly applied to the item.

Recursive Labels Pane

The Recursive Labels Pane displays the labels that have been applied to the selected item or its descendants (if any).

Filter Items

Filters labels in the label list to view only file label, only project labels, or both.

Act Recursively

If this is checked, the label list will include labels that have been directly applied to the selected item and its descendants (if any). When unchecked, it will only show labels that were directly applied to the selected item and its sons (if any).

Columns

Both the Labels Pane and Recursive Labels Pane are divided into several columns:

  • Items (Recursive Labels Pane Only): The name and path of the labeled items.

  • Label: The name of the label.

  • Created At: The file or project the label was created at, with the name and location at the time of the label.

  • Version: The version of the file or project when the label was applied.

  • User: The user who applied the label.

  • Date: The date/time when the label was applied.

  • Comment: The label comment applied with the label.


Show History Command (Client)

Show History Command (Tools Menu)

See Also

  • View File/Project History
  • History Options Dialog Box
  • History Explorer Dialog Box

Command Remarks

Shows the history of a file or project.

Every file or project in Dynamsoft SourceAnywhere Hosted keeps a detailed record of its history. The Show History command enables you to view the historical information of all past versions of a file or project. Also, you can perform most Dynamsoft SourceAnywhere Hosted commands such as Get, Diff, Pin on a specific past version.

In Dynamsoft SourceAnywhere Hosted, history of a file can only be viewed by item. For a project, the history can be viewed either by item or version.

Access Rights

You must have Read access right to use this command.

History Option Dialog Box Items

General Tab

Shows the name and path of the selected file or project, and for a project, allows you to define the history view (by item or by version).

Dates Tab

Allows you to set options to filter the history by dates.

Users Tab

Allows you to set options to filter the history by users.

Filenames Tab

Allows you to set options to filter the history by filenames.

Actions Tab

Allows you to set options to filter the history by actions.

Comments Tab

Allows you to set options to filter the history by item comments.

Sort Tab

Allows you to specify the column by which history is sorted.


Status Search Command (Client)

Status Search Command (Tools Menu)

See Also

  • Status Search
  • Search Result Dialog Box

Command Remarks

Searches for checked-out files. You can define criteria for the query in Search For Status dialog box.

Access Rights

Any Dynamsoft SourceAnywhere Hosted users can use this command.

Dialog Box Items

Display all checked out files

Shows all checked-out files, no matter who has them checked out.

Display files checked out to

Type a username if you want to see files checked out only by that user. If the text box is blank, you can see all checked-out files.

Search Area

Specifies which projects/subprojects you want to be included in the search. You can search the current project only, the current project and all its subprojects, or all projects in the repository.


Undo Check Out Command (Client)

Undo Check Out Command (Source Menu)

See Also

  • Check Out, Check In and Edit Files/Projects
  • Check Out Command

Command Remarks

Cancels a Check Out operation, undoing all changes.

After a file or project is checked out, it is possible to undo the check out. This command is convenient if you have modified a file and then decide not to save the changes.

When you check in an unchanged file, you may make Dynamsoft SourceAnywhere Hosted perform the Undo Check Out command and do not add a new version to file history. This behavior may be set in Check in unchanged files option in Tools->Options-> General Tab.

Access Rights

You must have Check In/Check Out access right to use this command.

Dialog Box Items

If you have checked the Undo Check Out check box in Options->Command Dialogs tab, the Undo Check Out dialog box is displayed when you perform the Undo Check Out command.

Recursive (project-level only)

Undoes the check out on all descendants of the selected project

Override Working Folders (project-level Undo Check Out only)

Overrides the working folder set for the subprojects involved in a recursive operation. Available only when you click the Recursive check box.

Local Copy

    Replace: Replaces the file in your working folder - Dynamsoft SourceAnywhere Hosted performs the Get Latest Version command on the file. This keeps your working folder synchronized with the contents of the project, because all your changes are ignored.

    Delete: Deletes the file in your working folder.

    Leave: Leaves the file alone.

OK

Undoes the check out.

Cancel

Cancels the Undo Check Out command and closes the dialog box.


View Command (Client)

View Command (Edit Menu)

See Also

  • View Files
  • Edit Command

Command Remarks

Allows you to view a file with a file editor.

The application used to open a file is selected by one of the following means:

  • Use the system default application. Dynamsoft SourceAnywhere Hosted uses Microsoft Windows Explorer to associate an application with the file type.
  • Use an external application. Opens the file with a specified application. You can click the Browse button to select an application and use arguments for the application if needed. The default specified file editor may be configured in Tools -> Options -> External Programs tab ->Application for viewing and editing files.

You can view a file by double clicking the file. To make this the default behavior, you can select View in Tools -> Options -> General ->Double click on a file option.

Access Rights

You must have Read access right to use this command.

Dialog Box Items

If you have checked the file-level Edit And View check box in Options->Command Dialogs tab, the Edit Or View dialog box is displayed when you perform the View command.

View Dynamsoft SourceAnywhere Hosted's copy of this file

Gets this file copy to a temp folder and allows you to view it.

Check out this file and edit it in your working folder (option for Edit command)

Checks out this file to your working folder and allows you to edit it.

Use the system default application for this file type

Views this file by using the system default application.

Use Application

Specifies an application for viewing this file. If this text box is left blank, Dynamsoft SourceAnywhere Hosted will open files with their associated Windows application. This option is checked by default if you have specified an application for viewing and editing files in Tools -> Options -> External Programs tab ->Application for viewing and editing files.

OK

Opens a file editor.

Cancel

Cancels the View command and closes the dialog box.


Web Deploy Command (Client)

Web Deploy Command (Tools Menu)

See Also

  • Deploy Web Projects

Command Remarks

Allows you to deploy a web project and files in a web project.

When you have completed development and testing of your Web pages, the Web Deploy command copies your files to a specified location on the FTP server.

To enable this command for a specific project, your Dynamsoft SAW Hosted Administrator must designate this project as Web project and specify a deployment path in Web Projects box of the Server Manager. Once this is done, a visual clue will be provided to show which project(s) is deployable. You can deploy an entire project or files and subprojects under the project.

When enabled, only the changes made in the project will be deployed.

Access Rights

You must have Read access right to use this command.

Deploy Web Projects

Deploy Multiple Files

Dialog Box Items

If you have checked the project-level Deploy check box in Options->Command Dialogs tab, the Deploy dialog box is displayed when you perform the Web Deploy command.

Deploy To

Displays the path where the Web project will be deployed.

OK

Deploys the selected web project.

Close

Cancels the Web Deploy command and closes the dialog box.


Wildcard Search Command (Client)

Wildcard Search Command (Tools Menu)

See Also

  • Wildcard Search
  • Search Result Dialog Box

Command Remarks

Searches files which match the string in Wildcard text field.

Access Rights

Any Dynamsoft SourceAnywhere users can use this command.

Dialog Box Items

Wildcard

Specifies a file name or string with wildcard characters such as * and ?.

Refresh file lists (Synchronize with server) before searching

Gets the latest files from server and refresh file lists before performing search command.

Search Area

Specifies which projects/subprojects you want to be included in the search. You can search the current project only, the current project and all its subprojects, or all projects in the database.

Check In Date

Specifies the check-in date of the files you want to be included in the search. You can search files checked in in past few days or a date range, or do not filter by date.

File Size

Specifies the size of the files you want to be included in the search. You can search files bigger or smaller than a specified size, or do not filter by size.

OK

Shows the search result.

Cancel

Cancels the Wildcard Search command and returns to the Dynamsoft SourceAnywhere Explorer.
¡¡


Client Dialog Boxes

Other Dialog Boxes

This section contains descriptions of the functional elements of Dynamsoft SourceAnywhere Hosted dialog boxes.

  • Add File Comment
  • Add File Group
  • Add File Type
  • Add Folder Comment
  • Add To Label
  • Change File Version
  • Check In Unchanged File
  • Delete a Deleted File
  • Edit Profile
  • File Properties (General Tab)
  • File Properties (Check Out Status Tab)
  • File Properties (Links Tab)
  • File Properties (Paths Tab)
  • Find Label
  • Global Message
  • History Branch
  • History Diff
  • History Explorer
  • History Option (General Tab)
  • History Option (Dates Tab)
  • History Option (Users Tab)
  • History Option (Filenames Tab)
  • History Option (Actions Tab)
  • History Option (Comments Tab)
  • History Option (Sort Tab)
  • Label Diff
  • Label Promotion
  • Label Rename
  • Links
  • Login FTP Server
  • Merge Three Files
  • Profile Manager
  • Project Difference
  • Project Properties (General Tab)
  • Project Properties (Deleted Item Tab)
  • Project Properties (Right Tab)
  • Reconcile
  • Rename Profile
  • Replace Writable File
  • Rollback Comment
  • Search Result
  • Select Version
  • Undo Check Out Modified File
  • Version Details
  • View Label Structure
  • View Project


Add File Comment Dialog Box

  • Add Files Command

Adds a comment to the file(s) you are adding before adding the file(s).

Dialog Box Items

Comment

Enter a comment for the added file(s).

File Type

Allows you to change file type including Binary, Mergeable and Auto-Detect. The default option is Auto-Detect. If Auto-Detect is selected, Dynamsoft SourceAnywhere Hosted will automatically determine the file type according to the mergeable file types specified in Dynamsoft SourceAnywhere Hosted Server Manager.

Note: Mergeable files can be performed visual diff/merge operations while Binary files can not.

OK

Confirms the input and adds the comment to the file(s) you are adding.

Cancel

Closes the dialog box without adding the file(s) comment.


Add File Group Dialog Box

  • File Types Tab

Adds a new file group to the File Types tab in the Tools > Options dialog box.

Dialog Box Items

Name

Type the name of the file group as you would like to identify it in the file group list on the File Types tab.

OK

Adds the file group.

Cancel

Closes the dialog box.


Add File Type Dialog Box

  • File Types Tab

Adds a new file type to a file group in the File Types tab in the Tools > Options dialog box.

Dialog Box Items

Name

Type the name of the file type, such as txt, exe.

OK

Adds the file Type.

Cancel

Closes the dialog box.


Add Folder Comment

Add Folder Comment Dialog Box

  • Add Files Dialog Box

Adds a comment to the folder you are adding. This dialog box is available only when you select a folder and then click Add.

Dialog Box Items

Comment

Enter a comment for the added folder.

Recursive

Indicates you want all descendants in the selected folder to be added

File Type

Allows you to change file type including Binary, Mergeable and Auto-Detect. The default option is Auto-Detect. If Auto-Detect is selected, Dynamsoft SourceAnywhere Hosted will automatically determine the file type according to the mergeable file types specified in Dynamsoft SourceAnywhere Hosted Server Manager.

Note: Mergeable files can be performed visual diff/merge operations while Binary files can not.

OK

Confirms the input and adds the comment to the folder you are adding.

Close

Closes the dialog box without adding the folder comment.


Add Profile

Add Profile Dialog Box

  • Profile Manager Dialog Box

Window Items

Enter a name

Type the name of the profile.

OK

Confirms the input and adds the profile.

Cancel

Cancels adding a profile and closes the dialog box.


Add To Label Dialog Box

  • Label Promotion

Adds files or subprojects to the selected label.

Dialog Box Items

Item List

Lists all items found in the current version of the project. Only items that did not exist in the project when the label was applied are queried.. Select the item(s) you want to add to the label. Multiple items can be selected by holding the Ctrl key.

OK

Confirms the selection and adds the selected item(s) to the label.

Cancel

Closes the dialog box.


Change File Version Dialog Box

  • Label Promotion

Changes the file version to which the current label is applied.

Dialog Box Items

Version List

Lists all versions of the selected file except the file version to which the label was originally applied. Select a new version for the file in the current label.

OK

Confirms the selection and changes the file version.

Cancel

Closes the dialog box.


Checkin Unchanged File

<File> has not been changed. Do you want to create a new version of the file in Server?

This dialog box prompts when you are checking in unchanged file(s) or project.

Dialog Box Items

Do you want to create a new version of the file in server?

Yes

Checks in the file and creates a new version for the file.

Yes All

Applies answer Yes to all items you are checking in.

No

Undoes the checkout and does not increment the version number of the file.

No All

Applies answer No to all items you are checking in.

Cancel

Cancels checking in the file or project and closes the dialog box.


Edit Profile

Edit Profile Dialog Box

  • Profile Manager Dialog Box

This dialog box contains the following two tabs:

  • General Tab
  • Additional Tab

General Tab

Tab Items

Organization ID

Type the organization ID that is part of your hosted service account identity.

User Name

Type the user name, which must be configured on the Users tab of Server Manager.

Password

Type the password. Check Remember Password checkbox if you'd like the password of the user to be filled automatically at each login.

Connect to Dynamsoft SourceAnywhere Hosted Server

Check this box if the client connects to the hosted Server directly without using cache servers.

Use SSL

If this box is checked, the client will connect to the secure port of hosted server using SSL encryption.

Connect through my Cache Server

If you have SourceAnywhere Hosted cache servers deployed at the client side, check this box and the client will connect to the hosted server through your cache server.

Cache Server Address

Type the IP or name of your cache server.

Cache Server Port

Type the port of your cache server.

Additional Tab

Tab Items

Default Repository

Type or select the default repository to log in. If this field is left blank, the client will prompt you the Repositories dialog box after successful connection to the hosted server.

If the default repository is specified, the Repositories dialog box will be skipped at each login.

Note: Before setting the default repository please input the necessary information in General tab first.

Proxy Information Panel

Proxy type

Select the proxy type: None, Socks4, Socks5 or Http.

Server name

Type the IP or name of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

Port

Type the port of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

User name (if the proxy requires authentication)

Type the proxy username.

Password (if the proxy requires authentication)

Type the proxy password.


File Properties Dialog Box (General Tab)

  • Properties Command

File Properties Dialog Box Tabs

  • Check Out Status Tab
  • Links Tab
  • Paths Tab

Dialog Box Items

General Tab

Displays the general information of the file.

Tab Items

Name

Shows the path and name of the file.

Type

Shows and sets the file type (Mergeable or Binary) of the file. Mergeable files can be performed visual diff/merge, while binary files can not.

Note: Checked out or pinned files can not be changed type.

Current

  • Version: The current version number of the file.

  • Modified Date: The last modification date/time of the file.

  • Size: The file size of the current version of the file.

Comment

Shows the file comment entered in Add File Comment dialog box.


File Properties Dialog Box (Check Out Status Tab)

  • Properties Command

File Properties Dialog Box Tabs

  • General Tab
  • Links Tab
  • Paths Tab

Dialog Box Items

Check Out Status Tab

Displays the check out status of the file.

Tab Items

Username

Lists the user who checked out the selected file. Select the user whose checkout information you want to view.

Version

Shows the version number of the checked-out version.

Date

Shows the date and time the selected file was checked out.

Project

Shows the path of the project the selected file belongs to.

Comments

Shows the checkout comments of the file.


File Properties Dialog Box (Links Tab)

  • Properties Command

File Properties Dialog Box Tabs

  • General Tab
  • Check Out Status Tab
  • Paths Tab

Dialog Box Items

Links Tab

Lists all projects sharing the selected file. When you check in a file, all the projects shown in this list automatically receive the checked-in version of the file. If a file is deleted from a project, that is also indicated in the list window. Deleted items are noted with a text string.


File Properties Dialog Box (Paths Tab)

  • Properties Command

File Properties Dialog Box Tabs

  • General Tab
  • Check Out Status Tab
  • Links Tab

Dialog Box Items

Paths Tab

Shows all branches of the selected file. When you modify and check in a file, all shared files will be updated immediately. However, modification to this file won't be reflected in the branched files. This box will help you easily find the branched files and modify them.

For example,

Projects with independent branches:
$/A 1->5
--$/B 5->6
--$/C 3->3

This means that there are 3 branches of this file. The first branch has moved from version 1 to version 5. The second branch has the first as its parent (meaning that versions 1 through 5 of the file are the same as the first branch), began its life at version 5 and was done an operation such as checked in once since then, moving it to version 6 currently. The third branch also has the first as its parent, but began its life at version 3 and has not changed since then.

Links

Click Links button to displays the Links dialog box.


Global Message

Global Message Dialog Box

  • Login Dialog Box

The global messages are sent by Dynamsoft's administrator of the hosted server.

Window Items

Title

Displays the title of the message.

Time

Displays the date/time when the message is sent.

Content

Displays the content of the message.

Don't show this message next time

Check this checkbox if you do not want to receive this piece of message next time.

Close

Closes the dialog box.


History Branch Dialog Box

  • Branch Command
  • History Explorer Dialog Box
  • Show Labels Dialog Box

Creates an independent branch of the selected file or project at the location you specify in this dialog box. This dialog box displays only when you perform the branch command on a file or project version in History Explorer dialog box or Show Labels dialog box.

Dialog Box Items

Project List

Select a project to which the file or project will be branched.

Comment

Type an optional comment for the branched file or project.

Recursive (project-level only)

Branches the project recursively. When this option is enabled, all files and the sub-projects within the project will be branched.

Branch

Branches the file or project to the selected project.

Close

Closes the dialog box.


History Diff Dialog Box

Show Differences (History Diff) Dialog Box

  • Show Differences Command
  • History Explorer Dialog Box

File Diff

Project Diff

Allows you to compare a history version of an item to a previous version in repository, etc.

Dialog Box Items

Source Path

Specifies the source item you want to compare. You can click the Browse button to navigate to the source path in Local Path or Server Path.

Source Version

  • Type: Chooses the source version you want to compare by. There are three ways to find the version of the source item:
    • Version: Specify the version of the source item by version number. See Select Version.
    • Label: Specify the version of the source item by label. See Find Label.
    • Latest Version: Specify the latest version of the source item.

Target Path

Specifies the target item to which you want to compare the source item.

Target Version

  • Type: Chooses the target version you want to compare by.

View Options (Available only for Folder Diff)

  • Recursive: Shows the differences for the selected folder and all its descendants.
  • Show items that exist only in source path: Includes files in the source path only.
  • Show items that exist only in target path: Includes files in the target path only.
  • Show items that are different: Includes all files that are in both places but are different from each other.
  • Show items that are the same: Includes files in both places that are the same from each other.

OK

Opens the Visual Diff window to show the comparison result.

Cancel

Cancels the Show Differences command and closes the dialog box.

¡¡

¡¡

¡¡


History Explorer Dialog Box

  • Show History Command
  • History Options Dialog Box

Shows historical information for the selected file or project.

History of a file can only be viewed by item. For a project, the history can be viewed either by item or version. This can be specified in the General Tab of History Option dialog box.

Dialog Box Items

History List

(View project history by item)

If the file/project history is viewed by item, the history list displays the history of a selected file or project, including all significant changes, as seen in the following figure:

For each significant change, shows the affected items, the user who performed the action, the date and time of the change, the version number resulted from the change, the action of the change, and the comment of the change. The listed item can be a file or a subproject within the selected project.

This history list is divided into the following columns:

  • Name: The name of the item the change was made to

  • User: The user who made the change

  • Date: The date and time the change occurred

  • Version: The version number of the item that resulted from the change

  • Action: The action that corresponded to the change

  • Comment: The comment of the action

(View project history by version)

If the project history is viewed by version, the History Explorer dialog box displays all versions of the selected project, as seen below:

Each version corresponds to a change set that changed part of the project or its descendants. This allows you to view the change set that caused the project to increment its version number.

The history list is divided into the following columns:

  • Version: the version number of the project

  • Date: The date and time the change set was made to the project

  • User: The user who made the change set

  • Comment: The comment of the change set.

Close

Closes the dialog box.

View

If a project is selected, displays the View Project dialog box which shows the structure of the project that existed at the selected version of the project.

If a file is selected, displays the View or Edit dialog box.

Details

Displays the Version Details dialog box that shows the history details of a selected item's change set transaction. Double-clicking a file or project in the history list will also open the Version Details dialog box.

Get

Performs the Get command on the selected version of an item.

Diff

Performs the Show Differences command on the selected version of an item.

Annotate

Performs the Annotate command on the selected version of a file.

Label

Performs the Label command on the selected version of an item.

Branch

Performs the Branch command on the selected version of an item. The History Branch dialog box will be displayed.

Pin/Unpin

Performs the Pin/Unpin command on the selected version of an item. (This button toggles between Pin and Unpin depending on the Pin status of the selected item.)

Rollback (available only for files)

Returns a file to the selected version. Enter a comment for the rollback in Rollback Comment dialog box. Rollback is not available for a pinned or checked-out file.

Export

Exports the project history to a file.

Refresh

Refreshes the file/project history.


History Option Dialog Box (General Tab)

History Options Dialog Box (General Tab)

See Also

  • Show History Command
  • History Explorer Dialog Box

(History Option Dialog Box Tabs)

  • Dates Tab
  • Users Tab
  • File Names Tab
  • Actions Tab
  • Comments Tab
  • Sort Tab

General Tab

Tab Items

Show history for

Shows the name and path of the selected file or project.

View project history by item (project history only)

Shows the project history by item. This shows the history of all items within the selected project.

View project history by version (project history only)

Shows the project history by version. This shows the history of all versions of the selected project. Each version corresponds to a change set that changed some part of the project or its descendants that result in an increment on version number.

Recursive (available only when View project history by item option is selected)

If this is checked, the History Explorer dialog box displays the history information of the selected project and all its descendants.


History Option Dialog Box (Dates Tab)

History Options Dialog Box (Dates Tab)

See Also

  • Show History Command
  • History Explorer Dialog Box

(History Option Dialog Box Tabs)

  • General Tab
  • Users Tab
  • File Names Tab
  • Actions Tab
  • Comments Tab
  • Sort Tab

Dates Tab

Tab Items

Do not filter by date

Does not filter the history by date.

On or after

Filters the file/project history that is on and after the date specified.

On or before

Filters the file/project history that is on and before the date specified.

Include range

Restricts the history report to the specified date range.

  • From
    Restricts the history report to begin at the date specified.
  • To
    Restricts the history report to end at the date specified.

Include past

Filters the file/project history in the past several days you specify.


History Option Dialog Box (Users Tab)

History Options Dialog Box (Users Tab)

See Also

  • Show History Command
  • History Explorer Dialog Box

(History Option Dialog Box Tabs)

  • General Tab
  • Dates Tab
  • File Names Tab
  • Actions Tab
  • Comments Tab
  • Sort Tab

Users Tab

Tab Items

Do not filter by user

Does not filter the history by user

Include only selected users

Restricts the history report to the items that the selected users worked on.


History Option Dialog Box (File Names Tab)

History Options Dialog Box (File Names Tab)

See Also

  • Show History Command
  • History Explorer Dialog Box

(History Option Dialog Box Tabs)

  • General Tab
  • Dates Tab
  • Users Tab
  • Actions Tab
  • Comments Tab
  • Sort Tab

Filenames Tab

Tab Items

Do not filter by filename

Does not filter the history by filename

Include by file extensions

Restricts the history report to the files with the specified extensions. You can enter multiple file extensions separated by commas. Dot is not needed before the file extension. For example, you should enter "txt" instead of ".txt".

Include by name substring

Restricts the history report to the files whose names match the input substring. You can enter multiple name substring separated by commas.


History Option Dialog Box (Actions Tab)

History Options Dialog Box (Actions Tab)

See Also

  • Show History Command
  • History Explorer Dialog Box

(History Option Dialog Box Tabs)

  • General Tab
  • Dates Tab
  • Users Tab
  • File Names Tab
  • Comments Tab
  • Sort Tab

Actions Tab

Restricts the history report to the selected actions. By default, Pin/Unpin is not checked.

You can select the actions from the following list:

  • Add

  • Delete

  • Recover

  • Check in

  • Purge

  • Pin/Unpin

  • Move in

  • Move out

  • Rollback

  • Share

  • Branch

  • Label

  • Rename


History Option Dialog Box (Comments Tab)

History Options Dialog Box (Comments Tab)

See Also

  • Show History Command
  • History Explorer Dialog Box

(History Option Dialog Box Tabs)

  • General Tab
  • Dates Tab
  • Users Tab
  • File Names Tab
  • Actions Tab
  • Sort Tab

Comments Tab

Tab Items

Do not filter by comments

Does not filter by comments.

Include any non-empty comments

Restricts the history report to the files that have non-empty comments for actions.

Include by search string

Shows a history of files with comments that match the substring entered. You can enter only one substring to search against.


History Option Dialog Box (Sort Tab)

History Options Dialog Box (Sort Tab)

See Also

  • Show History Command
  • History Explorer Dialog Box

(History Option Dialog Box Tabs)

  • General Tab
  • Dates Tab
  • Users Tab
  • File Names Tab
  • Actions Tab
  • Comments Tab

Sort Tab

Tab Items

Sort by/Then by

Sorts the history by the specific column. The sort columns are Name, User, Date, Version, Action. Select the column and ascending or descending sort.


Label Diff Dialog Box

  • Show Differences Command
  • Show Labels Dialog Box

File Diff

Project Diff

Allows you to compare a labeled version of an item to a previous version in repository, etc.

Dialog Box Items

Source Path

Specifies the source item you want to compare. You can click the Browse button to navigate to the source path in Local Path or Server Path.

Source Version

  • Type: Chooses the source version you want to compare by. There are three ways to find the version of the source item:
    • Version: Specify the version of the source item by version number. See Select Version.
    • Label: Specify the version of the source item by label. See Find Label.
    • Latest Version: Specify the latest version of the source item.

Target Path

Specifies the target item to which you want to compare the source item.

Target Version

  • Type: Chooses the target version you want to compare by.

View Options (Available only for Folder Diff)

  • Recursive: Shows the differences for the selected folder and all its descendants.
  • Show items that exist only in source path: Includes files in the source path only.
  • Show items that exist only in target path: Includes files in the target path only.
  • Show items that are different: Includes all files that are in both places but are different from each other.
  • Show items that are the same: Includes files in both places that are the same from each other.

OK

Opens the Visual Diff window to show the comparison result.

Cancel

Cancels the Show Differences command and closes the dialog box.

¡¡

¡¡


Label Promotion Dialog Box

  • Label Promotion
  • Show Labels Dialog Box

Changes the name and associations of a label.

Dialog Box Items

Menu

Label

Add

Adds files or subprojects to the label. The Add To Label dialog box will be displayed listing the files or subprojects that were added to the selected project in the repository after the label was applied.

This command is only available on projects.

Delete

Deletes the currently selected file or project from the label.

This command is not available on the label root.

Change Version

Changes the labeled version of a file in the label's folders to another version in the file history. The Change File Version dialog box will be displayed listing all versions of the selected file except the version to which the label was originally applied.

This command is only available on files.

Exit

Closes the dialog box.

View

Refresh

Gets the latest version of the label from the server, and updates the tree view and file list.

Project

Displays the name of the project this label was applied to.

Label Name

Type a new label name. Clicking Revert will revert to its old name.

Project Tree (Left Pane)

Displays the project structure at the time when the label was applied or the current label structure if the label has been promoted. The project tree is rooted at the project to which the label was applied.

File List (Right Pane)

Displays all files in the selected project . The file list is divided into the following four columns:

  • File: Displays the file name
  • Version: Displays the version of the file
  • Date: Displays the modification date/time of the remote copy of the file
  • Size: Displays the file size


Label Rename Dialog Box

  • Show Labels Dialog Box

Renames the selected label.

Dialog Box Items

Old Name

Shows the old name of the label.

New Name

Type a new name of the label.

OK

Renames the label.

Cancel

Closes the dialog box.


Links Dialog Box

Links

  • File Properties Dialog Box (Path Tab)

Displays the share link(s) of the selected branch.

Dialog Box Items

Projects

Lists all projects that share the selected branch of a file.

Close

Closes the dialog box.


Merge Three Files

Your working folder contains a writable and modified copy of <file>

This dialog box appears only when Dynamsoft SourceAnywhere Hosted repository allows multiple checkouts. If you keep a file checked out and have a different local file copy from the checked-out file version, at the same time the server file's version number is updated by others, and then you perform the Get Latest Version command on the file, this dialog box will pop up.

Dialog Box Items

Replace

Replaces your local file copy with the latest file version on the server.

Merge

Merges the following three files: the latest file version on the server, your checked-out file version on the server and your current local file copy.

Leave

Leaves the local file copy alone (does not retrieve the latest version from the repository).

Cancel

Cancels your current operation and closes the dialog box.


Project Difference Dialog Box

Project Difference

  • Show Differences Command

Shows the project difference result. You can also see what is different within a file, and reconcile differences if desired.

Dialog Box Items

This dialog box is composed of two panes which show files in the compare project and to folder. This dialog also has its own toolbar, with buttons for adding files, deleting files, getting files, checking files out and in, undoing file check outs, viewing files, reconciling the differences , and more.

Results of the comparison are displayed as side-by-side panes listing files and subprojects alphabetically. The list of files in the right and left panes is filtered by the choices you made in the Show Differences command dialog. For example, if you choose to show only files that are different in both places, you will not see files that are the same.

There are four types of files which may appear in the lists.

  • Files that are same in both panes appear in black letters against a white background by default.

  • Files that are in your working folder, but not in the compare project, appear in green against a gray background by default.

  • Files that are in the compare project, but not in the your working folder, appear in blue against a gray background by default.

  • Files that are in both places, but different, appear in red against a gray background by default.
Toolbar commands in this dialog generally work in the same way as the standard SourceAnywhere Hosted commands, but some work slightly differently, as follows:
  • The Add Files command moves a file or directory from the right pane to the left pane.

  • The Delete command works normally if a file in the left pane is selected. If a file in the right pane is selected, you can use the Delete command to delete the local file or directory from your working folder.

  • The Get command works normally, getting a file or project from the left pane to the right pane.

  • The Check Out command works normally, reconciling the differences between a file that is different in each pane and is not checked out in the right pane, by checking it out and overwriting it in your local working folder.

  • The Check In command works normally, reconciling a file that is in both panes, but different, and is checked out in both panes. With this command you save the latest changes to the file in your working folder.

  • The Undo Check Out command works normally, reconciling a file that is different in each pane and is checked out in both panes by undoing the check out on the file. With this command you lose the latest changes to the file in your working folder.

  • The View File command works on a file selected in the left pane just like the Explorer's View command — it displays the file in the SourceAnywhere Hosted database. The View command works on a file selected in the right pane by opening the appropriate viewer directly on the file in the folder.

  • The File Difference command compares two selected files. If only one file is selected, Difference compares it with the SourceAnywhere Hosted project and the folder.

  • The Refresh command brings the File List up to date.

  • The Reconcile command reconciles differences found in the compared projects. Reconciliation can mean several different things depending on the settings you choose in the dialog boxes that are displayed after you choose this command.

  • The Report command allows you to export the project difference result to a local disk as a file.

Note: The first six commands are only available when comparing the working folder with the project in the repository.

If you use a mouse, you can access many of the preceding commands with the right mouse button. You can also perform Properties command and choose files to show through right mouse button.


Project Properties Dialog Box (General Tab)

  • Properties Command

Project Properties Dialog Box Tabs

  • Deleted Items Tab
  • Rights Tab

Dialog Box Items

General Tab

Displays the project name, the cloak status of the project, the number of files and subprojects in the project, the number of deleted files and subprojects (if any), the version number and date of that version and project comments.


Project Properties Dialog Box (Deleted Items Tab)

  • Properties Command

Project Properties Dialog Box Tabs

  • General Tab
  • Rights Tab

Dialog Box Items

Deleted Item Tab

Displays a list of files and subprojects that have been removed from the current project.

Tab Items

Items

Lists all removed files and subprojects in the current project.

Purge

Permanently deletes an item. Permanently deleted items can no longer be recovered.

Recover

Recovers the deleted item.


Project Properties Dialog Box (Rights Tab)

  • Properties Command

Project Properties Dialog Box Tabs

  • General Tab
  • Deleted Items Tab

Dialog Box Items

Rights Tab

Displays the access rights that the current logged in user has to the selected project. The security rights may be configured within Server Manager.


Reconcile Dialog Box

  • Project Difference

Command Remarks

You can find the Reconcile button in the Project Difference dialog box along the toolbar. The Reconcile button displays a dialog box with the following options. These options specify what you want SourceAnywhere Hosted to do when it encounters specific situations while reconciling differences between projects.

Dialog Box Items

Reconcile files that appear in only one list...

Files that are not in your working folder. This specifies what you want to happen when SourceAnywhere Hosted finds files that are not in your working folder, but are in the project. Click Get (the default) to get files missing from your working folder. Click Ignore to take no action with these files.

Files that are not in the project. This specifies what you want to happen when SourceAnywhere Hosted finds files that are not in your project, but are in your working folder. Click Ignore (the default) to take no action with these files. Click Add to Project to add these files to your project. Click Delete from folder to delete these files from your working folder.

Reconcile files that appear in both lists...

Files that you have checked out. This specifies what you want to happen when SourceAnywhere Hosted finds files that are checked out to you. Click Check In (the default) to check these files into your project. Click Undo Check Out to undo the check out on these files. Click Get to get the latest version of these files. Click Ignore to take no action with these files.

Files that you do not have checked out. This specifies what you want to happen when SourceAnywhere Hosted finds files that are not checked out to you, but are different in your working folder. Click Get (the default) to get the latest version of these files. Click Ignore to take no action with these files.

OK
Performs the Reconcile command with the options chosen.

Cancel
Cancels the reconciliation.


Your working folder contains a modified copy of <File>

This dialog box prompts when your local copy of file is modified and marked writable, and you've performed a Get or Check Out operation (only if Ask is selected in Replace Writable Files dropdown list in the Get Latest Version or Check Out dialog box).

Dialog Box Items

Do you want...

Leave this file

Leaves the local copy alone (does not retrieving the latest version from the repository).

Replace your local file with this version from Dynamsoft SourceAnywhere Hosted

Replaces the modified copy of file on your disk with the copy from Dynamsoft SourceAnywhere Hosted repository.

Apply to all items

When this is checked, applies the selection to all items you try to get or check out.


Rollback Comment Dialog Box

  • History Explorer Dialog Box

Adds a comment for the rollback.

Dialog Box Items

Comment

Enter a comment for the rollback.

OK

Returns the file to the selected version.

Close

Closes the dialog box.


Search Result Dialog Box

  • Status Search Command
  • Wildcard Search Command

Displays the status search result.

Dialog Box Items

Checkouts list

The list contains the following four columns:

  • Name: The name of the checked-out file

  • User: The name of the user who checked out the file

  • Check In Date: The last check-in date/time of the remote copy of the file

  • Check out folder: Shows the path of the check out folder

  • Remote Size: The size of the remote copy of the file

Close

Closes the dialog box.

View

Performs the View command on the selected file.

Get latest version

Performs the Get latest version command on the selected file(s).

Check in

Performs the Check In command on the selected file(s).

Check out

Performs the Check Out command on the selected file(s).

Undo check out

Performs the Undo Check Out command on the selected file(s).

Show Differences

Performs the Show Differences command on the selected file or compare two selected files.

Show History

Performs the Show History command on the selected file.

Export

Exports the search result to a local disk as a file.


Undo Checkout Modified File

<File> has changed. Undo check out and lose changes?

This dialog box prompts when you are undoing check out modified file(s).

Dialog Box Items

Do you want...

Undo Check out

Cancels the Check Out operation, ignoring changes in the local file.

Do not undo Check out

Keeps the file check out without any update.

Apply to all items

Applies the selection to all items you try to get or check out when this option is checked.

OK

Confirms your selection.

Cancel

Cancels the Undo Check out operation and closes this dialog box.


Version Detail Dialog Box

Version Details Dialog Box

  • History Explorer Dialog Box

Shows the history details of a selected item's change set transaction. This lists all items that were included in the same change set as the selected item.

Dialog Box Items

Project/File

Displays the path and name of the selected item.

Version

Displays the selected item version.

User

Displays the name of the user who made the change set to the selected item.

Date

Displays the date/time when the change set was made.

Comment

Displays the change set comment.

Item modified as part of this change set

Displays all files or projects that are modified as part of the same change set as the selected item.


View Label Dialog Box

View Label Structure Dialog Box

  • Show Labels Dialog Box

Allows you to view the label structure at the time the label was applied or the current label structure if the label has been promoted

Dialog Box Items

Menu

Label

Exit

Closes the dialog box.

View

View File

Performs the View command on the selected file that is associated with the label.

Refresh

Gets the latest version of the label from the server, and updates the tree view and file list.

Project

Displays the path and name of the project this label was applied to.

Label Name

Displays the name of the label.

Project Tree (Left Pane)

Displays the project structure at the time when the label was applied or the current label structure if the label has been promoted. The project tree is rooted at the project to which the label was applied.

File List (Right Pane)

Displays all files in the selected project . The file list is divided into the following four columns:

  • File: Displays the file name
  • Version: Displays the version of the file
  • Date: Displays the modification date/time of the remote copy of the file
  • Size: Displays the file size


View Project Dialog Box

  • History Explorer Dialog Box

Allows you to view, get or branch any descendants that existed at the selected version of the project.

Dialog Box Items

Project Tree (Left Pane)

Displays the project structure at the selected version of the project. The project tree is rooted at the selected project in history record.

File List (Right Pane)

Displays all files in the project selected in the project tree. The file list is divided into the following four columns:

  • Name: Displays the file name
  • Version: Displays the version of the file
  • Date: Displays the modification date/time of the remote copy of the file
  • Size: Displays the file size

Close

Closes the dialog box.

View

Allows you to view the selected file. This button is available only when you select a file in the File List.

Get

Performs the Get command on the selected file or project version.

Branch

Performs the Branch command on the selected file or project version.


Java GUI Client

  • How to Run Java Client

Dynamsoft SourceAnywhere Hosted Java Client can run on any platform that SWT (Standard Widget Toolkit) supports, including Windows, Linux, Mac, Solaris, AIX, HP-UX, SCO Unix, FreeBSD and so on.

For other documentation of Dynamsoft SourceAnywhere Hosted Java Client, please refer to the Help file that comes with Dynamsoft SourceAnywhere Hosted Java Client.


How to run Java Client

How to run Dynamsoft SourceAnywhere Hosted Java Client

JDK version 1.4.2.8 is needed for Dynamsoft SourceAnywhere Hosted Java environment.

Windows

  1. Download JDK version 1.4.2.8 or above from http://www.sun.com and install it.
  2. Set Java environment for running the java applications (including *.jar). Please refer to http://java.sun.com/j2se/1.4.2/runtime_win32.html.
  3. Double-click Dynamsoft SourceAnywhere Hosted .exe in the folder where Dynamsoft SourceAnywhere Hosted java client is installed.

Linux

  1. Download JDK version 1.4.2.8 or above from http://www.sun.com and install it
  2. Set Java environment for running the java applications (including *.jar). Please refer to http://java.sun.com/j2se/1.4.2/jre/install-linux.html.
  3. Double click the file named with Dynamsoft SourceAnywhere Hosted in the folder where Dynamsoft SourceAnywhere Hosted java client is installed.

Sun Solaris

  1. Download JDK version 1.4.2.8 or above from http://www.sun.com and install it
  2. Set Java environment for running the java applications (including *.jar). Please refer to http://java.sun.com/j2se/1.4.2/jre/install-solaris.html.
  3. Double click the file named with Dynamsoft SourceAnywhere Hosted in the folder where Dynamsoft SourceAnywhere Hosted java client is installed.

Mac OS X

  1. Download and deploy JDK version 1.4.2.8 or above, please refer to http://www.apple.com/java.
  2. Double click the file named with Dynamsoft SourceAnywhere Hosted in the folder where Dynamsoft SourceAnywhere Hosted java client is installed.

For other documentation of Dynamsoft SourceAnywhere Hosted Java Client, please refer to the Help file that comes with Dynamsoft SourceAnywhere Hosted Java Client.


IDE Client

Visual Studio IDE Client

Dynamsoft SourceAnywhere Hosted supports all MSSCCI compatible IDE integrations. In addition to the GUI Client, Dynamsoft SourceAnywhere Hosted provides an integrated Client that is suitable for use in development environments such as such as Visual Studio, Visual Studio.NET, Rational Rapid Developer, Delphi, etc.

Dynamsoft SourceAnywhere Hosted provides a way for you to toggle among multiple Source Code Control (SCC) providers when using IDE integration. This feature can be accessed from Tools -> Options -> General in the GUI Client. Also, you can use Dynamsoft SourceAnywhere Hosted's SCC Provider Manager to do this. SCC Provider Manager can be found in Dynamsoft SourceAnywhere Hosted Client program group.

This section mainly introduces the Visual Studio IDE Client. The following topics are included:

  • Options
  • Add Project to Dynamsoft SourceAnywhere Hosted
  • Get Project from Dynamsoft SourceAnywhere Hosted to Local
  • Select Project from Dynamsoft SourceAnywhere Hosted
  • Others


Options (IDE Client)

  • General Tab
  • Files Tab
  • Difference Tab
  • External Programs Tab
  • View Tab


General Tab (IDE CLient)

General Tab (IDE Options)

See Also

  • Options

Options for general configuration.

Tab Items

Check in unchanged files

Specifies how to handle the unchanged files when you perform the Check In operation.

  • Check In: Updates the file to a new version even if no change was made.

  • Undo Check Out: Undoes the checkout without updating file version number.

  • Ask: Displays the Check In Unchanged File dialog box prompting whether you want to create a new version of file on server.

Connection Type

Specifies connection type. Available options are Local Connection, Broad Band Connection and Narrow Band Connection. The proper selection will speed up the operations.

Use delta transfer for data transfer

Uses delta transfer for data transfer. Dynamsoft SourceAnywhere Hosted supports delta transfer to speed up the transfer of files. In non-LAN connection, it can speed up the file transfer greatly.

Always request exclusive locks

Sets the default option for the Request Exclusive Lock checkbox in the Check Out dialog box. An exclusive lock on a file means that no one else can check the file in or out while the current user has it checked out.

Setting folder for temporary Files

Specifies the folder you want Dynamsoft SourceAnywhere Hosted to store temporary files. Type the full path in this textbox or click Browse to select one.

Delete all temporary files

Clears the folder storing temporary files.

Note: Creating your Temp folder locally, rather than on the network, may increase the performance of Dynamsoft SourceAnywhere Hosted.


Files Tab (IDE CLient)

Files Tab (IDE Options)

See Also

  • Options

Options for local copies of files.

Tab Items

Use read-only flag for files that are not checked out

Sets the read-only flag on files in your working folder. Dynamsoft SourceAnywhere Hosted assumes that files in your working folder that you don't have checked out are read-only. Dynamsoft SourceAnywhere Hosted sets the read-only flag when you perform a Get Latest Version, Add, Check In, or Undo Check Out command on a file, and uses it as a signal that you have not been modifying the file.

Duration for file status caching

IDE caches file status. This option specifies the duration for the file status caching.

Compare files by

This option allows you to set how Dynamsoft SourceAnywhere Hosted determines if your local copy is up-to-date.

  • Checksum: Compares by a checksum stored by Dynamsoft SourceAnywhere Hosted. Use Checksum comparison for most Dynamsoft SourceAnywhere Hosted uses.
  • Time: Compares the date/time flags. The exact method of date comparison depends on the setting of the Set Date/Time On Local Files:
    • If set to Current (the default), when you perform a Check Out or Get command, Dynamsoft SourceAnywhere Hosted replaces the local file if Dynamsoft SourceAnywhere Hosted file's modification time is more recent than the local file's modification time. When you check in, undo check out or get history versions of files, files are compared by Checksum even if you choose to compare files by Time.
    • If set to Modification, when you perform a Check Out or Get command, Dynamsoft SourceAnywhere Hosted replaces the local copy if Dynamsoft SourceAnywhere Hosted file's modification time is different from the local copy's modification date.
    • If set to Check In, when you perform a Check Out or Get command, Dynamsoft SourceAnywhere Hosted replaces the local copy if the time of the last check in (or add) is different from the local copy's modification date.

Replace writable files

When you get or check out a file, Dynamsoft SourceAnywhere Hosted copies the file into your working folder. If there is already a writable copy of the file in your working folder, replacing the file may erase your work.

    Ask: A dialog box is displayed to give you an option each time.

    Replace: Replaces (overwrites) the file.

    Skip: Leaves the local file alone (not retrieving the latest version from the server).

    Merge: Attempts a three-way merge if the file has been checked out by multiple users including you and your local file version number is smaller than that on the server. Besides, skips the local file copy.

Set date/time on local files

This option allows you to specify how Dynamsoft SourceAnywhere Hosted sets the date/time for files in your working folder. The option you choose is the time you will see when you view files in the Windows Explorer.

  • Current: Sets the modification date and time of the local copy to the current date and time, whenever Dynamsoft SourceAnywhere Hosted gets a file. This signals the compiler that the file has just changed, and needs to be recompiled. This is the default.

  • Modification: Sets the modification date and time of the local copy to the date and time the file was last modified.

  • Check In: Sets the modification date and time of the local copy to the date and time the file was last checked in.

End-of-line terminator

The end-of-line terminator for mergeable files may be specified using this option.

The EOL Terminator may need to be changed if the operating system where the working folders reside differs from the operating system Dynamsoft SourceAnywhere Hosted Client is currently running on. For example, if Dynamsoft SourceAnywhere Hosted Client is running on a Windows operating system but needs to retrieve files to a working folder that is on a Mac OS, you can change the EOL Terminator to Mac(CR) so that files retrieved to the working folder will be displayed correctly.

The options for end-of-line terminator are as follows:

  • Native: Keeps the original EOL terminator(s).

  • Windows(\r\n): Uses CRLF

  • Unix(\n): Uses LF

  • Mac(\r): Uses CR

Note: The EOL Terminator will not take effect if your local copy of file is the same as the one in the repository. The way how Dynamsoft SourceAnywhere Hosted determines if your working folder copy differs from the repository copy can be set in Compare files by option.


Diff Tab (IDE Client)

Difference Tab (IDE Options)

See Also

  • Options

Options for viewing differences between files or projects. These settings are valid for Dynamsoft SourceAnywhere Hosted's diff/merge utility MergeHero only.

Tab Items

Compare Files

Ignore End-Of-Line Terminator

When this option is enabled, MergeHero will not compare the EOL terminators in files.

Ignore Case

When this option is enabled, MergeHero will ignore case when comparing files.

Show Identical Files

When this option is enabled, MergeHero will show identical files in the comparison results.


External Programs Tab (IDE CLient)

External Programs Tab (IDE Options)

See Also

  • Options

Options for external programs.

Tab Items

Application for viewing/editing files

Dynamsoft SourceAnywhere Hosted can be configured with the viewing/editing application of the user's choice. The View and Edit commands will automatically open files using the utility configured here. If this box is left blank, Dynamsoft SourceAnywhere Hosted will open files with their associated Windows application.

Application for diff/merge

This option is used to specify an external application for visual diff/merge on files or directories.

Note: Dynamsoft SourceAnywhere Hosted Diff/Merge tool MergeHero is configured by default. If MergeHero is configured, the following arguments items will be invalid.

Arguments for diff files

This option allows you to specify the arguments to supply to the diff tool for files diff when the diff tool is invoked. The following macros are available (the macros are case-sensitive):

  • %FIRST_FILE% - expands to the path of the file that will be supplied for the left side of the diff output.

  • %SECOND_FILE% - expands to the path of the file that will be supplied for the right side of the diff output.

  • %FIRST_LABEL% - expands to the label that will be supplied to the file being diffed on the left side of the diff output.

  • %SECOND_LABEL% - expands to the label that will be supplied to the file being diffed on the right side of the diff output.

For example, to invoke WinDiff to compare two files from command line, the command is as follows:

Windiff path_to_first_file path_to_second_file

So, the entry for this field that is appropriate for the external diff tool WinDiff is:

"%FIRST_FILE%" "%SECOND_FILE%"

Arguments for three-way merge:

This option allows you to specify the arguments to supply to the merge tool for three-way merge when the merge tool is invoked. The following macros are available (the macros are case-sensitive):

  • %BASE_FILE% - expands to the path of the file that is the common ancestor, or baseline between the two files being merged.

  • %THEIRS_FILE% - expands to the path of the updated server file that is being merged.
  • %YOURS_FILE% - expands to the path of your local file that is being merged.

  • %RESULT_FILE% - expands to the path of file that will be saved when the user merges the files together.

  • %FIRST_LABEL% - expands to the label supplied by the merge tool to put on top of the first file being merged.

  • %SECOND_LABEL% - expands to the label supplied by the merge tool to put on top of the second file being merged.


Add Profile

View Tab (IDE Options)

See Also

  • Options

Options for login log.

Tab Items

Display Login Log every time login

Set the option to display login log every time login. The default setting is ON.

View Login Log

Displays the Login Log Dialog to show the last ten login records.


Add Project to SAW Standalone (IDE Client)

Add Project to Dynamsoft SourceAnywhere Hosted (IDE Client)

Adds the current project in your development environment to the source code control repository.

Dialog Box Items

Project Name

Specifies the name of Dynamsoft SourceAnywhere Hosted project that files will be added to.

$/

Displays Dynamsoft SourceAnywhere Hosted project tree. Select a project that your project will be added to.

OK

Adds the selected project to the source code control repository.

Cancel

Cancels the operation and closes the dialog box.

Create

Creates a new project in Dynamsoft SourceAnywhere Hosted repository.

Refresh Project Tree

Refreshes the project tree.

NOTE: The Add Project to Source Code Control command takes the selected files in the development environment project window and creates a new source code control project containing those files. This command is available only when you select a project not already under source code control. Each selected file is automatically added at this time.


Get Project from SAW Standalone to Local

Get Project from Dynamsoft SourceAnywhere Hosted to Local (IDE Client)

Allows user to create a new development project from an existing Dynamsoft SourceAnywhere Hosted project.

Dialog Box Items

Create a new project in this folder

The working folder for the selected project. Click Browse to create or change the working folder.

Dynamsoft SourceAnywhere Hosted project to download

Select the project you want to open.

OK

Gets the files, places them in your working folder, and opens the project in your development environment so that you can edit it.

Cancel

Cancels the operation and closes the dialog box.

Refresh Project Tree

Refreshes the project tree.


Select Project from Server

Select Project from Dynamsoft SourceAnywhere Hosted (IDE Client)

If the project on Dynamsoft SourceAnywhere Hosted server has been renamed or deleted, this dialog box will be displayed.

Project name in server

Displays Dynamsoft SourceAnywhere Hosted project tree. Select a new project that your want to open.

OK

Confirms your selection.

Cancel

Closes the dialog box.

Refresh

Refreshes the project tree.


Others

Other operations of the IDE Client are similar to GUI Client.


Eclipse Plug-in

Dynamsoft SourceAnywhere Hosted Eclipse plug-in is a Team provider plug-in for the Eclipse IDE. It enables users to perform Dynamsoft SourceAnywhere Hosted operations from within the Eclipse IDE. This plug-in supports Eclipse release 3.x.

Dynamsoft SourceAnywhere Hosted Eclipse plug-in can be used on various operating systems such as Windows, Linux, Solaris , Mac, etc.

Before using the Eclipse plug-in, please install it following steps in Installation page.

  • How to enable the plug-in
  • How to use the plug-in
  • How to customize the plug-in


Add Profile

How to enable the plug-in

Dynamsoft SourceAnywhere Hosted plug-in works on a per Eclipse project basis. Each project in your workspace can be configured separately and can mount a Dynamsoft SourceAnywhere Hosted Repository.

1. Configure a team provider for your project.

Right click an Eclipse project and select Team -> Share Project to bring up the select repository wizard.

2. Select Dynamsoft SourceAnywhere Hosted as the repository type.

3. Input the general information to login Dynamsoft SourceAnywhere Hosted server.

Login Info Panel

Organization ID

Type the organization ID that is part of your hosted service account identity.

User Name

Type the user name, which must be configured on the Users tab of Server Manager.

Password

Type the password. Check Remember Password checkbox if you'd like the password of the user to be filled automatically at each login.

Connect to Dynamsoft SourceAnywhere Hosted Server

Check this box if the client connects to the hosted server directly without using cache servers.

Use SSL

If this box is checked, the client will connect to the secure port of hosted server using SSL encryption.

Connect through my Cache Server

If you have SourceAnywhere Hosted cache servers deployed at the client side, check this box and the client will connect to the hosted server through your cache server.

Cache Server Address

Type the IP or domain name of your cache server.

Cache Server Port

Type the port of your cache server.

Profile Panel

Profile

Select the profile to apply the pre-configured login information to the Login Info panel. Each profile saves the information that is required for all the items within Login Info panel. You may create any profile if needed with Java GUI Client.

4. Input the additional information to login Dynamsoft SourceAnywhere Hosted server.

Default Repository

Type or select the default repository to log in. If this field is left blank, the client will prompt you the Repositories dialog box after successful connection to the hosted server. Clicking Select Repository button will bring up the Repositories dialog box.

If the default repository is specified, the Repositories dialog box will be skipped at each login.

Note: Before setting the default repository please input the necessary information in General tab first.

Proxy Information Panel

Proxy type

Select the proxy type: None, Socks4, Socks5 or Http.

Server name

Type the IP or name of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

Port

Type the port of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

User name (if the proxy requires authentication)

Type the proxy username.

Password (if the proxy requires authentication)

Type the proxy password.

5. Path Mapping

Local

Displays the path to the local workspace of the Eclipse project.

Remote

Type the path of the Eclipse project in Dynamsoft SourceAnywhere Hosted Repository.

Browse

Click to bring up the Add to Dynamsoft SAW Hosted project dialog box. You can select an existing Dynamsoft SourceAnywhere Hosted project or create a new one.

6. Your project is now configured for using Dynamsoft SourceAnywhere Hosted Plug-in.

Now if you right click context menu on the project and select Team, you will see some additional Dynamsoft SourceAnywhere Hosted plug-in functions.

Dynamsoft SourceAnywhere Hosted plug-in actions are also available from the main menu and toolbar if Dynamsoft SourceAnywhere Hosted Plug-in menu and shortcuts is enabled. The actions will be invoked on the current active editor or the current selection if there is no active editor.

The context menu option will vary depending on the status of the file. If an option isn't available, but it should be, always try to do a refresh and see what happens.

All errors within the plug-in can be viewed by clicking Window menu > Show View > Error Log or in the Eclipse log-file located at (your workspace)\.metadata\.log.


How to use the plug-in

1. Basic Functions

  • Get Latest Version: Gets the latest version from Dynamsoft SourceAnywhere Hosted Repository. If a writable copy of a file exists, the user will be prompted if the local copy should be replaced.

  • Refresh Status: Updates the checkout status of an item.

  • Check Out: Checks out the item from Dynamsoft SourceAnywhere Hosted Repository. If a writable copy of a file exists, the user will be prompted if the local copy should be replaced.

  • Check In: Checks the item with changes into Dynamsoft SourceAnywhere Hosted Repository.

  • Undo Checkout: Gives up the changes (if any). The user will be prompted if the file is changed. All affected files corresponding editors will be reverted after the undo.

  • Label Item: Assigns a label to the item.

  • History: Displays the history information of a file. This function is only available on files.

History Options

Allows you to specify the date range or user for filtering the file history.

History Of File

View

Displays the content of the file with the default editor.

Details

Displays the details of the selected history item of the file, including the version number, date, user, label, etc.

Get

Gets the file to your workspace.

Diff

You can compare the selected version of the file with the local copy in workspace, or to any other version of the file. To compare two different versions of a file, hold down the Ctrl key while selecting the two versions. Then click the Diff button.

  • Property: Displays the property of a file containing the basic information of the file. This function is only available on files.

  • Remove From Repository: Removes the item from Dynamsoft SourceAnywhere Hosted Repository.

  • Add: Adds the item to Dynamsoft SourceAnywhere Hosted Repository.

  • Compare With Latest: Compares the local file with the latest version of the file in Dynamsoft SourceAnywhere Hosted Repository.

  • Deconfig Project: Removes Dynamsoft SourceAnywhere Hosted plug-in from the project. This operation will not remove the project from Dynamsoft SourceAnywhere Hosted Repository. Available on the project root folder.

For more details about the basic functions of Dynamsoft SourceAnywhere Hosted plug-in, please refer to the help file of Dynamsoft SourceAnywhere Hosted.

2. View Status Messages

Dynamsoft SourceAnywhere Hosted Message window displays the status message of Dynamsoft SourceAnywhere Hosted. To enable the window, select Window ->Show View -> Other -> Dynamsoft SourceAnywhere Hosted.

3. Customizing Dynamsoft SourceAnywhere Hosted plug-in

Dynamsoft SourceAnywhere Hosted options can be found under Window -> Preferences -> Team -> Dynamsoft SourceAnywhere Hosted Option.

4. Dynamsoft SourceAnywhere Hosted Plug-in menu and shortcuts

To enable Dynamsoft SourceAnywhere Hosted plug-in menu and shortcuts, select Window -> Customize Perspective.

Shortcuts

Commands

5. Label Decorations

To enable status showing for each item in the project, select Window -> Preferences -> Workbench -> Label Decorations.

  • Each project that is mapped to Dynamsoft SourceAnywhere Hosted Repository is shown with a little "database" [image] icon, and the project name is followed by "(Dynamsoft SourceAnywhere Hosted Repository alias--current user--the remote path of the project)".
  • Each file known to exist in Dynamsoft SourceAnywhere Hosted Repository is shown with a little "database" [image] icon.
  • Each file known to be checked out will have the checkout user shown after the filename, if the file is checked out by multiple users, "..." will be shown after the current checkout user name.
  • Each file, which the current user has checked out, will have a small checked [image] icon.


Options (Eclipse Plug-in)

Options

You can customize Eclipse plug-in options using the Options dialog box, which contains the following tabs:

  • Options (General Tab)
  • Options (Files Tab)
  • Options (External Programs Tab)
  • Options (View Tab)


Options_GeneralTab (Eclipse Plug-in)

Options (General Tab)

Options for general configuration.

Tab Items

Act on projects recursively

Specifies whether Dynamsoft SourceAnywhere Hosted acts recursively by default on all projects and subprojects during operations that support recursion. Since performing recursive operations can sometimes be a lengthy process, the default option is OFF.

Check in unchanged files

Specifies how to handle the unchanged files when you perform the Check In operation.

  • Check In: Updates the file to a new version even if no changes made.

  • Undo Check Out: Undoes the checkout without updating file version number.

  • Ask: Displays the Check In Unchanged File dialog box prompting whether you want to create a new version of file on server.

Connection Type

Specifies connection type. Available options are Local Connection, Broad Band Connection and Narrow Band Connection. The proper selection will speed up the operations.

Setting Folder for Temporary Files

Specifies the folder you want Dynamsoft SourceAnywhere Hosted to store temporary files. Type the full path in this textbox or click Browse to select one.

Delete all temporary files

Clears the folder storing temporary files.

Restore Defaults

Changes the above options to the default values.

Apply

Applies your settings on this tab.


Options_FilesTab (Eclipse Plug-in)

Options (Files Tab)

Options for local file copies.

Tab Items

Always keep files checked out

When a file is checked in, it cannot be modified. Thus, selecting the Always keep files checked out option enables files to be kept in a checked out state upon Check In, so that they may still be modified after the Check In operation.

Use read-only flag for files that are not checked out

Sets the read-only flag on the unchecked out files in your working folder. Dynamsoft SourceAnywhere Hosted sets the read-only flag when you perform a Get Latest Version, Add, Check In, or Undo Check Out command on a file, and uses it as a signal that you have not been modifying the file.

Display warning for Undo check out of a modified file

Displays the Undo Checkout Modified File dialog box prompting whether you want to undo checkout and lose the changed data in the file.

Replace writable files

Specifies how to handle the writable local file if it is different from the file in the server. The following four ways will be behaved:

    Ask: Displays a dialog box prompting you whether to leave or replace the local file each time.

    Replace: Replaces (overwrites) the local file.

    Skip: Leaves the local file alone (not retrieving the latest version from the server).

    Merge: Attempts a three-way merge if the file has been checked out by multiple users including you and your local file version number is smaller than that on the server. Besides, skips the local file copy.

Set date/time on local files

Specifies how Dynamsoft SourceAnywhere Hosted sets the date/time for files in your working folder. The option you choose is the time you will see when you view files in the Windows Explorer.

  • Current: Sets the date and time of the file to the current date and time, whenever Dynamsoft SourceAnywhere Hosted gets a file. This signals the compiler that the file has just changed, and needs to be recompiled. This is the default.

  • Modification: Sets the local copy to the date and time the file was last modified.

  • Check In: Sets the local copy to the date and time the file was last checked in.

End-of-line terminator

The end-of-line terminator for mergeable files may be specified using this option.

The EOL Terminator may need to be changed if the operating system where the working folders reside differs from the operating system Dynamsoft SourceAnywhere Hosted Client is currently running on. For example, if Dynamsoft SourceAnywhere Hosted Client is running on a Windows operating system but needs to retrieve files to a working folder that is on a Mac OS, you can change the EOL Terminator to Mac(CR) so that files retrieved to the working folder will be displayed correctly.

The options for end-of-line terminator are as follows:

  • Native: Keeps the original EOL terminator(s).

  • Windows(\r\n): Uses CRLF

  • Unix(\n): Uses LF

  • Mac(\r): Uses CR

Restore Defaults

Changes the above options to the default values.

Apply

Applies your settings on this tab.


Options_ExternalProgramTab (Eclipse Plug-in)

Options (External Program Tab)

Options for external programs.

Tab Items

Application for viewing and editing files

Dynamsoft SourceAnywhere Hosted can be configured with the viewing/editing application of the user's choice. The View and Edit commands will automatically open files using the utility configured here. If this box is left blank, Dynamsoft SourceAnywhere Hosted will open files with their associated Windows application.

Arguments for three-way merge:

This option allows you to specify the arguments to supply to the merge tool for three-way merge when the merge tool is invoked. The following macros are available (the macros are case-sensitive):

  • %BASE_FILE% - expands to the path of the file that is the common ancestor, or baseline between the two files being merged.

  • %THEIRS_FILE% - expands to the path of the updated server file that is being merged.
  • %YOURS_FILE% - expands to the path of your local file that is being merged.

  • %RESULT_FILE% - expands to the path of file that will be saved when the user merges the files together.

  • %FIRST_LABEL% - expands to the label supplied by the merge tool to put on top of the first file being merged.

  • %SECOND_LABEL% - expands to the label supplied by the merge tool to put on top of the second file being merged.

For example, to invoke MergeHero.jar to merge three files, the entry for this field is as follows:

java -jar "%DIFFMERGE_TOOL" -merge "%BASE_FILE" "%THEIRS_FILE%" "%YOURS_FILE%" "%RESULT_FILE%" -LeftLabel "%FIRST LABEL%" -Right Label "%RIGHT_LABEL%"

Note: You can adjust the order of "%THEIRS_FILE%" and "%YOURS_FILE%", so as to determine the merging order by yourself. The default order is as above.

Restore Defaults

Changes the above options to the default values.

Apply

Applies your settings on this tab.


Options_ViewTab (Eclipse Plug-in)

Options (View Tab)

Options for the number of lines displayed in status window.

Tab Items

Number of lines to display in status window

Every operation that is performed in Dynamsoft SourceAnywhere Hosted Client during a session is documented in the status window. The number of lines to display in the status window is customizable. The default number is 500, and the maximum number is 500000.

Display Login Log every time login

Set the option to display login log every time login. The default setting is ON.

Restore Defaults

Changes the above options to the default values.

Apply

Applies your settings on this tab.


Macromedia Studio Plug-in

  • How to use the plug-in

Dynamsoft SourceAnywhere Hosted provides a plug-in for Macromedia Studio, which enables Dreamweaver or Flash users to access their Dynamsoft SourceAnywhere Hosted repositories remotely.

To enable Dreamweaver Plug-in

  1. Launch Dreamweaver, and then open the Manage Sites dialog box under the Site menu.

  2. Click New to create a new site, and then select Dynamsoft SourceAnywhere Hosted access method on the Remote Info page of the Site Definition dialog box, as shown in the following figures:

  3. Click OK to finish the site definition.

Files in this site are now configured for using Dynamsoft SourceAnywhere Hosted Plug-in.

If Dynamsoft SourceAnywhere Hosted Plug-in has already been configured in Macromedia Dreamweaver, it is also valid in Macromedia Flash.

To enable Flash Plug-in

  1. Open the Open from Site dialog box under file menu, and connect to the site specified in Macromedia Dreamweaver.

    2. - OR -
  2. Launch Flash, and then open the Edit Sites dialog box under the File menu.

  3. Click New to create a new site.

  4. Enter the essential information, and choose Dynamsoft SourceAnywhere Hosted in Connection dropdown list.
  5. Click OK.


How to use the plug-in

Setting up Dynamsoft SourceAnywhere Hosted access

To set up a connection to Dynamsoft SourceAnywhere Hosted,

  1. Click [image] on the Files pane (Windows -> Files) or click Settings button on the Remote Info page of Site Definition dialog box.
  2. In the Login dialog box, configure your login information.
  3. Click OK to display the Choose a repository dialog box.
  4. In the Project text box, specify a project within the selected repository as the site's root directory.
  5. Click OK.

Basic Operations

Dynamsoft SourceAnywhere Hosted plug-in provides the following basic functions:

  • Login
  • Disconnect from Server
  • Put (Add)
  • Get Latest Version
  • Check Out
  • Check In
  • Refresh
  • Rename
  • Delete
  • Undo Check Out

Most of these functions are similar with that in Dynamsoft SourceAnywhere Hosted GUI Client. For information on how to use these source control functions, please refer to the Commands and Dialogs of Dynamsoft SourceAnywhere Hosted Explorer.

Source Control

  • Dynamsoft SAWH Explorer
  • Source Control Output
  • Show History
  • Show Differences
  • Properties
  • Options


Dynamsoft SAWS Explorer (Macromedia Plug-in)

Dynamsoft SAWH Explorer

  • Dynamsoft SourceAnywhere Hosted Client

Selecting Dynamsoft SAWH Explorer from the Source Control menu will bring up Dynamsoft SourceAnywhere Hosted GUI client.


Source Control Output (Macromedia Plug-in)

Source Control Output

Selecting Source Control Output from the Source Control menu will bring up the Source Control Status box.

The information in this box provides a review of recently completed and ongoing source control actions, including both the successes and failures.


Show Differences (Macromedia Plug-in)

Show Differences

  • File Difference Dialog Box
  • Project Difference Dialog Box

How to compare two projects or files

  1. Select Show Differences from Source Control menu.
  2. In Show Differences dialog box, select the items you want to compare. By default, Dynamsoft SourceAnywhere Hosted compares the local copy with the current version of the item in repository.
  3. Click OK to display the difference(s).


Show History (Macromedia Plug-in)

Show History

  • Project History Dialog Box
  • File History Dialog Box

How to view history of a project

  1. Select a project from the project tree.
  2. Select Show History from the Source Control menu.
  3. In History Option dialog box, define the criteria for the query of the history result.

  4. Click OK to display the Project History dialog box.

How to view history of a file

  1. Select Show History from the Source Control menu.
  2. In History Option dialog box, define the criteria for the query of the history result.
  3. Click OK to display the File History dialog box.


Show Properties (Macromedia Plug-in)

Show Properties

  • Project Properties (General Tab)
  • Project Properties (Deleted Items Tab)
  • File Properties (General Tab)
  • File Properties (Check Out Status Tab)
  • File Properties (Links Tab)

How to view project properties

  1. Select a project from the project tree.
  2. Select Show Properties from the Source Control menu.
  3. The Project Properties dialog box is displayed.

How to view file properties

  1. Select a file from the project tree.
  2. Select Show Properties from the Source Control menu.
  3. The File Properties dialog box is displayed.


Options (Macromedia Plug-in)

Options

  • Options (General Tab)
  • Options (External Tab)
  • Options (View Tab)

How to customize the macromedia plug-in

  1. Select Options from the Source Control menu.
  2. The Options dialog box is displayed and contains the following three tabs: General, Proxy and External


Dialog Boxes (Macromedia Plug-in)

Dialog Boxes in Macromedia Plug-in

  • Add Profile Dialog Box
  • Edit Profile Dialog Box
  • File Difference Dialog Box
  • File History Dialog Box
  • File Properties (General Tab)
  • File Properties (Check Out Status Tab)
  • File Properties (Links Tab)
  • Global Message Dialog Box
  • History Details Dialog Box
  • Login Dialog Box
  • Login (General Tab)
  • Login (Additional Tab)
  • Login Log Dialog Box
  • Options (General Tab)
  • Options (External Tab)
  • Options (View Tab)
  • Project Difference Dialog Box
  • Project History Dialog Box
  • Project Properties (General Tab)
  • Project Properties (Deleted Items Tab)
  • Rename Profile Dialog Box
  • Choose a Project Dialog Box
  • Select Dynamsoft SourceAnywhere Hosted Project Dialog Box
  • Select File Dialog Box
  • Select Project Dialog Box
  • Source Control Output Dialog Box


Add Profile

Add Profile Dialog Box

  • Profile Manager Dialog Box

Dialog Box Items

Enter a name

Type the name of the profile.

OK

Confirms the input and adds the profile.

Cancel

Cancels adding a profile and closes the dialog box.


Choose a Project Dialog Box (Macromedia Plug-in)

Choose a Project Dialog Box

Allows you to specify a root directory within the current repository.

Dialog Box Items

Project

Specifies a project within the current repository as the remote site's root directory.

Type the full path of the project in this textbox (e.g. $/SAWH), or click the Browse button to display the Select Project dialog box.

OK

Confirms the input and open the remote site's root directory.

Close

Closes the dialog box.


Edit Profile

Edit Profile Dialog Box

  • Profile Manager Dialog Box

This dialog box contains the following two tabs:

  • General Tab
  • Additional Tab

General Tab

Tab Items

Organization ID

Type the organization ID that is part of your hosted service account identity.

User Name

Type the user name, which must be configured on the Users tab of Server Manager.

Password

Type the password. Check Remember password checkbox if you'd like the password of the user to be filled automatically at each login.

Connect to Dynamsoft SourceAnywhere Hosted Server

Check this box if the Client connects to the Hosted Server directly without using the Cache Server.

Use SSL

If this box is checked, the Client will connect to the secure port of Hosted Server using SSL encryption.

Connect through my Cache Server

If you have SourceAnywhere Hosted Cache Server deployed at the Client side, check this box and the Client will connect to SourceAnywhere Hosted Server through your Cache Server.

Cache Server Address

Type the IP or name of your Cache Server.

Cache Server Port

Type the port of your Cache Server.

Additional Tab

Tab Items

Default Repository

Type the default repository to log in. If this field is left blank, the Client will prompt you the Repository dialog box after successful connection to SourceAnywhere Hosted Server.

Note: Before setting the default repository please input the necessary information in General tab first.

Proxy Information Panel

Proxy type

Select the proxy type: None, Socks4, Socks5 or Http.

Server name

Type the IP or name of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

Port

Type the port of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

User name (if the proxy requires authentication)

Type the proxy username.

Password (if the proxy requires authentication)

Type the proxy password.


File Difference (Macromedia Plug-in)

File Difference Dialog Box

  • Project Difference
  • Select File

Dialog Box Items

Compare/To

Specifies the two (local or server) files you want to compare. Use the Browse button if necessary to find the project.

Ignore End-of-Line

Ignores the file differences in End-of-line characters.

Ignore case

Ignores the file differences in case.

Show identical files

Shows identical files in the comparison results

OK

Shows the comparison result.

Close

Closes the dialog box.


File History Dialog Box (Macromedia Plug-in)

File History Dialog Box

  • Show History

Dialog Box Items

Close

Closes the dialog box.

Details

Displays the Version Details dialog box that shows the history details of a selected item's change set transaction. Double-clicking a file or project in the history list will also open the Version Details dialog box.

Get

Performs the Get command on the selected version of an item.

Pin/Unpin

Pins/Unpins the selected file version. (This button toggles between Pin and Unpin depending on the Pin status of the selected item.)

Diff

Performs the Show Differences command on the selected version of an item.


File Properties_GeneralTab (Macromedia Plug-in)

File Properties (General Tab)

See Also

  • File Properties (Check Out Status Tab)
  • File Properties (Links Tab)

Displays the general information of the selected file.

Tab Items

Name

Shows the path and name of the file.

Type

Shows the file type (Mergeable or Binary).

Mergeable files can be performed visual diff/merge, while binary files can not.

Current

Shows the current version number, size, and modified date/time of the selected file.

Comment

Shows the comment on the selected file.

Close

Closes the dialog box.


File Properties_CheckOutStatusTab (Macromedia Plug-in)

File Properties (Check Out Status Tab)

See Also

  • File Properties (General Tab)
  • File Properties (Links Tab)

Displays the check out status of the selected file.

Tab Items

Username

Lists the user who checked out the selected file.

Select the user whose checkout information you want to view.

Version

Shows the version number of the checked-out file.

Date

Shows the date and time when the selected file was checked out.

Project

Shows the path of the project the selected file belongs to.

Name

Show the name of the selected file.

Comment

Shows the checkout comments on the selected file.

Close

Closes the dialog box.


File Properties_LinksTab (Macromedia Plug-in)

File Properties (Links Tab)

See Also

  • File Properties (General Tab)
  • File Properties (Check Out Status Tab)

Lists all projects sharing the selected file.

Tab Items

Projects sharing

Lists the path of all projects sharing the selected file. When you check in a file, all the projects shown in this list automatically receive the checked-in file version.

Note: The project in which the shared file has been deleted is still in the list, but noted with a text string.

Close

Closes the dialog box.


Global Message

Global Message Dialog Box

  • Login Dialog Box

The global messages sent from Dynamsoft SourceAnywhere Hosted System give you some useful information.

Window Items

Title

Displays the title of the message.

Time

Displays the date/time when the message is sent.

Content

Displays the content of the message.

Don't show this message next time

Check this checkbox if you do not want to receive this piece of message next time.

Close

Closes the dialog box.


History Details Dialog Box (Macromedia Plug-in)

History Details Dialog Box

Shows the history details of a selected item.

Dialog Box Items

Item

Displays the path and name of the currently selected item.

Version

Displays the currently selected item version.

Date

Displays the modified date/time of the currently selected item.

User

Displays the name of the user who made the change set to the currently selected item.

Label

Displays the label name of the currently selected item if the action that created this history is "Label".

Action

Displays the action that created this history.

Comment

Displays the comment on the currently selected item.

Close

Closes the dialog box.

Next

Shows information on the next item in the History list.

Previous

Shows information on the previous item in the History list.


Login

Login Dialog Box

  • Profile Manager Dialog Box

Login Info Panel

  • General Tab
  • Additional Tab

Profile Panel

Select the Profile to apply the pre-configured login information to the Login Info panel. Each Profile saves the information that is required for all the items within Login Info panel. You may create any Profile as needed with Profile Manager. Clicking Profile Manager button will bring up the Profile Manager dialog box.


Login (Additional Tab)

Login Dialog Box (Additional Tab)

See Also

  • Login (General Tab)
  • Repositories Dialog Box
  • Profile Manager Dialog Box

Tab Items

Default Repository

Type or select the default repository to log in. If this field is left blank, the client will prompt you the Repositories dialog box after successful connection to the hosted server. Clicking Select Repository button will bring up the Repositories dialog box.

If the default repository is specified, the Repositories dialog box will be skipped at each login.

Note: Before setting the default repository please input the necessary information in General tab first.

Proxy Information Panel

Proxy type

Select the proxy type: None, Socks4, Socks5 or Http.

Server name

Type the IP or name of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

Port

Type the port of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

User name (if the proxy requires authentication)

Type the proxy username.

Password (if the proxy requires authentication)

Type the proxy password.


Login (General Tab)

Login Dialog Box (General Tab)

See Also

  • Login (Additional Tab)
  • Profile Manager

Tab Items

Organization ID

Type the organization ID that is part of your hosted service account identity.

User Name

Type the user name, which must be configured on the Users tab of Server Manager.

Password

Type the password. Check Remember Password checkbox if you'd like the password of the user to be filled automatically at each login.

Connect to Dynamsoft SourceAnywhere Hosted Server

Check this box if the client connects to the hosted server directly without using cache servers.

Use SSL

If this box is checked, the client will connect to the secure port of hosted server using SSL encryption.

Connect through my Cache Server

If you have SourceAnywhere Hosted cache servers deployed at the client side, check this box and the client will connect to the hosted server through your cache server.

Cache Server Address

Type the IP or domain name of your cache server.

Cache Server Port

Type the port of your cache server.


Login Log

Login Log Dialog Box

  • Login Dialog Box

Allows you to view the last 10 login attempts to the Hosted Server using your Organization ID.

Window Items

Login Time

Displays the date/time of the log attempt.

Client Type

Displays the type of the Client where a login attempt happens.

From IP

Displays the IP address of the Client where a login attempt happens.

DNS

Displays the domain name of the IP address. If the Hosted Server fails to obtain the domain name of the IP, then displays the IP address instead.

Status

Displays the status of the login attempt, successful or failed.

Don't show this dialog next time

Check this box if you do not want to view the login log next time.

OK

Click OK to close the dialog box.


Options_GeneralTab (Macromedia Plug-in)

Options (General Tab)

Options for general configuration.

Tab Items

Use compression for data transfer

Uses compression for data transfer. Using Dynam-Zlib, files are compressed before being transmitted and uncompressed when received. File compression is an optional feature.

Use delta transfer for data transfer

Uses Delta transfer technology to transfer data. In non-LAN connection, it can speed up the file transfer greatly.

Use read-only flag for files that are not checked out

Changes the write attribute of the local file copies to be read-only when you perform the following operations: Get Latest Version, Add, Check In, or Undo Check Out.

Replace writable files

Specifies the way to handle the writable local files.

  • Ask: Displays the Replace Writable Files dialog box.
  • Replace: Replaces (overwrites) the writable local files.
  • Skip: Leaves the local files alone (not retrieving the latest version from the server)
  • Merge: Attempts a three-way merge if the file has been checked out by multiple users including you and your local file version number is smaller than that on the server. Besides, skips the local file copy.

Check in unchanged files

Specifies the way to handle unchanged files.

  • Check In: Increases version number even if no changes is made to the file.
  • Undo Check Out: Undoes the checkout of the files and keeps the old version number.
  • Ask: Displays the Check In Unchanged File dialog box.

End-of-Line terminator

The EOL Terminator may need to be changed if the operating system where the working folders reside differs from the operating system Dynamsoft SourceAnywhere Hosted Client is currently running on.

The options for end-of-line terminator are as follows:

  • Windows(\r\n)
  • Unix(\n)
  • Mac(\r)

Note: The EOL Terminator will not take effect if your local file copy is the same as that in the repository.

Temporary files

  • Setting Folder for Temporary Files
    Specifies the folder you want Dynamsoft SourceAnywhere Hosted to store temporary files. Type the full path in this text box or click Browse to select one.

  • Delete all temporary files
    Clears the folder storing temporary files.

Note: Creating your Temp folder locally, rather than on the network, may increase the performance of Dynamsoft SourceAnywhere Hosted.

OK

Confirms settings on this Tab and closes the dialog box.

Cancel

Closes the dialog box without any change.


Options_ExternalTab (Macromedia Plug-in)

Options (External Tab)

Options for external programs.

Tab Items

Application for comparing files

Sets the application that you would like to use to compare files. The Show Differences commands will automatically open files using the utility configured here. If this box is left blank, Dynamsoft SourceAnywhere Hosted will open files with their associated Windows application.

OK

Confirms settings on this Tab and closes the dialog box.

Cancel

Closes the dialog box without any change.


Add Profile

Options (View Tab)

Options for login log.

Tab Items

Display Login Log every time login

Set the option to display login log every time login. The default setting is ON.


Project Difference (Macromedia Plug-in)

Project Difference Dialog Box

  • File Difference
  • Select Project

Dialog Box Items

Compare/To

Specifies the two projects (SAWH projects or Windows folders) you want to compare. Use the Browse button if necessary to find the project.

Recursive

Shows the differences for the selected project and all its descendants.

OK

Shows the comparison result.

Close

Closes this dialog box.


Project History (Macromedia Plug-in)

Project History Dialog Box

  • Show History

Dialog Box Items

Close

Closes the dialog box.

Details

Displays the Version Details dialog box that shows the history details of a selected item's change set transaction. Double-clicking a file or project in the history list will also open the Version Details dialog box.

Get

Performs the Get command on the selected version of an item.


Profile Manager

Profile Manager Dialog Box

  • Login Dialog Box
  • Add Profile Dialog box
  • Edit Profile Dialog Box
  • Rename Profile Dialog Box

Enables you to customize your profiles to save different login configurations.

Dialog Box Items

Close

Closes the dialog box.

Add

Adds a new profile. Clicking Add button will bring up the Add Profile dialog box.

Delete

Deletes the selected profile.

Rename

Renames the selected profile. Clicking Rename button will bring up the Rename Profile dialog box.

Edit

Edits the selected profile. Clicking Edit button will bring up the Edit Profile dialog box.


Project Properties_GeneralTab (Macromedia Plug-in)

Project Properties (General Tab)

See Also

  • Project Properties (Deleted Items Tab)

Displays the general information of the selected project.

Tab Items

Name

Shows the path and name of the selected project.

Contains

Shows the number of files and subprojects in the selected project.

Current

Shows the current version number and modified date/time of the selected project.

Comment

Shows the comment on the selected project.

Close

Closes the dialog box.


Project Properties_DeletedItemsTab (Macromedia Plug-in)

Project Properties (Deleted Items Tab)

See Also

  • Project Properties (General Tab)

Lists the files and subprojects that have been removed from the selected project.

Tab Items

Item List

Lists all removed files and subprojects in the selected project.

Select one item in this list and then click Purge or Recover.

Purge

Permanently deletes the item. Permanently deleted items can no longer be recovered.

Recover

Recovers the deleted item.

Close

Closes the dialog box.


Rename Profile

Rename Profile Dialog Box

  • Profile Manager Dialog Box

Dialog Box Items

New Name

Type the new name of the profile.

OK

Confirms the input and renames the profile.

Cancel

Cancels renaming a profile and closes the dialog box.


Repositories

Repositories Dialog Box

  • Login Dialog Box (Additional Tab)

Tab Items

Choose a repository

Select a repository to log in. This dialog box may be brought up by clicking Select Repositories button at the Additional Tab of Login dialog box. It also appears if the default repository to log in has not been specified.

OK

Confirms the selection.

Cancel

Cancels selecting a default repository and closes the dialog box.


Select File Dialog Box (Macromedia Plug-in)

Select File Dialog Box

  • Project Difference Dialog Box

Allows you to choose a file in the selected repository.

Dialog Box Items

Project Tree

Displays the Project Tree of the current repository. You can select an existing project in the tree. The path of the selected project will be shown on top of the Project Tree pane.

File List

Displays all file in your selected project on the left.

OK

Confirms your selection and closes the dialog box.

Close

Closes the dialog box without any change.

Refresh

Updates the project tree from source control to make sure you have all the latest changes.


Select SourceAnywhere Standalone Project Dialog Box (Macromedia Plug-in)

Select Dynamsoft SourceAnywhere Hosted Project Dialog Box

  • Repository Settings

Allows you to specify your working directory in the selected repository.

Dialog Box Items

Project Tree

Displays the Project Tree of the current repository. You can select an existing project in the tree or create a new one by clicking the Create button.

The path of the selected project will be shown on top of the Project Tree pane.

Refresh Project Tree

Updates the project tree from source control to make sure you have all the latest changes.

OK

Confirms your selection and closes the dialog box.

Close

Closes the dialog box without any change.

Create

Creates a new project in the current repository. The new project name is specified in the Project name textbox.


Select Project Dialog Box (Macromedia Plug-in)

Select Project Dialog Box

  • Project Difference Dialog Box

Allows you to choose a project in the selected repository.

Dialog Box Items

Project Tree

Displays the Project Tree of the current repository. You can select an existing project in the tree. The path of the selected project will be shown on top of the Project Tree pane.

OK

Confirms your selection and closes the dialog box.

Close

Closes the dialog box without any change.

Refresh

Updates the project tree from source control to make sure you have all the latest changes.


Overview

Command Line Client

In addition to the Java GUI Client , Dynamsoft SourceAnywhere Hosted provides a Windows and a Java Command Line Client for users who prefer typing commands and those who write or maintain batch files for automated source control processing. Dynamsoft SourceAnywhere Hosted Command Line supports all the major operations required for source control.

To access Dynamsoft SourceAnywhere Hosted Windows Command Line, use the MS-DOS command prompt from within Windows. You can use the command line by changing your current folder to the folder where SAWHCmd.exe resides, or by typing a full path to Dynamsoft SourceAnywhere Hosted Command Line directory.

To access Dynamsoft SourceAnywhere Hosted Java Command Line, use the command prompt. You must use the command line by changing your current folder to the folder where SAWHCmd.jar resides.

  • Command Line Syntax
  • Commands and Parameters
  • Examples
  • Encryption


Command Line Syntax

Dynamsoft SourceAnywhere Hosted commands entered within the Windows Command Line must begin with "SAWHCmd". The syntax for Dynamsoft SourceAnywhere Hosted commands is as follows:

SAWHCmd Command [parameter(s)][value(s)]

Dynamsoft SourceAnywhere Hosted commands entered within the Java Command Line must begin with "java -jar SAWHCmd.jar". The syntax for Dynamsoft SourceAnywhere Hosted commands is as follows:

java -jar SAWHCmd.jar Command [parameter(s)][value(s)]

Command

A specific instruction to perform an operation or run a program. The commands in Dynamsoft SourceAnywhere Hosted are not case-sensitive.

For a complete list of commands in Dynamsoft SourceAnywhere Hosted Command Line, see Commands and Parameters.

Parameter

Used to modify the action of a command. The parameters in Dynamsoft SourceAnywhere Hosted consist of a hyphen ( - ) and a letter.

For a complete list of parameters in Dynamsoft SourceAnywhere Hosted Command Line, see Commands and Parameters.

Value s

Can be a project or a file. The value must follow the parameter letter with a space between them.

If there is a space in any command parameter value, the value must be surrounded by double quotes. For example (for Windows Command Line):

SAWHCmd GetFileInfo -id 187 -username test -pwd test -tempdir D:\temp -repository SAWH -prj $/123 -file "Text 1.txt"

In almost all cases where you can specify an item to act on, you can also specify many items by adding "/" between them. For example (for Windows Command Line):

SAWHCmd AddFile -id 187 -username test -pwd test -tempdir D:\temp -repository SAWH -prj $/123 -file Hello.txt/Test.txt

Interactive Shell

Dynamsoft SourceAnywhere Hosted Command Line Client provides an interactive shell for your convenience.

SAWHCmd Interactive -id 187 -pwd test -repository "Dynamsoft SourceAnywhere Hosted" -tempdir D:\temp

Now you are in the interactive shell. When you use other commands, the parameters -server, -port, -username, -pwd, -repository are not required. Take the Add File Command for example,

AddFile -file "test.txt" -prj $/123

Type 'quit' to exit interactive shell.


Commands and Parameters

Commands

Parameters

Commands

The following is a list and general description of all the command-line commands.

Command | Description
About | Displays the version information. Required Params: -id, -username, -pwd Optional Params: -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
AddFile | Adds one or multiple files to a project. The path of the file on the local machine is specified by the -workdir parameter. Required Params: -id, -username, -pwd, -repository, -prj, -file, -workdir Optional Params: -tempdir, -comment, -auto or -mergable or -bin, -notreadonly, -windows or -unix or -mac, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
AddFolder | Adds an entire local folder to the database. The path of the folder on the local machine is specified by the -workdir parameter. Use -r to add the folder recursively. Required Params: -id, -username, -pwd, -repository, -prj, -workdir Optional Params: -tempdir, -comment, -r, -auto or -mergable or -bin, -windows or -unix or -mac, -notreadonly, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
AddLabel | Adds a label to a project or a file. Required Params: -id, -username, -pwd, -repository, -prj, -label Optional Params: -file, -comment, -tempdir, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
BranchFile | Breaks the share link so that the changes made to that file will no longer be reflected in other projects. Required Params: -id, -username, -pwd, -repository, -prj, -file Optional Params: -comment, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
CheckInFile | Checks in and unlocks one or multiple files. This command also makes the local files read-only. Required Params: -id, -username, -pwd, -repository, -prj, -file, -workdir Optional Params: -comment, -keep, -windows or -unix or -mac, -checkin or -ask or -undo, -del, -notreadonly, -tempdir, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
CheckInProject | Checks in and unlocks an entire project. This command also makes the local files in the project read-only. Use -r to check in the project recursively. Required Params: -id, -username, -pwd, -repository, -prj Optional Params: -workdir, -r, -comment, -keep, -del, -windows or -unix or -mac, -checkin or -ask or -undo, -notreadonly, -tempdir, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
CheckOutFile | Checks out and locks one or multiple files in the same project. This command also makes the local files writable. Required Params: -id, -username, -pwd, -repository, -prj, -file Optional Params: -workdir, -tempdir, -cancel or -ask or -skip or -replace,-windows or -unix or -mac, -time, -comment, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
CheckOutProject | Checks out and locks an entire project. This command also makes the local files in the project writable. Use -r to checkout a project recursively. Required Params: -id, -username, -pwd, -repository, -prj Optional Params: -workdir, -tempdir, -r, -cancel or -ask or -skip or -replace,-windows or -unix or -mac, -time, -comment, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
CreateProject | Creates an empty project in the current repository. Use -prj to specify the project path and name. Required Params: -id, -username, -pwd, -repository, -prj Optional Params: -comment, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
Delete | Deletes a file or project from the repository, while local files still exist on the computer. If the -permanent flag is set, the deleted items cannot be recovered. Required Params: -id, -username, -pwd, -repository, -prj Optional Params: -file, -permanent, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
GetAllRepositories | Lists all accessible repositories by the input server. Required Params: -id Optional Params: -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
GetAllUsers | Lists all users in the current repository. Required Params: -id, -username, -pwd, -repository Optional Params: -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
GetFileHistory | Displays the revision history of the file. Required Params: -id, -username, -pwd, -repository, -prj, -file Optional Params: -user, -datetime, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
GetFileInfo | Displays the current information about a file, including type, version number and modified date. Required Params: -id, -username, -pwd, -repository, -prj, -file Optional Params: -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
GetFileList | Lists the full name of all files in the specified project. Required Params: -id, -username, -pwd, -repository, -prj Optional Params: -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
GetLatestFiles | Retrieves the most recent files from the current repository. Required Params: -id, -username, -pwd, -repository, -prj, -workdir, -file Optional Params: -tempdir, -writable, -cancel or -ask or -skip or -replace,-time,-windows or -unix or -mac, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
GetLoginLog | Displays the last 10 login records using your Organization ID. Required Params: -id, -username, -pwd, -repository Optional Params: -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
GetOldVersionFile | Retrieves the old file version from the current repository. The -rev parameter is used to specify an old file version. Required Params: -id, -username, -pwd, -repository, -prj, -workdir, -file Optional Params: -rev, -tempdir, -writable, -cancel or -ask or -skip or -replace,-time,-windows or -unix or -mac, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
GetProject | Gets the latest version of all files in the specified project from the current repository. Use -r to get the project recursively. Required Params: -id, -username, -pwd, -repository, -prj, -workdir Optional Params: -tempdir, -r, -writable, -time (-datetime or -label for Java Command Line), -cancel or -ask or -skip or -replace, -windows or -unix or -mac, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
GetProjectHistory | Displays the revision history of the project. If the -v flag is set, the histories will be shown by version, or it will be shown by item. Required Params: -id, -username, -pwd, -repository, -prj Optional Params: -user, -datetime, -v, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
GetProjectTree | Graphically displays the project structure. Required Params: -id, -username, -pwd, -repository, -prj Optional Params: -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
Interactive | Puts the Client in an interactive shell, where you can enter commands one after the other, without having to re-run the Command Line Client each time. For example, SAWHCmd Interactive -id 666 -username test -pwd test -repository "Dynamsoft SourceAnywhere Hosted" -tempdir D:\temp Now you are in the interactive shell. When you use other commands, the parameters -id, -username, -pwd, -repository are not required until you type 'quit' to exit interactive shell. Required Params: -id, -username, -pwd, -repository Optional Params : -tempdir, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
PinFile | Locks a file to a specified version number. Once an item is pinned, no changes can be made to it and the pinned version becomes the current version of the item. Required Params: -id, -username, -pwd, -repository, -prj, -file Optional Params: -rev, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
Rename | Renames a file or project in the current repository. Required Params: -id, -username, -pwd, -repository, -prj, -newname Optional Params: -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd, -file
SetFileType | Sets type of the file. Required Params: -id, -username, -pwd, -repository, -prj, -file, -mergeable or -bin Optional Params: -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
ShareFile | Shares the current version of one or multiple files to another project. Updates to a shared file will be reflected in all the projects to which the file is shared. Required Params: -id, -username, -pwd, -repository, -prj, -file, -shareto Optional Params: -branch, -comment, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
ShareProject | Shares the current version of a project to another project. Updates to files in a shared project will be reflected in all the projects to which the project is shared. Required Params: -id, -username, -pwd, -repository, -prj, -shareto Optional Params: -branch, -r, -comment, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
UndoCheckOutFile | Cancels the checkout of one or multiple files and reverts to the state before the Check Out operation was performed. This command also makes the local files read-only. Required Params: -id, -username, -pwd, -repository, -prj, -file Optional Params: -workdir, -tempdir, -windows or -unix or -mac, -time, -leave or -replace or -del, -notreadonly, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
UndoCheckOutProject | Cancels the checkout of a project and reverts to the state before the Check Out operation was performed. This command also makes the local files read-only. Use -r to undo checkout of the project recursively. Required Params: -id, -username, -pwd, -repository, -prj Optional Params: -workdir, -tempdir, -r,-windows or -unix or -mac,-time, -leave or -replace or -del,-notreadonly, -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd
UnPinFile | Cancels the Pin operation, ignoring the files that are not pinned. Required Params: -id, -username, -pwd, -repository, -prj, -file Optional Params: -ssl, -usecacheserver, - cserver, -cport, -ptype, -pserver, -pport, -puser, -ppwd

Parameters

The following is a list and description of parameters accepted by Dynamsoft SourceAnywhere Hosted Command Line. It is necessary to enter full parameter names. If you want to cancel the current operation, type 'c' (for Java Command Line, you need to press Enter after 'c').

Note: Please put a space between a parameter and the value it acts on.

Parameter | Description
-ask | Prompts on how to handle the local file copies . Used with CheckInFile, CheckInProject, CheckOutFile, CheckOutProject, GetLatestFiles, GetOldVersionFile, and GetProject commands.
-auto | Auto detects the file type. Used with AddFile and AddFolder commands.
-bin | Sets the file type to be binary. Used with AddFile, AddFolder and SetFileType commands.
-branch | Performs a branch operation immediately after the share operation. Used with ShareFile and ShareProject commands.
-checkin | Updates the unchanged item to a new version. Used with CheckInFile and CheckInProject commands.
-comment | Comments on the corresponding operations with text. Used with the following commands: AddFile, AddFolder, AddLabel, BranchFile, CheckInFile, CheckInProject, CheckOutFile, CheckOutProject, CreateProject, ShareFile, ShareProject.
-cserver | Specifies the IP or domain name of your cache server. Needed when your own cache server is used.
-cport | Specifies the port of your cache server. Needed when your own cache server is used.
-datetime | Specifies a period of time. By default it's from the current time to one year ago. You can type two value in the format "datefrom|dateto", or just one value as the ending date/time of period which begins from the current time . Acceptable date/time formats: "16 June 2005", "June 16, 2005 6:10:00", "6:10:00 June 16, 2005", "6/16/2005 6:10:00". (for Windows Command Line) "Jun/16/2005", "Jun/16/2005 6:10:00", "6/16/2005", "6/16/2005 6:10:00". (for Java Command Line) Used with GetFileHistory or GetProjectHistory commands.
-del | Deletes the local copy. Used with CheckInFile, CheckInProject, UndoCheckOutFile, and UndoCheckOutProject commands.
-file | Specifies the name of the file(s) in the repository or the absolute path and full name of the local file(s). Used with the following commands: AddFile, AddLabel, BranchFile, CheckInFile, CheckOutFile, GetLatestFiles, GetOldVersionFile, GetFileHistory, GetFileInfo, Delete, Rename, SetFileType, ShareFile, UndoCheckOutFile, Pin, and Unpin.
-h /-? | Displays help at the command prompt. Available for all commands.
-id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. A must for all commands.
-keep | Keeps checkout status after the check-in operation. Used with CheckInFile and CheckInProject commands.
-label | Specifies a label that can be associated with a particular project version or file version. Used with AddLabel command.
-leave | Leaves the local copy alone. Used with UndoCheckOutFile and UndoCheckOutProject commands.
-mac | Uses Mac EOL for files. Used with the following commands: AddFile, AddFolder, CheckInFile, CheckInProject, CheckOutFile, CheckOutProject, GetLatestFiles, GetOldVersionFile, GetProject, UndoCheckOutFile, UndoCheckOutProject.
-mergable | Sets the file type to be mergable. Used with AddFile, AddFolder and SetFileType commands.
-newname | Specifies a new name for the project or file that is being renamed. Used with the Rename command.
-notreadonly | Doesn't change the file attribute to read-only. Used with the following commands: AddFile, AddFolder, CheckInProject, CheckInFile, UndoCheckOutProject and UndoCheckOutFile.
-permanent | Permanently deletes a file or project from the database. Used with the Delete command.
-pport | Specifies the port of the proxy server. Needed when the proxy server is used.
-ppwd | Specifies the password for the corresponding user to connect to the proxy server. Needed when the proxy server is used.
-prj | Specifies a valid project in the current Dynamsoft SourceAnywhere Hosted repository. A must for all commands except About, GetAllRepositoties, GetAllUsers and Interactive.
-pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. Needed when the proxy server is used.
-ptype | Specifies the proxy type. Valid -ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". Needed when the proxy server is used.
-puser | Specifies the user name used to connect to the proxy server. If ptype = "None" or "Socks4", this parameter is invalid and not required. Needed when the proxy server is used.
-pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere Hosted repository. A must for all commands except GetAllRepositories.
-r | Performs the project level command recursively. Used with the following commands: AddFolder, CheckInProject, CheckOutProject, GetProject, ShareProject and UncoCheckOutProject.
-replace | Replaces the local copy with file(s) in the repository. Used with the following commands: CheckOutFile, CheckOutProject, GetLatestFiles, GetOldVersionFile, GetProject, UndoCheckOutFile and UndoCheckOutProject.
-repository | Specifies the repository you want to log into. A must for all commands except GetAllRepositories.
-rev | Specifies a version number of the file. Used with GetOldVersionFile and Pin commands.
-skip | Leaves the local copy alone (doesn't retrieve the latest version from the repository). Used with the following commands: CheckOutFile, CheckOutProject, GetLatestFiles, GetOldVersionFile, and GetProject.
-ssl | Connect to Dynamsoft SourceAnywhere Hosted Server through SSL encrypted port. Needed when you use SSL encrypted port.
-shareto | Specifies the project into which a file or project will be shared. Used with ShareFile and ShareProject commands.
-tempdir | Specifies a local folder for storing temporary files. By default it uses the temp directory specified in Windows GUI Client. Used with the following commands: AddFile, AddFolder, CheckInFile, CheckInProject, CheckOutFile, CheckOutProject, GetLatestFiles, GetOldVersionFile, GetProject, UndoCheckOutFile, and UndoCheckOutProject.
-time | Sets the modification time of the local file or project. Valid time parameters are "current" (default), "modi" and "checkin". modi - The item's last modified time. current - Current time. checkin- The item's last checked in time. Examples: -time modi or -time current or -time checkin. Used with the following commands: CheckOutFile, CheckOutProject, GetLatestFiles, GetOldVersionFile, GetProject, UndoCheckOutFile, and UndoCheckOutProject.
-undo | Undoes the checkout without updating to a new version. Used with CheckInFile and CheckInProject commands.
-unix | Uses Unix EOL for files. Used with the following commands: AddFile, AddFolder, CheckInFile, CheckInProject, CheckOutFile, CheckOutProject, GetLatestFiles, GetOldVersionFile, GetProject, UndoCheckOutFile, and UndoCheckOutProject.
-usecacheserver | Connect to Dynamsoft SourceAnywhere Hosted Server through your cache server. Needed when your own cache server is used.
-user | Specifies an existing username. Used with GetFileHistory and GetProjectHistory commands.
-username | Specifies the user name used to log into Dynamsoft SourceAnywhere Hosted repository. A must for all commands except GetAllRepositories.
-v | Shows the project histories by version. Used with the GetProjectHistory command.
-verb | If present, outputs verbose status messages, such as connections, server responses, etc.
-windows | Uses Windows EOL for files. Used with the following commands: AddFile, AddFolder, CheckInFile, CheckInProject, CheckOutFile, CheckOutProject, GetLatestFiles, GetOldVersionFile, GetProject, UndoCheckOutFile, and UndoCheckOutProject.
-writable | Makes the local files writable. Used with GetLatestFiles, GetOldVersionFile, GetProject.
-workdir | Specifies the working folder from which the Command Line Client finds or places items. By default it's Dynamsoft SourceAnywhere Hosted Command Line directory. Used with the following commands: AddFile, AddFolder, CheckInFile, CheckInProject, CheckOutFile, CheckOutProject, GetLatestFiles, GetOldVersionFile, GetProject, UndoCheckOutFile, and UndoCheckOutProject.


Examples

Examples (For Windows Command Line)

All examples in this section are based on the following assumptions:

  • Organization ID = 666
  • Repository login username = test
  • Repository login password = test
  • Repository name = Dynamsoft SourceAnywhere Hosted
  • Project name = $/123
  • Temp folder = "D:\temp"
  • Working folder = "C:\projects\test"

Example 1: Add a folder to the repository
Example 2: Add a file to project
Example 3: Get a file
Example 4: Get file list
Example 5: Check in a file
Example 6: Check out a file
Example 7: Label a file
Example 8: Retrieve all files in a project by a label
Example 9: Share a project with another project
Example 10: Branch a shared file
Example 11: Delete a project permanently
Example 12: Put the Command Line Client in an interactive shell
Example 13: Add a file to project in an interactive shell

Example 1: Add a folder to the repository
----------------------------------------
This adds an entire folder located at "c:\projects\new" on the local machine to the project "$/123" in Dynamsoft SourceAnywhere Hosted repository.

SAWHCmd AddFolder -id 666 -username test -pwd test -repository "Dynamsoft SourceAnywhere Hosted" -workdir c:\projects\new -prj $/123/new -tempdir D:\temp

Example 2: Add a file to project
----------------------------------------
This adds a file "test.txt" to "$/123" project.

SAWHCmd AddFile -id 666 -username test -pwd test -repository "Dynamsoft SourceAnywhere Hosted" -workdir "c:\projects\test" -file "test.txt" -prj $/123 -tempdir "D:\temp"

Example 3: Get a file
---------------------
This places the latest version of the file "test.txt" into the working folder.

SAWHCmd GetLatestFiles -id 666 -username test -pwd test -repository "Dynamsoft SourceAnywhere Hosted" -workdir c:\projects\test -prj $/123 -file text.txt -tempdir D:\temp

Example 4: Get file list
------------------------------
This gets the list of files in the "$/123" project.

SAWHCmd GetFileList -id 666 -username test -pwd test -repository "Dynamsoft SourceAnywhere Hosted" -prj $/123 -tempdir D:\temp

Example 5: Check in a file
---------------------------
This checks in the previously checked out file "test.txt", located on the working folder at "c:\projects\test".

SAWHCmd CheckInFile -id 666 -username test -pwd test -repository "Dynamsoft SourceAnywhere Hosted" -workdir c:\projects\test -prj $/123 -file test.txt -tempdir D:\temp -comment "Added function HelloWorld"

Example 6: Check out a file
---------------------------
This checks out the latest version of the file "test.txt" and places it into the working folder.

SAWHCmd CheckOutFile -id 666 -username test -pwd test -repository "Dynamsoft SourceAnywhere Hosted" -workdir c:\projects\test -prj $/123 -file test.txt -tempdir D:\temp

Example 7: Label a file
--------------------------
This applies the label "Version 3" to file "test.txt" in Dynamsoft SourceAnywhere Hosted database.

SAWHCmd AddLabel -id 666 -username test -pwd test -repository "Dynamsoft SourceAnywhere Hosted" -workdir c:\projects\test -prj $/123 -file text.txt -label "Version 3"

Example 8: Retrieve all files in a project by a label
----------------------------------------------------------
This gets a previous version of files in a project from a label in Dynamsoft SourceAnywhere Hosted database.

SAWHCmd GetProject -id 666 -username test -pwd test -repository "Dynamsoft SourceAnywhere Hosted" -workdir c:\projects\test -prj $/123 -file text.txt -label "version 1" -tempdir D:\temp

Example 9: Share a project with another project
-----------------------------------------------
This shares the current version of the project "$/123" with the project "$/projects/Dynamsoft SourceAnywhere Hosted" in Dynamsoft SourceAnywhere Hosted repository.

SAWHCmd ShareProject -id 666 -username test -pwd test -repository "Dynamsoft SourceAnywhere Hosted" -prj $/123 -shareto $/projects/Dynamsoft SourceAnywhere Hosted -comment "Sharing project 123 into project Dynamsoft SourceAnywhere Hosted"

Example 10: Branch a shared file
----------------------------------
This branches files "test.txt" which was previously shared with another files in Dynamsoft SourceAnywhere Hosted repository.

SAWHCmd BranchFile -id 666 -username test -pwd test -repository "Dynamsoft SourceAnywhere Hosted" -prj $/123 -file test.txt
Example 11: Delete a project permanently
----------------------------------------
This deletes project "$/123" permanently from Dynamsoft SourceAnywhere Hosted repository.

SAWHCmd Delete -id 666 -username test -pwd test -repository "Dynamsoft SourceAnywhere Hosted" -prj $/123 -permanent

Example 12: Put the Command Line Client in an interactive shell
----------------------------------------

This puts the Command Line Client in an interactive shell.

SAWHCmd Interactive -id 666 -username test -pwd test -repository "Dynamsoft SourceAnywhere Hosted" -tempdir D:\temp

Example 13: Add a file to project in an interactive shell
----------------------------------------

This adds a file to project in an interactive shell.

AddFile -file "test.txt" -prj $/123

Note:

These examples are for Windows Command Line. For Java Command Line, the commands should begin with "java -jar SAWHCmd.jar" instead of "SAWHCmd" in these examples.


Encryption

Dynamsoft SourceAnywhere Hosted command line client can connect to the SSL encrypted port of the hosted server or your own cache server.

  • If you have the command line client connect to the hosted server directly, a switch -ssl is provided to enable the Command Line Client to use SSL encrypted connection.
  • If your own cache server is used, -usecacheserver, -cserver and -cport parameters are required. And you should have the command line client connect to the SSL encrypted port specified in Cache Server Manager.


Dynamsoft SourceAnywhere Hosted Ant Plug-in

Contents

  • Introduction
  • The Tasks
  • How to install Dynamsoft SourceAnywhere Ant Plug-in
  • SourceAnywhere Ant Plug-in Configuration Example

Introduction

In addition to SourceAnywhere CriuseControl.NET plug-in, SourceAnywhere provides an Ant Plug-in which allow users to integrate SourceAnywhere with Ant.

The following tasks provide an interface to SourceAnywhere Hosted. The SourceAnywhere Hosted Ant Plug-in consists of a simple framework to integrate with Ant to do automatic building.

The Tasks

  • addfile: Adds one or multiple files to a project. The path of the file on the local machine is specified by the workdir parameter.
  • addproject: Adds an entire local project to the database. The path of the project on the local machine is specified by the workdir parameter. Use r to add the project recursively.
  • checkinfile: Checks in and unlocks one or multiple files. This command also makes the local files readonly.
  • checkinproject: Checks in and unlocks an entire project. This command also makes the local files in the project readonly.
  • checkoutfile: Checks out and locks one or multiple files in the same project. This command also makes the local files writable.
  • checkoutproject: Checks out and locks an entire project. This command also makes the local files in the project writable. Use recursive to checkout a project recursively.
  • newproject: Creates an empty project in the current project. Use project to specify the project path and name.
  • getfilehistory: Displays the revision history of the file.
  • getlatestfile: Retrieves the most recent files from the current project.
  • getoldversionfile: Retrieves the old file version from the current project. The version parameter is used to specify an old file version.
  • getlatestproject: Gets the latest version of all files in the specified project from the current project. Use r to get the project recursively.
  • getolderversionproject: Gets the old version of all files in the specified project from the current project. Use r to get the project recursively.
  • getprojecthistory: Displays the revision history of the project. If the v flag is set, the histories will be shown by version, or it will be shown by item.
  • labelfile: Adds a label to a file.
  • labelproject: Adds a label to a project.

Task Descriptions

All examples in this section are based on the following assumptions:

  • Orgnization ID= "100086"
  • Username = "test"
  • Password = "test123"
  • Repository name = "antplugin"
  • Project name = "$/anttest"
  • Temp folder = "D:\temp"
  • Working folder = "D:\projects\test"

addfile

Description

Task to perform Add File command to Dynamsoft SourceAnywhere Hosted.

Adds one or multiple files to a folder. The path of the file on the local machine is specified by the workdir parameter.

Parameters

Attribute | Values | Required
id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. | Yes
username | Specifies the user name used to log into Dynamsoft SourceAnywhere. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere. | Yes
repository | Specifies the repository you want to log into. | Yes
project | Specifies a valid project in the current Dynamsoft SourceAnywhere repository. | Yes
file | Specifies the name of the file(s) or the absolute path and full name of the local file(s). | Yes
workdir | Specifies the local working folder. | Yes
tempdir | Specifies a local folder for storing temporary files. The default temporary directory is specified in the ServerInfo>General Settings section of Dynamsoft SourceAnywhere Service Configurator. | Yes
usecacheserver | Specifies whether to use Cache Server, true or false. The default value is false. | No
cacheserver | Specifies the IP or domain name of your cache server. | No
cacheserverport | Specifies the port of your cache server. | No
comment | Comments on the corresponding operations with text. The default value is None. | No
writable | true or false. The default value is false. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No
ssl | Specifies whether to connect to server using SSL encryption, true or false. The default value is false. | No
filetype | Specifies the file type. Valid parameters are "binary", "mergeable" and "autodetect", the default value is "autodetect". | No
comparefile | Specifies how SourceAnywhere determines if your local copy is up-to-date. Valid parameters are "time" and "checksum", the default value is "checksum". | No

Examples

<saw:addfile
id="100086"
username="test"
pwd="test123"
repository="antplugin"
project="$/anttest"
workdir="D:\projects\test "
tempdir="D:\temp "
file="1.txt"
ssl="true" />

Add the file named 1.txt into the root directory of the repository anttest.

addproject

Description

Task to perform Add Project command to Dynamsoft SourceAnywhere.

Adds an entire local folder to Dynamsoft SourceAnywhere. The path of the folder on the local machine is specified by the workdir parameter. Use recursive to add the folder recursively.

Parameters

Attribute | Values | Required
id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. | Yes
username | Specifies the user name used to log into Dynamsoft SourceAnywhere. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere. | Yes
repository | Specifies the repository you want to log into. | Yes
project | Specifies a valid project in the current Dynamsoft SourceAnywhere repository. | Yes
workdir | Specifies the local working folder. | Yes
tempdir | Specifies a local folder for storing temporary files.. The default temporary directory is specified in the ServerInfo>General Settings section of Dynamsoft SourceAnywhere Service Configurator. | Yes
usecacheserver | Specifies whether to use Cache Server, true or false. The default value is false. | No
cacheserver | Specifies the IP or domain name of your cache server. | No
cacheserverport | Specifies the port of your cache server. | No
recursive | Specifies whether to add recursively, true or false. | No
comment | Comments on the corresponding operations with text. The default value is None. | No
writable | true or false. The default value is false. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No
ssl | Specifies whether to connect to server using SSL encryption, true or false. The default value is false. | No
filetype | Specifies the file type. Valid parameters are "binary", "mergeable" and "autodetect", the default value is "autodetect". | No
comparefile | Specifies how SourceAnywhere determines if your local copy is up-to-date. Valid parameters are "time" and "checksum", the default value is "checksum". | No

Examples

<saw:addproject
server="100086"
username="test"
pwd="test123"
repository="antplugin"
project="$/anttest"
workdir="D:\projects\test "
tempdir="D:\temp "
recursive="true"
ssl="true" />

Add the folder named workpath into the root directory of the repository anttest recursively.

checkinfile

Description

Task to perform Check In File command to Dynamsoft SourceAnywhere.

Checks in and unlocks one or multiple files. This command also makes the local files readonly.

Parameters

Attribute | Values | Required
id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere. | Yes
repository | Specifies the repository you want to log into. | Yes
project | Specifies a valid project in the current Dynamsoft SourceAnywhere repository. | Yes
file | Specifies the name of the file(s) in the repository or the absolute path and full name of the local file(s). | Yes
workdir | Specifies the working folder to place files. | Yes
tempdir | Specifies a local folder for storing temporary files.. The default temporary directory is specified in the ServerInfo>General Settings section of Dynamsoft SourceAnywhere Service Configurator. | Yes
usecacheserver | Specifies whether to use Cache Server, true or false. The default value is false. | No
cacheserver | Specifies the IP or domain name of your cache server. | No
cacheserverport | Specifies the port of your cache server. | No
keep | Keeps checkout status after the checkin operation. Valid value are true or false. | No
comment | Comments on the corresponding operations with text. The default value is None. | No
checkinunchanged | Specifies the behavior when trying to check in unchanged file(s). There are two options: checkin or undo. | No
writable | true or false. The default value is false. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No
ssl | Specifies whether to connect to server using SSL encryption. true or false. The default value is false. | No
comparefile | Specifies how SourceAnywhere determines if your local copy is up-to-date. Valid parameters are "time" and "checksum", the default value is "checksum". | No

Examples

<saw:checkinfile
id="100086"
username="test"
pwd="test123"
repository="antplugin"
project="$/anttest"
file="1.txt"
workdir="D:\projects\test "
tempdir="D:\temp "
ssl="true" />

Check in the file named 1.txt into the root directory of the team project anttest.

checkinproject

Description

Task to perform Check In Project command to Dynamsoft SourceAnywhere.

Checks in and unlocks an entire folder. This command also makes the local files in the folder readonly. Use recursively to check in the project recursively.

Parameters

Attribute | Values | Required
id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere. | Yes
repository | Specifies the repository you want to log into. | Yes
project | Specifies a valid project in the current Dynamsoft SourceAnywhere repository. | Yes
workdir | Specifies the working folder to place files. | Yes
tempdir | Specifies a local folder for storing temporary files.. The default temporary directory is specified in the ServerInfo>General Settings section of Dynamsoft SourceAnywhere Service Configurator. | Yes
recursive | Specifies whether to check in recursively, true or false. | No
usecacheserver | Specifies whether to use Cache Server, true or false. The default value is false. | No
cacheserver | Specifies the IP or domain name of your cache server. | No
cacheserverport | Specifies the port of your cache server. | No
keep | Keeps checkout status after the checkin operation. Valid value are true or false. | No
comment | Comments on the corresponding operations with text. The default value is None. | No
checkinunchanged | Specifies the behavior when trying to check in unchanged file(s). There are two options: checkin or undo. | No
writable | true or false. The default value is false. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No
ssl | Specifies whether to connect to server using SSL encryption. true or false. The default value is false. | No
comparefile | Specifies how SourceAnywhere determines if your local copy is up-to-date. Valid parameters are "time" and "checksum", the default value is "checksum". | No

Examples

<saw:checkinproject
id="100086"
username="test"
pwd="test123"
repository="antplugin"
project="$/anttest"
workdir="D:\projects\test "
tempdir="D:\temp "/>

Check in the project named anttest in the root directory of the repository antplugin.

checkoutfile

Description

Task to perform Check Out File command to Dynamsoft SourceAnywhere.

Checks out and locks one or multiple files in the same folder. This command also makes the local files writable.

Parameters

Attribute | Values | Required
id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. | Yes
port | Specifies the port of a running Dynamsoft SouceAnywhere server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere. | Yes
repository | Specifies the repository you want to log into. | Yes
project | Specifies a valid project in the current Dynamsoft SourceAnywhere repository. | Yes
workdir | Specifies the working folder to place files. | Yes
file | Specifies the name of the file(s) in the repository. | Yes
tempdir | Specifies a local folder for storing temporary files.. The default temporary directory is specified in the ServerInfo>General Settings section of Dynamsoft SourceAnywhere Service Configurator. | Yes
usecacheserver | Specifies whether to use Cache Server, true or false. The default value is false. | No
cacheserver | Specifies the IP or domain name of your cache server. | No
cacheserverport | Specifies the port of your cache server. | No
replacewritable | Specifies whether to replace writable local copies. Valid value are skip or replace. | No
eol | Specifies the EOL type. Valid values are windows, unix or mac. | No
time | Sets the modification time of the local file or project. Valid time parameters are "current" (default), "modi" and "checkin". | No
comment | Comments on the corresponding operations with text. The default value is None. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No
ssl | Specifies whether to connect to server using SSL encryption. true or false. The default value is false. | No
comparefile | Specifies how SourceAnywhere determines if your local copy is up-to-date. Valid parameters are "time" and "checksum", the default value is "checksum". | No

Examples

<saw:checkoutfile
server="127.0.0.1"
port="7771"
username="test"
pwd="test123"
repository="antplugin"
project="$/anttest"
file="1.txt"
workdir="D:\projects\test "
tempdir="D:\temp " />

Check out the file named 1.txt in the $/anttest project in repository anttest.

checkoutproject

Description

Task to perform Check Out Project command to Dynamsoft SourceAnywhere.

Checks out and locks an entire project. This command also makes the local files in the folder writable. Use recursively to checkout a project recursively.

Parameters

Attribute | Values | Required
id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere. | Yes
repository | Specifies the repository you want to log into. | Yes
project | Specifies a valid project in the current Dynamsoft SourceAnywhere repository. | Yes
workdir | Specifies the working folder to place files. | Yes
tempdir | Specifies a local folder for storing temporary files.. The default temporary directory is specified in the ServerInfo>General Settings section of Dynamsoft SourceAnywhere Service Configurator. | Yes
usecacheserver | Specifies whether to use Cache Server, true or false. The default value is false. | No
cacheserver | Specifies the IP or domain name of your cache server. | No
cacheserverport | Specifies the port of your cache server. | No
recursive | Specifies whether to check out recursively, true or false. | No
replacewritable | Specifies whether to replace writable local copies. Valid value are skip or replace. | No
eol | Specifies the EOL type. Valid values are windows, unix or mac. | No
time | Sets the modification time of the local file or project. Valid time parameters are "current" (default), "modi" and "checkin". | No
comment | Comments on the corresponding operations with text. The default value is None. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No
ssl | Specifies whether to connect to server using SSL encryption. true or false. The default value is false. | No
comparefile | Specifies how SourceAnywhere determines if your local copy is up-to-date. Valid parameters are "time" and "checksum", the default value is "checksum". | No

Examples

<saw:checkoutproject
id="100086"
username="test"
pwd="test123"
repository="antplugin"
project="$/anttest"
workdir="D:\projects\test "
tempdir="D:\temp " />

Check out the project named anttest in the repository antplugin.

newproject

Description

Task to perform New Project command to Dynamsoft SourceAnywhere.

Creates an empty project in the current repository. Use project to specify the project path and name.

Parameters

Attribute | Values | Required
id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere. | Yes
repository | Specifies the repository you want to log into. | Yes
project | Specifies a valid project in the current Dynamsoft SourceAnywhere repository. | Yes
newproject | Specifies the name of the new project. | Yes
usecacheserver | Specifies whether to use Cache Server, true or false. The default value is false. | No
cacheserver | Specifies the IP or domain name of your cache server. | No
cacheserverport | Specifies the port of your cache server. | No
comment | Comments on the corresponding operations with text. The default value is None. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No
ssl | Specifies whether to connect to server using SSL encryption, true or false. The default value is false. | No

Examples

<saw:newproject
id="100086"
username="test"
pwd="test123"
repository="antplugin"
project="$/"
newproject="anttest"/>

Add the project named anttest under the root directory of the repository antplugin.

getfilehistory

Description

Task to perform Get File History command to Dynamsoft SourceAnywhere.

Displays the revision history of the file.

Parameters

Attribute | Values | Required
id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere. | Yes
repository | Specifies the repository you want to log into. | Yes
project | Specifies a valid project in the current Dynamsoft SourceAnywhere repository. | Yes
file | Specifies the name of the file that you would like to see history. | Yes
usecacheserver | Specifies whether to use Cache Server, true or false. The default value is false. | No
cacheserver | Specifies the IP or domain name of your cache server. | No
cacheserverport | Specifies the port of your cache server. | No
user | Specifies an existing username. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No
ssl | Specifies whether to connect to server using SSL encryption, true or false. The default value is false. | No

Examples

<saw:getfilehistory
id="100086"
username="test"
pwd="test123"
repository="antplugin"
project="$/anttest"
file="1.txt" />

View the history of the file named 1.txt in the $/anttest project of the repository antplugin.

getlatestfile

Description

Task to perform Get Latest File command to Dynamsoft SourceAnywhere.

Retrieves the most recent files from the current repository.

Parameters

Attribute | Values | Required
id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere. | Yes
repository | Specifies the repository you want to log into. | Yes
project | Specifies a valid project in the current Dynamsoft SourceAnywhere repository. | Yes
file | Specifies the name of the file(s) in the repository. | Yes
workdir | Specifies the local working folder. | Yes
tempdir | Specifies a local folder for storing temporary files.. The default temporary directory is specified in the ServerInfo>General Settings section of Dynamsoft SourceAnywhere Service Configurator. | Yes
usecacheserver | Specifies whether to use Cache Server, true or false. The default value is false. | No
cacheserver | Specifies the IP or domain name of your cache server. | No
cacheserverport | Specifies the port of your cache server. | No
writable | Makes the local files writable. | No
replacewritable | Specifies whether to replace writable local copies. Valid values are skip or replace. | No
eol | Specifies the EOL type. Valid values are windows, unix or mac. | No
time | Sets the modification time of the local file or project. Valid time parameters are "current" (default), "modi" and "checkin". | No
ssl | Specifies whether to connect to server using SSL encryption, true or false. The default value is false. | No
user | Specifies an existing username. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No
comparefile | Specifies how SourceAnywhere determines if the local copy is up-to-date. Valid values are time and checksum. | No
ssl | Specifies whether to connect to server using SSL encryption, true or false. The default value is false. | No

Examples

<saw:getlatestfile
id="100086"
username="test"
pwd="test123"
repository="antplugin"
project="$/anttest"
workdir="D:\projects\test"
tempdir="D:\temp"
file="1.txt"
eol="unix" />

Get the latest file named 1.txt under $/anttest in the repository antplugin.

getoldversionfile

Description

Task to perform Get Old Version File command to Dynamsoft SourceAnywhere.

Retrieves the old file version from the current team project. The version parameter is used to specify an old file version.

Parameters

Attribute | Values | Required
id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere. | Yes
repository | Specifies the repository you want to log into. | Yes
project | Specifies a valid project in the current Dynamsoft SourceAnywhere repository. | Yes
file | Specifies the name of the file(s) in the repository. | Yes
workdir | Specifies the local working folder. | Yes
tempdir | Specifies a local folder for storing temporary files. The default temporary directory is specified in the ServerInfo>General Settings section of Dynamsoft SourceAnywhere Service Configurator. | Yes
version/label | Specifies the version number the project or a label that can be associated with a particular project version. | Yes
usecacheserver | Specifies whether to use Cache Server, true or false. The default value is false. | No
cacheserver | Specifies the IP or domain name of your cache server. | No
cacheserverport | Specifies the port of your cache server. | No
writable | Makes the local files writable. | No
replacewritable | Specifies whether to replace writable local copies. Valid values are skip or replace. | No
eol | Specifies the EOL type. Valid values are windows, unix or mac. | No
time | Sets the modification time of the local file or project. Valid time parameters are "current" (default), "modi" and "checkin". | No
ssl | Specifies whether to connect to server using SSL encryption, true or false. The default value is false. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No
comparefile | Specifies how SourceAnywhere determines if the local copy is up-to-date. Valid values are time and checksum. | No

Examples

<saw:getoldversionfile
id="100086"
username="test"
pwd="test123"
repository="antplugin"
project="$/"
workdir="D:\Personal Folder\Cooler\workdir"
tempdir="D:\Personal Folder\Cooler\tempdir"
file="1.txt"
version="31" />

Get the 31th version of the file named 1.txt under $/anttest in the repository antplugin.

getlatestproject

Description

Task to perform Get Latest Porject command to Dynamsoft SourceAnywhere.

Gets the latest version of all files in the specified project from the current team project. Use recursive to get the project recursively.

Parameters

Attribute | Values | Required
id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere. | Yes
repository | Specifies the repository you want to log into. | Yes
project | Specifies a valid project in the current Dynamsoft SourceAnywhere repository. | Yes
workdir | Specifies the local working folder. | Yes
tempdir | Specifies a local folder for storing temporary files.. The default temporary directory is specified in the ServerInfo>General Settings section of Dynamsoft SourceAnywhere Service Configurator. | Yes
usecacheserver | Specifies whether to use Cache Server, true or false. The default value is false. | No
cacheserver | Specifies the IP or domain name of your cache server. | No
cacheserverport | Specifies the port of your cache server. | No
recursive | Specifies whether to get recursively, true or false. | No
writable | Makes the local files writable. | No
replacewritable | Specifies whether to replace writable local copies. Valid values are skip or replace. | No
eol | Specifies the EOL type. Valid values are windows, unix or mac. | No
time | Sets the modification time of the local file or project. Valid time parameters are "current" (default), "modi" and "checkin". | No
ssl | Specifies whether to connect to server using SSL encryption, true or false. The default value is false. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No
comparefile | Specifies how SourceAnywhere determines if the local copy is up-to-date. Valid values are time and checksum. | No

Examples

<saw:getlatestproject
id="100086"
username="test"
pwd="test123"
repository="antplugin"
project="$/anttest"
workdir="D:\projects\test"
tempdir="D:\temp" />

Get the project named anttest in the repository antplugin.

getoldversionproject

Description

Task to perform Get Old Version Project command to Dynamsoft SourceAnywhere.

Gets the old version of all files in the specified project from the current repository. Use recursive to get the project recursively.

Parameters

Attribute | Values | Required
id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere. | Yes
repository | Specifies the repository you want to log into. | Yes
project | Specifies a valid project in the current Dynamsoft SourceAnywhere repository. | Yes
workdir | Specifies the local working folder. | Yes
version/label | Specifies the version number the project or a label that can be associated with a particular project version. | Yes
tempdir | Specifies a local folder for storing temporary files.. The default temporary directory is specified in the ServerInfo>General Settings section of Dynamsoft SourceAnywhere Service Configurator. | Yes
usecacheserver | Specifies whether to use Cache Server, true or false. The default value is false. | No
cacheserver | Specifies the IP or domain name of your cache server. | No
cacheserverport | Specifies the port of your cache server. | No
recursive | Specifies whether to get recursively, true or false. | No
writable | Makes the local files writable. | No
replacewritable | Specifies whether to replace writable local copies. Valid values are skip or replace. | No
eol | Specifies the EOL type. Valid values are windows, unix or mac. | No
time | Sets the modification time of the local file or project. Valid time parameters are "current" (default), "modi" and "checkin". | No
ssl | Specifies whether to connect to server using SSL encryption, true or false. The default value is false. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No
comparefile | Specifies how SourceAnywhere determines if the local copy is up-to-date. Valid values are time and checksum. | No

Examples

<saw:getoldversionproject
id="100086"
username="test"
pwd="test123"
repository="antplugin"
project="$/dd"
workdir="D:\projects\test"
tempdir="D:\temp"
label="1"
        />

Get the history of the project named anttest in the repository antplugin by label.

getprojecthistory

Description

Task to perform Get Project History command to Dynamsoft SourceAnywhere.

Displays the revision history of the project. If the v flag is set, the histories will be shown by version, or it will be shown by item.

Parameters

Attribute | Values | Required
id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere. | Yes
repository | Specifies the repository you want to log into. | Yes
project | Specifies a valid project in the current Dynamsoft SourceAnywhere repository. | Yes
usecacheserver | Specifies whether to use Cache Server, true or false. The default value is false. | No
cacheserver | Specifies the IP or domain name of your cache server. | No
cacheserverport | Specifies the port of your cache server. | No
user | Specifies an existing username. | No
recursive | Specifies whether to get recursively, true or false. | No
datetime | Specifies a period of time. By default it's from the current time to one year ago. You can type two value in the format "datefrom|dateto", or just one value as the ending date/time of period which begins from the current time . Acceptable date/time formats: "Jun/16/2005", "Jun/16/2005 6:10:00", "6/16/2005", "6/16/2005 6:10:00". | No
v | Shows the project histories by version. true or false. | No
ssl | Specifies whether to connect to server using SSL encryption, true or false. The default value is false. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:getprojecthistory
id="100086"
username="test"
pwd="test123"
repository="antplugin"
project="$/anttest"
v="true"
/>

View the history of the project named anttest in the repository antplugin.

labelfile

Description

Task to perform Label File command to Dynamsoft SourceAnywhere.

Adds a label to a file.

Parameters

Attribute | Values | Required
id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere. | Yes
repository | Specifies the repository you want to log into. | Yes
project | Specifies a valid project in the current Dynamsoft SourceAnywhere repository. | Yes
label | Specifies a label that can be associated with a particular project version or file version. | Yes
file | Specifies the name of the file(s) in the repository. | Yes
tempdir | Specifies a local folder for storing temporary files.. The default temporary directory is specified in the ServerInfo>General Settings section of Dynamsoft SourceAnywhere Service Configurator. | Yes
usecacheserver | Specifies whether to use Cache Server, true or false. The default value is false. | No
cacheserver | Specifies the IP or domain name of your cache server. | No
cacheserverport | Specifies the port of your cache server. | No
ssl | Specifies whether to connect to server using SSL encryption, true or false. The default value is false. | No
comment | Comments on the label. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:labelfile
id="100086"
username="test"
pwd="test123"
repository="antplugin"
project="$/anttest"
file="1.txt"
label="release" />

Label the file named 1.txt in project anttest of the repository antplugin with release.

labelproject

Description

Task to perform Label Project command to Dynamsoft SourceAnywhere.

Adds a label to a project.

Parameters

Attribute | Values | Required
id | Specifies the organization ID of your hosted account to Login Dynamsoft SourceAnywhere Hosted Server. | Yes
username | Specifies the user name used to log into Dynamsoft SouceAnywhere. | Yes
pwd | Specifies the password for the corresponding user to log into Dynamsoft SourceAnywhere. | Yes
repository | Specifies the repository you want to log into. | Yes
project | Specifies a valid project in the current Dynamsoft SourceAnywhere repository. | Yes
label | Specifies a label that can be associated with a particular project version or file version. | Yes
tempdir | Specifies a local folder for storing temporary files.. The default temporary directory is specified in the ServerInfo>General Settings section of Dynamsoft SourceAnywhere Service Configurator. | Yes
usecacheserver | Specifies whether to use Cache Server, true or false. The default value is false. | No
cacheserver | Specifies the IP or domain name of your cache server. | No
cacheserverport | Specifies the port of your cache server. | No
ssl | Specifies whether to connect to server using SSL encryption, true or false. The default value is false. | No
comment | Comments on the label. | No
ptype | Specifies the proxy type. Valid ptype parameters are "None", "Http", "Socks4" and "Socks5", the default value is "None". | No
pserver | Specifies the domain name or IP address of the proxy server. If ptype = "None", this parameter is invalid and not required. | No
pport | Specifies the port of the proxy server. | No
puser | Specifies the user name used to connect to the proxy server. If ptype = "None", this parameter is invalid and not required. | No
ppwd | Specifies the password for the corresponding user to connect to the proxy server. | No

Examples

<saw:labelproject
id="100086"
username="test"
pwd="test123"
repository="antplugin"
project="$/anttest"
label="release" />

Label the project named anttest with release label in the repository antplugin.

Install Dynamsoft SourceAnywhere Hosted Ant Plug-in

To install Dynamsoft SourceAnywhere Hosted Ant Plug-in, please follow the steps below:

1. Download SourceAnywhere Hosted Ant Plug-in and unzip it into the Lib folder under the Ant directory.

2. Edit the build.xml file in the Bin folder under the Ant directory appropriately. If there is no such file, create it.

3. Click Start->Run to open command line window. And go to the Bin folder of Ant and perform "ant" command. Then Ant will run.

SourceAnywhere Hoste Ant Plug-in Configuration Example

<project name="sawant" basedir="." default="sawgetlatestfile"
        xmlns:saw="antlib:com.dynamsoft.sawh.ant.sawhant">
<target name="sawgetlatestfile">
<saw:getlatestfile
id="100031"
username="admin"
pwd="1"
repository="anttest"
project="$/"
workdir="D:\projects\test "
file="1.txt"
ssl="true" />
</target>
</project>


Dynamsoft SourceAnywhere Hosted Ant Plug-in

Dynamsoft SourceAnywhere Hosted CruiseControl.NET Plug-in

SourceAnywhere Hosted provides a CriuseControl.NET plug-in which allows users to integrate SourceAnywhere Hosted with CruiseControl.NET for continuous integration.

SourceAnywhere Hosted (SAWH) Configuration Example

<sourcecontrol type="SAWH" autoGetSource="true" applyLabel="true">
  <organizationID>300464</organizationID>
  <repository>default</repository>
  <project>$/test</project>
  <username>admin</username>
  <password>saw</password>
  <workingDirectory>D:\TestFolder\ccnet</workingDirectory>
  <tempDirectory>D:\TestFolder\temp</tempDirectory>
</sourcecontrol>

Configuration Elements:
Node | Description | Type | Required | Default
organizationID | The organization ID of your SourceAnywhere Hosted account. | string | true | null
repository | The repository you want to log into. | string | true | null
project | A valid project in the current SourceAnywhere Hosted repository. | string | true | null
username | Username that CCNet should use to authenticate with SourceAnywhere Hosted Server. | string | true | null
password | Password for the SourceAnywhere Hosted user. | string | true | null
workingDirectory | The root folder where the latest source will be retrieved from the Source Server. This path can either be absolute or it can be relative to the CCNet project working directory. | string | true | null
tempDirectory | Specifies a local folder for storing temporary files. | string | true | null
autoGetSource | Specifies if CCNet should automatically retrieve the latest version of the source from the repository. | bool | false | false
applyLabel | Specifies if CCNet should apply the build label to the repository. | bool | false | false
useCacheServer | Determines whether to use Cache Server to connect to SourceAnywhere Hosted Server. | bool | false | false
cacheServerAddress | SourceAnywhere Hosted Cache Server IP. | string | false | 127.0.0.1
cacheServerPort | SourceAnywhere Hosted Cache Server Port. | string | false | 7777
ssl | Determines whether to use SSL port to connect to SourceAnywhere Hosted Server. | bool | false | false

Note: ssl and useCacheServer cannot be true at the same time.

Installing the Plug-in

To install the plug-in, please follow these steps:

  1. Install SourceAnywhere Hosted COM SDK. It can be downloaded from http://www.dynamsoft.com/Downloads/SAWHosted_Download.aspx
  2. Download CruiseControl.NET SAWH Plug-in and unzip it into the CruiseControl.NET server directory.
  3. Edit the ccnet.config file in the CruiseControl.NET server directory appropriately.


Managing SourceAnywhere Standalone

Managing Dynamsoft SourceAnywhere Hosted

Dynamsoft SourceAnywhere Hosted provides the following tools for managing the Server and Cache Server:

  • Server Manager for repository management

  • Cache Server Manager for cache server management


Server Manager

  • Dynamsoft SourceAnywhere Hosted Server Manager Installation

Dynamsoft SourceAnywhere Hosted Server Manager is a GUI tool used to manage the hosted database. With Dynamsoft SourceAnywhere Hosted Server Manager, you may find it easy to remotely manage the users, groups, access rights and other configurations of the repositories.

To start the Server Manager, launch it from Dynamsoft SourceAnywhere Hosted program group in Windows Start Menu. It's recommended that only the administrators could access the Server Manager program.

The Server Manager section allows you to manage the database with the following 5 items:

  • Password Policy
  • Users
  • Groups
  • Encrypt/Decrypt
  • Repositories

Note: To get the latest information on the server, simply click Refresh on the Tools menu or click Refresh button on the Toolbar. Besides, if there is any configuration change made in the Server Manager, users on the client side need to re-login the repository to apply the changes.


Password Policy (Server Manager)

Password Policy

  • Users
  • Groups
  • Encrypt/Decrypt
  • Repositories

The Password Policy window allows you to set the password security policy for Dynamsoft SourceAnywhere Hosted.

Window Items

Enable password policy

Sets password security. If you don't need high security, just uncheck this box and the following settings are all disabled.

Minimum password length

Determines the least number of characters that a password for a user account may contain. Long passwords--seven or more characters--are usually stronger than short ones.

Combining this setting with Password must meet complexity requirements can make the password very difficult for an attacker to guess.

Enforce password history

With this setting, users cannot use the same password as the old when their password expires.

This security setting determines the number of unique new passwords that have to be associated with a user account before an old password can be reused. This policy enables administrators to enhance security by ensuring that old passwords are not reused continually.

For example, your old passwords are Mary, Mike, Mila in turn, if the password history keep count is 2, your new password could not be Mike or Mila.

Password must meet complexity requirements

Sets password complexity required. Password complexity indicates the value of a password should contain characters from three of the following four categories:

  • English uppercase characters (A through Z)
  • English lowercase characters (a through z)
  • Base 10 digits (0 through 9)
  • Non-alphabetic characters (for example, !, $, #, %)

For example, the following values are legal:

Michael123
$Money$
1860@football

Combining this setting with Minimum password length can make the password very difficult for an attacker to guess.

Password never expire

Enables no time limit for password to be used. If unchecked, please specify Maximum password age.

Maximum password age

Determines the period of time (in days) that a password can be used before the system requires the user to change it.

With this setting, if an attacker cracks a password, he only has access to the network until the password expires. Also, since the password is forced to keep changing, it is difficult for attackers to crack.

Lock out user after

Disables a user account if an incorrect password is entered a number of times specified in the unsuccessful login attempts box. If selected, please specify User lock out duration.

This setting helps you to prevent attackers from guessing users' passwords, and it decreases the likelihood of successful attacks on your network

User lock out duration

Determines the period of time (unit: minute) that user status will be locked. Over the specified period, the user account will be unlocked.


Users (Server Manager)

Users

  • Password Policy
  • Groups
  • Encrypt/Decrypt
  • Repositories

The Users window allows you to manage users for all repositories in Dynamsoft SourceAnywhere Hosted Server.

Each unique active user will be bound to a Dynamsoft SourceAnywhere Hosted license. The inactive user takes no license. Active users with the same name in different repositories will be regarded as one active user.

Window Items

User List

Lists all active users by default. You can uncheck the List only active users box to see all users in Dynamsoft SourceAnywhere Hosted, and select a group in the View users only in group dropdown list only to see the group members.

Add

Adds a new user in Dynamsoft SourceAnywhere Hosted. Click Add to display the Add User dialog box.

Edit

Edits properties for the selected user. Click Edit to display Edit User dialog box. Double clicking the selected user will also bring up the Edit User dialog box.

Set Password

Sets the password of the selected user. Click Set Password to display the Set User Password dialog box.

Security

Displays all security right assignments of the selected user within a specified repository. Click Security to display the User Security dialog box.

Copy rights

Copies the rights created for another user to the selected user. Click Copy Right to display the Copy right dialog box. You can not copy rights from another user to the default user Admin.

Delete

Deletes the selected user from Dynamsoft SourceAnywhere Hosted. Select the user you want to delete and click this button. Multiple users can be selected by holding the Ctrl key.

Note: The default user Admin can not be deleted.


Groups (Server Manager)

Groups

  • Password Policy
  • Users
  • Encrypt/Decrypt
  • Repositories

The Groups window allows you to manage all groups in Dynamsoft SourceAnywhere Hosted Server.

Window Items

Add

Adds groups to Dynamsoft SourceAnywhere Hosted. Click Add to display the Add Group dialog box.

Edit

Edits properties of the selected group. Click Edit to display the Edit Group dialog box. Double clicking the selected group will also bring up the Edit Group dialog box.

Security

Displays all security right assignments of the selected group within a specified repository. Click Security to display the Group Security dialog box.

Delete

Deletes the selected group from Dynamsoft SourceAnywhere Hosted. Select the group you want to delete and click this button. Multiple groups can be selected by holding the Ctrl key.

Note: The default group Administrators can not be deleted.


Encrypt/Decrypt

  • Password Policy
  • Users
  • Groups
  • Repositories

The Encrypt/Decrypt window allows you to encrypt or decrypt your database during a specified period of time in a day. Data encryption function ensures the security of your database by encrypting the contents of files in the database.

Note:

  • This function is only available for pay account users.
  • The database will be temporarily locked when being encrypted or decrypted.

Window Items

Encrypt

Encrypts the database with an encryption key. Clicking Encrypt will bring up the Encrypt Database dialog box.

Decrypt

Decrypts the database with the encryption key. Clicking Decrypt will bring up the Decrypt Database dialog box.

Change Key

Changes the encryption key. Clicking Change Key will bring up the Change Key dialog box.

Unlock

If the encrypted database is locked due to the restart of the hosted server or temporary disability of the account, click Unlock and input the encryption key to unlock your database. Clicking Unlock will bring up the Unlock Database dialog box.


Repositories (Server Manager)

Repositories

  • Password Policy
  • Users
  • Groups
  • Encrypt/Decrypt

The Repositories section contains a list of all repositories in the 'SourceAnywhere' database, which is a SQL database generated automatically during Dynamsoft SourceAnywhere Hosted Server installation. Double clicking the selected repository will go to Repository Management section.

Window Items

Repositories

Lists all repositories on Dynamsoft SourceAnywhere Hosted database.

Add

Adds a repository. Click Add to display the Add Repository dialog box.

Property

Views or edits the properties of the selected repository. Click Property to display the Edit Repository dialog box.

Delete

Removes the selected repository from Dynamsoft SourceAnywhere Hosted Server.


Repositories Management (Server Manager)

Repository Management

The Repository Management section allows you to manage the selected repository. There are 9 items in this section:

  • User Access
  • Group Access
  • Security
  • Excluded File Types
  • Mergeable File Types
  • Keyword Expansion File Type
  • Web Projects
  • Undo Check Out
  • Notification Management


User Access (Server Manager)

User Access

  • Repository Management

The User Access window allows you to specify all users' access rights to the current repository.

Window Items

User Access

Lists all users in Dynamsoft SourceAnywhere Hosted. Check the users you want to allow access to the current repository. Unchecked users will be denied access to the current repository.

List only active users

If this option is checked, only active users will be listed.

Apply

Click Apply to apply the changes.

Note:

  • If a user's access to a repository is not defined by User Access, and at least one of the group(s) the user belongs to is allowed to access the repository, then the user also has access right to the repository.

  • The Admin user is not listed in this box.


Group Access (Server Manager)

Group Access

  • Repository Management

The Group Access window allows you to specify all groups' access rights to the current repository

Window Items

Group Access

Lists all groups in Dynamsoft SourceAnywhere Hosted. Check the groups you want to allow access to the current repository. Unchecked groups will be denied access to the current repository.

Apply

Click Apply to apply the changes.

Note:

  • If a user's access to a repository is not defined by User Access, and at least one of the group(s) the user belongs to is allowed to access the repository, then the user has access right to the repository.

  • The Administrators group is not listed in this box.


Security (Server Manager)

Security

  • Repository Management

The following levels of access rights are available per user, per project: Read, Check In/Out, Add, Delete, Share, Branch, Move, Rename, Purge, Pin/Unpin, Label and Property Change.

When project security is enabled, specific access rights are required for a user to execute Dynamsoft SourceAnywhere Hosted commands. The following is a list of required access rights to execute Dynamsoft SourceAnywhere Hosted commands.

Commands | Required Security Rights
Add Files | Add
Branch | Branch
Change Password | None
Change File Type | Property Change
Check In | Check In/Check Out
Check Out | Check In/Check Out
Clear Status Window | None
Cloak Project | None
Create Project | Add
Delete | Delete
Edit | Check In/Check Out
Get | Read
Login | None
Login Log | None
Label | Label
Merge Branches | Check In/Check Out, Read
Move | Move
Pin/Unpin | Pin/Unpin
Purge | Purge
Recover | Delete
Rename | Rename
Select Repository | None
Set Working Folder | None
Share | Share
Show Differences | None
Show Label | Read
Show History | Read
Show Properties | None
Status Search | None
Undo Check Out | Check In/Check Out
View | Read

When project security is disabled, users who have access to the current repository have their default access rights to projects in the repository.

The Security window allows you to view and edit the security settings for any project in the current repository. The security settings take effect only when the Project Security is enabled.

Note: To apply all your changes made to the security rights, click Apply.

Window Items

Projects Tree

Displays the Project Tree of the current repository. Select a project in the tree and the Rights List will list all security rights of the selected project.

Rights List

Lists the security rights assigned to all users and groups in the repository for the selected project.

The Rights List contains three columns:

  • Rights: The rights of the user or group for the selected project

  • User: The name of the user.

  • Group: The name of the group.

The list can be sorted by clicking the column heading. When the list has been sorted, an arrow will appear indicating ascending or descending order. Click the arrow on the sorted column to reverse the sort.

Select a user or group in this list and check the access rights in the Rights box to edit the security rights of the user or group. The Rights column in Rights List will reflect the changes made in this box.

Any user or group that has none security right (when no assignment has been made or inherited) is not listed in this list. A project that is not assigned any security rights will inherit security rights from its parent project. Any user or group has default security rights assignments defined in Default User Rights box to the root project.

Add...

Adds a user or group in the repository to the Rights List Pane by assigning security rights to this user/group. Click Add... to display the Add user or group for project dialog box.

This command is only available when there are users or groups who have access to current repository but have none security rights assignments for the selected project.

Delete...

Removes a user or group from the Rights List Pane. Removed user or group will lost all security rights for the selected project.

View all users effective rights

Displays the Effective Rights dialog box. This lists all effective (actual) rights that the user has for the selected project.

Make Right Inherited

Makes the security rights of the selected project inherited from its parent project. If this is applied, all security rights previously assigned to the user or group for the selected project will be lost.

Refresh

Refreshes both the project tree and the Rights List.

Apply

Applies changes in this window.


Excluded File Types (Server Manager)

Excluded File Types

  • Repository Management

The Excluded File Types window allows you to specify the file types to be excluded from the repository. Files with the excluded extensions cannot be added to any project in the current repository.

Window Items

Excluded File Types

Lists the excluded file types in the current repository.

Add

Adds an excluded file type. Click Add to display the Add Excluded File Type dialog box.

Edit

Edits the selected excluded file type. Click Edit to display the Edit Excluded File Type dialog box.

Delete

Removes the selected excluded file type.


Mergeable File Types (Server Manager)

Mergeable File Types

  • Repository Management

The Mergeable File Types window allows you to specify the mergeable file types in the current repository. For any file with a file extension listed in the Mergeable File Types list, Dynamsoft SourceAnywhere Hosted treats it as mergeable while you choose auto-detect as the file type in Add File Comment or Add Folder Comment dialog box. General user can also change its type to binary on the General Tab of File Properties. Mergeable files can be performed visual diff/merge operations while Binary files can not.

Window Items

Mergeable File Types

Lists the mergeable file types in the current repository.

Add

Adds a mergeable file type. Click Add to display the Add Mergeable File Type dialog box.

Edit

Edits the selected mergeable file type. Click Edit to display the Edit Mergeable File Type dialog box.

Delete

Removes the selected mergeable file type.


Keyword Expansion File Types (Server Manager)

Keyword Expansion File Types

  • Repository Management

Keyword Expansion refers to Dynamsoft SourceAnywhere Hosted's feature of placing certain information directly into your file to create a file header for you. To use this feature, you place certain keywords into the text of your file in comments so that it does not affect your code. When you add or check in the file, Dynamsoft SourceAnywhere Hosted looks for these keywords, and places the relevant information after them.

Keyword expansion requires Dynamsoft SourceAnywhere Hosted to scan each file for keywords, it can considerably slow the Check In and Add Files commands.

The following table is a list of all Dynamsoft SourceAnywhere Hosted keywords.

To expand keywords:

Type this keyword | To add the following
$Archive: $ | Dynamsoft SourceAnywhere Hosted archive file location.
$Author: $ | User who last changed the file.
$Header: $ | Logfile, Revision, UTCDate, Author. The time is given in UTC.
$History: $ | File history. The time is given in UTC.
$Log: $ | File history, RCS format. The time is given in UTC.
$Logfile: $ | Same as Archive.
$Revision: $ | Dynamsoft SourceAnywhere Hosted version number.
$UTCDate: $ | Date and time of last check in. The time is given in UTC.
$UTCModtime: $ | Date and time of last modification. The time is given in UTC.
$Workfile: $ | File name.
$NoKeywords: $ | No keywords expansion for all keywords after it.

For example, you could place the following in a file:

$Revision: $

Upon check in, Dynamsoft SourceAnywhere Hosted would replace it with:

$Revision: 10 $

The next time you check in the file, the 10 is replaced by a 11, and so on. Without running Dynamsoft SourceAnywhere Hosted, you can always look at the top of your file to see the version number of your file copy.

Note:

  • Make sure to enable keyword expansion for non-binary file, for example, txt, c, vb.
  • Keywords are case-sensitive and must not include any blank space between the first dollar sign and the colon. Blank space or arbitrary text can be included between the colon and the trailing dollar sign.

The Keyword Expansion File Types window allows you to specify the file types in which Dynamsoft SourceAnywhere Hosted keyword expansion occurs.

Window Items

Keyword Expansion File Types

Lists all the keyword expansion file types in the current repository.

Add

Adds a keyword expansion file type. Click Add to display the Add Keyword Expansion File Type dialog box.

Edit

Edits the selected keyword expansion file type. Click Edit to display the Edit Keyword Expansion File Type dialog box.

Delete

Removes the selected keyword expansion file type.


Undo Check Out (Server Manager)

Web Projects

  • Repository Management

The Web Projects window allows you to designate a project as Web project. This feature is designed for Web site projects containing files that change frequently. Only those projects designated as Web projects in the Server Manager will be deployable by Dynamsoft SAW Hosted Client.

Web Projects

Lists all projects that are designated as Web project. The Web Projects list contains the following two columns:

  • Repository Project - Lists the path of the source project in repository.
  • Ftp Site - Lists the path of the ftp site.

Add

Designates a project as a Web project. Click Add to display the Add Web Project dialog box.

Edit

Edits the selected Web project. Click Edit to display the Edit Web Project dialog box.

Delete

Removes the selected Web project.


Undo Check Out (Server Manager)

Undo Check Out

  • Repository Management

The Undo Check Out window allows you to undo checkouts in the current repository.

Window Items

Files Currently Checked Out List

Lists all checked out files in the current repository. This list contains the following five columns:

  • File Path - The full path and name of the file.
  • User(s) - The names of all users who have the file checked out.
  • Version - The version number at which the file was checked out.
  • Date - The time when the file was checked out.
  • Comment - The checkout comment of the file.

Undo Check Out

Undoes the checkout of the selected file. The Files currently Checked Out List will be updated immediately.

Refresh File List

Refreshes the Files Currently Checked Out List.


Notification Management

  • Add Event
  • Edit Event

Summary

Enable users to configure notification that are sent to related parties by Email when certain events occur in the specified projects. You can subscribe to notifications for yourself or for others. You can also customize your own events.

To Manage Notification

1. Click Add Event to add a custom event.

2. Click Edit Event to modify the selected event.

3. Click Delete Event to remove selected event.

Window Items:

Notification Events

  • Event: display current event list.
  • Add Event: add a custom event.
  • Edit Event: edit the selected event.
  • Delete Event: delete the selected custom event.


Dialog Boxes (Server Manager)

Dialog Boxes in Server Manager

  • Add Excluded File Type Dialog Box
  • Add Group Dialog Box
  • Add Keyword Expansion File Type Dialog Box
  • Add Mergeable File Type Dialog Box
  • Add Repository Dialog Box
  • Add User Dialog Box
  • Add User or Group for Project Dialog Box
  • Add Web Project Dialog Box
  • Change Key Dialog Box
  • Copy Rights Dialog Box
  • Decrypt Database Dialog Box
  • Edit Excluded File Type Dialog Box
  • Edit Group Dialog Box
  • Edit Keyword Expansion File Type Dialog Box
  • Edit Mergeable File Type Dialog Box
  • Edit Profile Dialog Box
  • Edit Repository Dialog Box
  • Edit User Dialog Box
  • Edit Web Project Dialog Box
  • Effective Rights Dialog Box
  • Encrypt Database Dialog Box
  • Global Message Dialog Box
  • Group Security Dialog Box
  • Login (Additional Tab) Dialog Box
  • Login (General Tab) Dialog Box
  • Login Log Dialog box
  • Login Dialog Box
  • Option Dialog Box
  • Profile Manager Dialog Box
  • Rename Profile Dialog Box
  • Set User Password Dialog Box
  • Unlock Database Dialog Box
  • User Security Dialog Box


Add Event

  • Add Rule
  • Notification Management
  • Add Receiver

To Add Event

1. Give a name to the event.

2. Choose operations. Notification emails will be sent to receivers when these checked actions are triggered in projects specified in Rules.

3. Add a rule. Rules specify the influence area of current event.

4. Add receivers.

Window Items:

Name

Name of the event. The name is required and must be unique.

Operation

The actions you checked will be seen as an event. The event will be triggered once one of the checked actions is performed on files of the projects specified in rules.

Project to watch

Display the influence area of current event. The influence area is consisted of all the rules in the rule list.

Add Rule

  • Include: include current selected project in the influence area.
  • Exclude: eliminate current selected project from the influence area.

Delete

Delete a rule from the Watch Rule list.

Refresh

Refresh current project tree.

Notification Receivers

  • Notification Receiver: list notification receivers for the selected event.
  • Email Address: the Email address for the corresponding notification receivers.
  • Add Receiver: add notification receivers to the selected event.

  • Delete Receiver: Remove notification receivers from the selected event.

Note:

  • Email notification will not be sent to inactive users even if they are configured as notification receivers.


Add Excluded File Type (Server Manager)

Add Excluded File Type Dialog Box

  • Excluded File Types

Adds an excluded expansion file type.

In the Excluded File Types window, clicking Add button will bring up the following dialog box:

Dialog Box Items

Excluded File Type

Specifies the excluded file extension (e.g.: txt, exe) you want to add.

OK

Confirms the input and adds the excluded file type.

Cancel

Cancels the Add operation and closes the dialog box.


Add Group Dialog Box (Server Manager)

Add Group Dialog Box

  • Group

Adds a new user group and assigns rights to this group in Dynamsoft SourceAnywhere Hosted.

In the Groups window, clicking Add button will bring up the following dialog box:

Dialog Box Items

Group Name

Specifies the new group name.

Description

Specifies the brief description about the new added group.

Assign user to groups

  • Unassigned user list
    Lists all users that haven't been assigned to the selected group.
    Select the user to be assigned to the group. Multiple users may be selected by holding the Ctrl key and selecting the users.
    Use the arrows to move users from Unassigned User List box to Users assigned to the group box. The double arrows move all users. Double clicking a user will move it to the Users assigned to the group.

  • Users assigned to the group
    Lists all users that are currently assigned to the group.
    Select the user to be removed from the group. Multiple users may be selected by holding the Ctrl key and selecting the users.
    Use the arrows to move users from Users assigned to the group box to Unassigned user list box. The double arrows move all users. Double clicking a user will move it to the Unassigned user list.

Default Group Rights

Sets the default rights on the root project of any repository in Dynamsoft SourceAnywhere Hosted for the group. This does not override any specific right assignments that have already been added for the group or the group members.

OK

Confirms the inputs and adds the group.

Cancel

Cancels the Add operation and closes the dialog box.


Add Keyword Expansion File Type (Server Manager)

Add Keyword Expansion File Type Dialog Box

  • Keyword Expansion File Types

Adds a keyword expansion file type.

In the Keyword Expansion File Types window, clicking Add will bring up the following dialog box:

Dialog Box Items

Keyword Expansion File Type

Specifies the keyword expansion file extension (for example: txt, c, vb) you want to add.

OK

Confirms the input and adds the keyword expansion file type.

Cancel

Cancels the Add operation and closes the dialog box.


Add Mergeable File Type (Server Manager)

Add Mergeable File Type Dialog Box

  • Mergeable File Types

Adds a mergeable file type.

In the Mergeable File Types window, clicking Add button will bring up the following dialog box:

Dialog Box Items

Mergeable File Type

Specifies the mergeable file extension (for example: txt, exe) you want to add.

OK

Confirms the input and adds the mergeable file type.

Cancel

Cancels the Add operation and closes the dialog box.


Add Repository Dialog Box (Server Manager)

Add Repository Dialog Box

  • Repositories
  • Edit Repository Dialog Box

Adds a repository to the 'SourceAnywhere' database.

In the Repositories window, clicking Add button will bring up the following dialog box:

Dialog Box Items

Repository name

Specifies the name of the new added repository.

Description

Specifies the description of the new added repository.

Allow multiple checkouts

Specifies whether allowing multiple people to check out one file simultaneously in the repository. If this option is checked and the exclusive lock in the client is not enabled, Dynamsoft SourceAnywhere Hosted will allow many people to check out the same mergeable file.

Comments required for checked in

Specifies whether comments are required for check-ins in the repository. If this option is checked, users must enter a comment for the check in command.

Enable Project Security

Specifies whether enabling project security rights for individual user and project in the repository. If this option is disabled, users will have their Default User Rights to projects.

OK

Confirms the inputs and adds the repository.

Cancel

Cancels the Add operation and closes the dialog box.


Add User

Add User Dialog Box

  • Users

Adds a new user and assigns rights to this user in Dynamsoft SourceAnywhere Hosted.

In the Users window, clicking Add button will bring up the following dialog box:

Dialog Box Items

User Name

Specifies the new user name (up to 64 characters without * | " : < > \ / and ?).

Description

Specifies the brief description about the new added user.

Email

Specifies the e-mail of the new added user.

Password

Specifies the password used for this user to log into Dynamsoft SourceAnywhere Hosted repositories.

Confirm

Confirms the password by forcing you to retype it in this box.

User is active

Activates this user and therefore allows login.

Must change password next login

Forces the user to change password on next login.

User is locked out

Locks the user. This option is available only when the lock out policy is enabled. When a user account is locked, you can use this option to unlock the user.

Assign user to groups

  • Unassigned groups
    Lists all groups that haven't been assigned to the new user.
    Select the group to be assigned to the user. Multiple groups may be selected by holding the Ctrl key and selecting the groups.
    Use the arrows to move groups from Unassigned groups box to Groups user assigned to box. The double arrows move all groups. Double clicking a group will move it to the Groups user assigned to.

  • Groups user assigned to
    Lists all groups that are currently assigned to the new user.
    Select the group to be removed from the user. Multiple groups may be selected by holding the Ctrl key and selecting the groups.
    Use the arrows to move groups from Groups user assigned to box to Unassigned groups box. The double arrows move all groups. Double clicking a group will move it to the Unassigned groups.

Default User Rights

Sets the default rights on the root project of any repository in Dynamsoft SourceAnywhere Hosted for the user. This does not override any specific right assignments that have already been added for the user or for any assigned groups.

Create

Confirms the inputs and adds the user.

Close

Cancels the Add operation and closes the dialog box.


Add User Or Group For Project (Server Manager)

Add User Or Group For Project Dialog Box

  • Security

Adds a user or group in the repository to the Rights List Pane by assigning security rights for this user/group.

In the Security window, click Add...,will bring up the following dialog box:

Dialog Box Items

Rights List

Lists all users and groups that have access to the current repository but have none security rights.

The Rights List contains three columns:

  • Rights: The rights of the user or group for the selected project

  • User: The name of the user.

  • Group: The name of the group.

Select a user or group to which you want to assign security rights.

Assign Rights

Specifies the rights you want to assign to the selected user or group. The Rights column in Rights List will reflect the changes made in this box.

OK

Confirms the rights assignments and adds the selected user or group to Rights List Pane.

Cancel

Closes the dialog box without any change.


Add Web Project

Add Web Project Dialog Box

  • Web Projects

Adds a Web project.

In the Web Project window, clicking Add button will bring up the following dialog box:

Dialog Box Items

Repository project

Specifies the path of the source project in repository. You can type the full path in the box or click Browse to select one in the Set Web Project dialog box.

Deploy Destination

Specifies the path of deploy destination.

FTP site

Specifies the path of FTP site.

Port

Specifies the port of the FTP server.

Login info

Specifies the way in which SourceAnywhere Server logs in the FTP server. You can choose to input the login info when adding a web project. This way, the login info will be kept in the database and used to connect to FTP server automatically when deploying. Or you can choose to input login info when performing the deploy operation. This way, the login info will not be kept.

Input login info when performing deploy operation

Input login info when performing the deploy operation. The login info will not be kept in Hosted Server.

Anonymous

Log in the FTP server as a anonymous user.

User Name

Specifies the user name for the FTP server .

Password

Specifies the password used for this user to log into the FTP server.

OK

Confirms the input and closes the dialog box.

Cancel

Cancels the Add operation and closes the dialog box.


Change Key

  • Encrypt/Decrypt

Window Items

Old Key

Type the old key.

New Key

Type the new key.

Confirm

Re-type the new key.

OK

Confirms the input and changes the key.

Cancel

Cancels changing the key and closes the dialog box.


Copy Right Dialog Box (Server Manager)

Copy Right s Dialog Box

  • Users

Copies the security right assignments created for one user to another.

Selecting a user in the Users window and clicking Copy Rights button will bring up the following dialog box:

Dialog Box Items

Copy From

Specifies user whose right assignments you want to copy from.

Copy

Copies the right assignments from the user selected in the Copy From list.

Cancel

Cancels the Copy Right operation and closes the dialog box.


Decrypt Database

  • Encrypt/Decrypt

Window Items

Enter the passphrase to decrypt your database

Type the encryption key to decrypt the database.

OK

Confirms the input and decrypts the database with the encryption key.

Cancel

Cancels the command and closes the dialog box.


Edit Event

  • Add Rule
  • Notification Management

  • Add Receiver

To Edit Event

1. Highlight an existing event in the event list and click Edit Event button.

2. Edit the event name and choose operations. Notification emails will be sent to receivers when these checked actions are triggered in projects specified in Rules.

3. Add/delete a rule. Rules specify the influence area of current event.

4. Add/delete receivers.

Window Items:

Name

Name of the event. The name is required and must be unique.

Operation

The actions you checked will be seen as an event. The event will be triggered once one of the checked actions is performed on files of the projects specified in rules.

Project to watch

Display the influence area of current event. The influence area is consisted of all the rules in the rule list.

Add Rule

  • Include: include current selected project in the influence area.
  • Exclude: eliminate current selected project from the influence area.

Delete

Delete a rule from the Watch Rule list.

Refresh

Refresh current project tree.t.

Notification Receivers

  • Notification Receiver: list notification receivers for the selected event.
  • Email Address: the Email address for the corresponding notification receivers.
  • Add Receiver: add notification receivers to the selected event.

  • Delete Receiver: Remove notification receivers from the selected event.

Note:

  • Email notification will not be sent to inactive users even if they are configured as notification receivers.


Edit Excluded File Type Dialog Box (Server Manager)

Edit Excluded File Type Dialog Box

  • Excluded File Types

Edits the selected excluded file type.

In the Excluded File Types window, clicking Edit button will bring up the following dialog box:

Dialog Box Items

Excluded File Type

Allows you to edit the selected excluded file extension.

OK

Confirms the changes and closes the dialog box.

Cancel

Closes the dialog box without any change.


Edit Group Dialog Box (Server Manager)

Edit Group Dialog Box

  • Groups

Allows you to edit properties of the selected group.

In the Groups window, clicking Edit button will bring up the following dialog box:

Dialog Box Items

Group Name

Specifies the name of the selected group.

Description

Specifies the brief description about the selected group.

Assign user to groups

  • Unassigned user list
    Lists all users that haven't been assigned to the selected group.
    Select the user to be assigned to the group. Multiple users may be selected by holding the Ctrl key and selecting the users.
    Use the arrows to move users from Unassigned User List box to Users assigned to the group box. The double arrows move all users. Double clicking a user will move it to the Users assigned to the group.

  • Users assigned to the group
    Lists all users that are currently assigned to the group.
    Select the user to be removed from the group. Multiple users may be selected by holding the Ctrl key and selecting the users.
    Use the arrows to move users from Users assigned to the group box to Unassigned user list box. The double arrows move all users. Double clicking a user will move it to the Unassigned user list.

Default Group Rights

Sets the default rights on the root project of any repository in Dynamsoft SourceAnywhere Hosted for the group. This does not override any specific right assignments that have already been added for the group or the group members.

OK

Confirms the changes and closes the dialog box.

Cancel

Closes the dialog box without any change.


Edit Keyword Expansion File Type Dialog Box (Server Manager)

Edit Keyword Expansion File Type Dialog Box

  • Keyword Expansion File Types

Edits the selected keyword expansion file type.

In the Keyword Expansion File Types window, clicking Edit will bring up the following dialog box:

Dialog Box Items

Keyword Expansion File Type

Allows you to edit the selected keyword expansion file extension (for example: txt, c, vb).

OK

Confirms the changes and closes the dialog box.

Cancel

Closes the dialog box without any change.


Edit Mergeable File Type Dialog Box (Server Manager)

Edit Mergeable File Type Dialog Box

  • Mergeable File Types

Edits the selected mergeable file type.

In the Mergeable File Types window, clicking Edit button will bring up the following dialog box:

Dialog Box Items

Mergeable File Type

Allows you to edit the selected mergeable file extension.

OK

Confirms the changes and closes the dialog box.

Cancel

Closes the dialog box without any change.


Edit Profile

Edit Profile Dialog Box

  • Profile Manager Dialog Box

This dialog box contains the following two tabs:

  • General Tab
  • Additional Tab

General Tab

Tab Items

Organization ID

Type the organization ID that is part of your hosted service account identity.

User Name

Type the user name, which must be configured on the Users tab of Server Manager.

Password

Type the password. Check Remember password checkbox if you'd like the password of the user to be filled automatically at each login.

Connect to Dynamsoft SourceAnywhere Hosted Server

Check this box if the Server Manager connects to the Hosted Server directly without using the Cache Server.

Use SSL

If this box is checked, the Server Manager will connect to the secure port of Hosting Server using SSL encryption.

Connect through my Cache Server

If you have SourceAnywhere Hosted Cache Server deployed at the Client side, check this box and the Server Manager will connect to SourceAnywhere Hosted Server through your Cache Server.

Cache Server Address

Type the IP or name of your Cache Server.

Cache Server Port

Type the port of your Cache Server.

Additional Tab

Tab Items

Proxy Information Panel

Proxy type

Select the proxy type: None, Socks4, Socks5 or Http.

Server name

Type the IP or name of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

Port

Type the port of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

User name (if the proxy requires authentication)

Type the proxy username.

Password (if the proxy requires authentication)

Type the proxy password.


Edit Repository Dialog Box (Server Manager)

Edit Repository Dialog Box

  • Repositories
  • Add Repository Dialog Box

Edits the general information of the selected repository.

In the Repositories window, clicking Property button will bring up the following dialog box:

Dialog Box Items

Repository name

Specifies the name of the selected repository.

Description

Specifies the description of the selected repository.

Allow multiple checkouts

Specifies whether allowing multiple people to check out the same file in the selected repository. If this option is checked and the exclusive lock in the client is not enabled, Dynamsoft SourceAnywhere Hosted will allow many people to check out the same mergeable file.

Comments required for checked in

Specifies whether comments are required for check-ins in the selected repository.

If this option is checked, users must enter a comment for the check in command.

Enable Project Security

Specifies whether enabling project security rights for individual user and project in the selected repository. If this option is enabled, users will have their Default User Rights to projects.

OK

Confirms the changes and closes the dialog box.

Cancel

Closes the dialog box without any change.


Eidt User

Edit User Dialog Box

  • Users

Allows you to edit properties of the selected user.

Selecting a user in the Users window, clicking Edit button will bring up the following dialog box:

Dialog Box Items

User Name

Specifies the user name (up to 64 characters without * | " : < > \ / and ?).

Description

Specifies description information about the selected user.

Email

Specifies the e-mail of the new added user.

User is active

Activates the user and therefore allows login.

Must change password next login

Forces the user to change password on next login.

User is locked out

Locks the user. This option is available only when the lock out policy is enabled. When a user account is locked, you can use this option to unlock the user.

Assign user to groups

  • Unassigned groups
    Lists all groups that haven't been assigned to the new user.
    Select the group to be assigned to the user. Multiple groups may be selected by holding the Ctrl key and selecting the groups.
    Use the arrows to move groups from Unassigned groups box to Groups user assigned to box. The double arrows move all groups. Double clicking a group will move it to the Groups user assigned to.

  • Groups user assigned to
    Lists all groups that are currently assigned to the new user.
    Select the group to be removed from the user. Multiple groups may be selected by holding the Ctrl key and selecting the groups.
    Use the arrows to move groups from Groups user assigned to box to Unassigned groups box. The double arrows move all groups. Double clicking a group will move it to the Unassigned groups.

Default User Rights

Sets the default rights on the root project of any repository in Dynamsoft SourceAnywhere Hosted for the selected user. This does not override any specific right assignments that have already been added for the user or for any assigned groups.

OK

Confirms the changes and closes the dialog box.

Cancel

Closes the dialog box without any change.

NOTE: Admin's properties cannot be edited, except the active status and whether to change password on next login.


Edit Web Project

Edit Web Project Dialog Box

  • Web Projects

Edits the selected web project.

In the Web Project window, clicking Edit button will bring up the following dialog box:

Dialog Box Items

Repository project

Specifies the path of the source project in repository. You can type the full path in the box or click Browse to select one in the Set Web Project dialog box.

Deploy Destination

FTP site

Specifies the FTP site as the deploy destination for the web project.

Port

Specifies the port of the FTP server.

Login info

Specifies the way in which SourceAnywhere Server logs in the FTP server. You can choose to input the login info when adding a web project. This way, the login info will be kept in the database and used to connect to FTP server automatically when deploying. Or you can choose to input login info when performing the deploy operation. This way, the login info will not be kept.

Input login info when performing deploy operation

Inputs the login information when performing deploy operation.

Anonymous

Logs in the FTP server as a anonymous user.

User Name

Specifies the user name for the FTP server .

Password

Specifies the password used for this user to log into the FTP server.

OK

Confirms the changes and closes the dialog box.

Cancel

Cancels the Edit operation and closes the dialog box.


Effective Rights Dialog Box (Server Manager)

Effective Rights Dialog Box

  • Security

Displays the effective rights of the selected user.

Selecting a project in Projects Tree and clicking View Effective Rights will bring up the following dialog box:

Dialog Box Items

User List

Specifies the user whose effective rights you want to view.

Effective Rights List

Lists all effective (actual) rights that the user has for the selected project. A user's effective rights for a specific project are the UNION of the security rights defined for the user AND any group(s) that the user belongs to and that also has access to this specific project.

For example, a user named "John" belongs to group A, and the user "John" as well as group A have access to project "$/test". If the project "$/test" is defined "P L" (Pin, Label) security rights for user "John" and "M S" (Move, Share) security rights for group A, then the effect rights of user "John" for this project should be "P L M S".

Close

Closes the dialog box.


Encrypt Database

  • Encrypt/Decrypt

Window Items

Enter passphrase

Type the encryption key.

Verify passphrase

Re-type the key.

Encrypt the passphrase with Pubic Key Infrastructure (PKI) and store the encrypted passphrase

If you check this option , your passphrase will be encrypted with Public Key Infrastructure(PKI) and stored. In case you forget your passphrase, Dynamsoft can recover.

Do not store the passphrase

If you check this option, your passphrase will not be stored. In case you forget your passphrase, there will be no way to decrypt your file content stored in Dynamsoft SourceAnywhere Hosted database.

OK

Confirms the input and encrypts the database with the encryption key.

Cancel

Cancels the command and closes the dialog box.


Group Security Dialog Box (Server Manager)

Group Security Dialog Box

  • Groups

Displays all security right assignments for the selected group.

Selecting a group in the Groups window and clicking Security button will bring up the following dialog box:

Dialog Box Items

Repository

Specifies the repository within which you want to view security right assignments for the selected group.

Rights Assignments List

The Rights Assignments List contains the following columns:

  • Project - Lists all the projects that are assigned security rights for the selected group. This only lists projects that have security rights assignments (not including projects where any inherited rights exist). A project that is not assigned any security rights will inherit security rights from its parent project.
  • Rights - Lists all the security rights assigned to the group for the selected project. You can view the detail information in the Rights box by clicking the project.

Close

Closes the dialog box.

Delete Assignment

Deletes all the security right assignments for the selected group.


Login (Additional Tab)

Login Dialog Box (Additional Tab)

See Also

  • Login (General Tab)
  • Repositories Dialog Box
  • Profile Manager

Tab Items

Proxy Settings Panel

Proxy type

Select the proxy type: None, Socks4, Socks5 or Http.

Server name

Type the IP or name of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

Port

Type the port of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

User name (if the proxy requires authentication)

Type the proxy username.

Password (if the proxy requires authentication)

Type the proxy password.


Login (General Tab)

Login Dialog Box (General Tab)

See Also

  • Login (Additional Tab)
  • Profile Manager

Tab Items

Organization ID

Type the organization ID that is part of your hosted service account identity.

User Name

Type the user name, which must be configured on the Users tab of Server Manager.

Password

Type the password. Check Remember password checkbox if you'd like the password of the user to be filled automatically at each login.

Connect to Dynamsoft SourceAnywhere Hosted Server

Check this box if the Client connects to the Hosted Server directly without using Cache Server.

Use SSL

If this box is checked, the Client will connect to the secure port of Hosted Server using SSL encryption.

Connect through my Cache Server

If you have SourceAnywhere Hosted Cache Server deployed at the Client side, check this box and the Client will connect to SourceAnywhere Hosted Server through your Cache Server.

Cache Server Address

Type the IP or domain name of your Cache Server.

Cache Server Port

Type the port of your Cache Server.


Option

  • Login Log Dialog Box

Allows you to choose whether to display the login log at each login.

Window Items

Display Login Log every time login

Check this checkbox if you wish to view the login log at each login.

OK

Confirms the option.

Cancel

Closes the dialog box.


Profile Manager

Profile Manager Dialog Box

  • Login Dialog Box
  • Add Profile Dialog box
  • Edit Profile Dialog Box
  • Rename Profile Dialog Box

Window Items

Close

Closes the dialog box.

Add

Adds a new profile. Clicking Add button will bring up the Add Profile dialog box.

Delete

Deletes the selected profile.

Rename

Renames the selected profile. Clicking Rename button will bring up the Rename Profile dialog box.

Edit

Edits the selected profile. Clicking Edit button will bring up the Edit Profile dialog box.


Rename Profile

Rename Profile Dialog Box

  • Profile Manager Dialog Box

Window Items

New Name

Type the new name of the profile.

OK

Confirms the input and renames the profile.

Cancel

Cancels renaming a profile and closes the dialog box.


Set User Password Dialog Box (Server Manager)

Set User Password Dialog Box

  • Users

Sets the password for the selected user.

In the Users window, clicking Set Password button will bring up the following dialog box:

Dialog Box Items

New Password

Specifies the password used for this user to log into Dynamsoft SourceAnywhere Hosted repositories.

Confirm

Confirms the password by forcing you to retype it in this box.

OK

Changes the password.

Close

Cancels the Set Password operation and closes the dialog box.


New Page 1

Set Web Project Dialog Box

  • Web Projects
  • Add Web Project
  • Edit Web Project

Allows you to choose an existing project that you want to designate as web project.

In the Add Web Project or Edit Web Project dialog box, clicking Browse button next to the Repository project textbox will bring up the following Set Web Project dialog box:

Dialog Box Items

Choose Project

Displays the Project Tree of the current repository.

Select an existing project that you want to designate as web project.

OK

Confirms your choice of the source project.

Cancel

Closes the dialog box without any selection.

Create

Creates a new project.

Refresh

Refreshes the Project Tree in this dialog box.


Unlock Database

  • Encrypt/Decrypt

Encrypted databases will be locked if the hosted server is restarted or if your account is disable temporarily. In this case you need to input the encryption key to unlock your database.

Window Items

Your database has been locked, please input your key to unlock it.

Type the encryption key to unlock the database.

OK

Confirms the input and unlock the database.

Cancel

Cancels unlocking the database and closes the dialog box.


User Security Dialog Box (Server Manager)

User Security Dialog Box

  • Users

Displays all security right assignments for the selected user within a repository.

Selecting a user in the Users window and clicking Security button will bring up the following dialog box:

Dialog Box Items

Repository

Specifies the repository within which you want to view security right assignments for the selected user.

Rights Assignments List

The Rights Assignments List contains the following columns:

  • Project - Lists all the projects that are assigned security rights for the selected user. This only lists projects that have security rights assignments (not including projects where any inherited rights exist). A project that is not assigned any security rights will inherit security rights from its parent project.
  • Rights - Lists all the security rights assigned to the user for the corresponding project. You can view the detail information in the rights box by clicking the project.
  • Effective Rights - Lists all effective (actual) rights that the user has for the selected project. A user's effective rights for a specific project are the UNION of the security rights assigned for the user AND any group the user belongs to who also has access to the specific project.

    • For example, a user named "John" belongs group A, and the user "John" as well as group A have access to project "$/test". If the project "$/test" is assigned "P L" (Pin, Label) security rights for user "John" and "M S" (Move, Share) security rights for group A, then the effect rights of user "John" for this project should be "P L M S".

Close

Closes the dialog box.

Delete Assignment

Deletes all the security right assignments for the selected user.


Cache Server Manager

  • Cache Server Overview
  • Cache Server Installation
  • Configuring Cache Server

Dynamsoft SourceAnywhere Hosted Cache Server Manager is a Windows application to start/stop and configure Dynamsoft SourceAnywhere Hosted Cache Server. To start the Cache Server Manager, launch it from Dynamsoft SourceAnywhere Hosted program group in Windows Start Menu.

With Dynamsoft SourceAnywhere Hosted Cache Server Manager, you can accomplish the following administrative tasks:

  • Service Info
    • Service Control
    • Service Relation
    • General Settings
    • Cache Settings
    • System Log
    • SSL Root Certificate

Note: Configuration changes in this page call for restarting the service of Dynamsoft SourceAnywhere Hosted Cache Server to take effect.


Configuring SourceAnywhere Hosted Cache Server

Configuring Cache Server

Before starting the service of Dynamsoft SourceAnywhere Hosted cache server, you have to do the following configurations at least:

  • Establish the service relation between Dynamsoft SourceAnywhere Hosted cache server and Dynamsoft SourceAnywhere Hosted server in Service Relation section.
  • If the encryption type the cache server is set to SSL, the data transfer between the client and this cache server will be secured with SSL encryption, and you need to generate the SSL root certificate in SSL Root Certificate section.


Service Info (Cache Server Manager)

Service Info

The Service Info section is a service configuration center for users to configure Dynamsoft SourceAnywhere Hosted cache server with the following 6 items:

  • Service Control
  • Service Relation
  • General Settings
  • Cache Settings
  • System Log
  • Proxy
  • SSL Root Certificate

Note: Changes in this page call for restarting the service of Dynamsoft SourceAnywhere Hosted Cache Server to take effect.


Service Control (Cache Server Manager)

Service Control

  • Service Info
  • Service Relation
  • General Settings
  • Cache Settings
  • System Log
  • Proxy
  • SSL Root Certificate

Allows you to start or stop the service of Dynamsoft SourceAnywhere Hosted Cache Server.

Window Items

Start

Starts the service of Dynamsoft SourceAnywhere Hosted cache server.

Stop

Stops Dynamsoft SourceAnywhere Hosted cache server service.


Service Relation

  • Service Info
  • Service Relation (Connect to hosted server) Dialog Box
  • Service Relation (Connect to my cache server) Dialog Box

Allows you to establish the service relation between the cache server and the hosted server, or between two cache servers. Under this relation, the client will connect to the hosted server through the cache server.

Note: Changes in this page call for restarting the service of Dynamsoft SourceAnywhere Hosted Cache Server to take effect.

Window Items

Connect to hosted server Option
Connect to my cache server Option

Connect to hosted server Option

Check this option if you will have this cache server connecting to the hosted server.

Cache Server IP

Displays the IP address of this cache server.

Cache Server Port

Displays the port of this cache server

Encryption Type

Displays the encryption type of this cache server, SSL or Unencrypted. If the encryption type is SSL, the data transfer between the client and this cache server will be secured with SSL encryption.

Server IP

Displays the IP address of the server.

Server Port

Displays the port of the server

Delta Transfer

Displays whether to use Delta Transfer technology to transfer data.

Connection Type

Displays the connection type: Local Connection, Broad Band Connection or Narrow Band Connection.

Connect to my cache server Option

Check this option if you will have this cache server connecting to another cache server.

Cache Server IP

Displays the IP address of this cache server.

Cache Server Port

Displays the port of this cache server

Encryption Type

Displays the encryption type of this cache server, SSL or Unencrypted. If the encryption type is SSL, the data transfer between the client and this cache server will be secured with SSL encryption.

Server IP

Displays the IP address of another cache server to which this cache server will connect.

Server Port

Displays the port of another cache server to which this cache server will connect.

Delta Transfer

Displays whether to use Delta Transfer technology to transfer data.

Connection Type

Displays the connection type: Local Connection, Broad Band Connection or Narrow Band Connection.

Add

Brings up the Service Relation Settings dialog box for you to add a new service relation.

Delete

Deletes the selected service relation(s).

Edit

Brings up the Service Relation Settings dialog box for you to edit the selected service relation.


General Settings (Cache Server Manager)

General Settings

  • Service Info
  • Service Control
  • Service Relation
  • Cache Settings
  • System Log
  • Proxy
  • SSL Root Certificate

Allows you to configure the path of temp folder that Dynamsoft SourceAnywhere Hosted Cache Server uses to store the temporary files.

Note: Changes in this page call for restarting the service of Dynamsoft SourceAnywhere Hosted Cache Server to take effect.

Window Items

Temp path

  • Path
     Specifies a local folder for storing temporary files. Click the Browse button to select one. The default path is a subfolder named "temp" in the installation directory of Dynamsoft SourceAnywhere Hosted Cache Server.


Cache Settings (Cache Server Manager)

Cache Settings

  • Service Info
  • Service Relation
  • General Settings
  • System Log
  • Proxy
  • SSL Root Certificate

Allows you to configure the cache settings for Dynamsoft SourceAnywhere Hosted Cache Server. This window contains cache settings for the following two types of server cache:

  • File cache. Requested files are cached on cache server to speed up the client access.
  • Memory cache. Caching temporary data in memory may reduce the disk I/O of the cache server.

Note: Changes in this page call for restarting the service of Dynamsoft SourceAnywhere Hosted Cache Server to take effect.

Window Items

File Cache

  • Path
    Specifies the directory for storing requested data. Click the Browse button to select one. The default path is the installation directory of Dynamsoft SourceAnywhere Hosted Cache Server.
  • Cache Size
    Specifies the amount of space used for cache server caching. 0 (zero) indicates unlimited.

Memory Cache

Storing the frequently accessed data in memory may reduce disk I/O and improve server performance. Before setting the memory size for Dynamsoft SourceAnywhere Hosted cache server, make sure that there is enough free memory available.

  • Use the default setting for server memory (1/16 of the total physical memory) - When this option is checked, Dynamsoft SourceAnywhere Hosted cache server uses 1/16 of the total physical memory for caching.
  • Use a fixed amount of memory - When this option is checked, Dynamsoft SourceAnywhere Hosted cache server uses a fixed amount of physical memory specified in the Memory size textbox by default, if the Lock Pages in Memory privilege is enabled for the Log On user of Cache Server service. Otherwise, the cache server uses the specified amount of virtual memory.


System Log (Cache Server Manager)

System Log

  • Service Info
  • Service Control
  • Service Relation
  • General Settings
  • Cache Settings
  • SSL Root Certificate
  • Proxy

Specifies whether and how to write the system log of Dynamsoft SourceAnywhere Hosted Cache Server.

Note: Changes in this page call for restarting the service of Dynamsoft SourceAnywhere Hosted Cache Server to take effect.

Remarks

System log is a step-by-step recording of the user interaction with Dynamsoft SourceAnywhere Hosted Cache Server. Details in the record such as connection and error information could provide useful information for you to resolve problems with Dynamsoft SourceAnywhere Hosted Cache Server. Therefore, it's recommended to log Cache Server activity for ease of problem diagnosis and security audit.

Window Items

View Log

Opens the log file.


Proxy

  • Service Info

Window Items

Proxy Type

Specifies the proxy type (none, http, socks4 and socks5).

Server name

Specifies the domain name or IP address of the proxy server.

Port

Type the proxy server port.

User name (if needed)

Specifies the user name used to login the proxy server.

Password (if needed)

Specifies the password for the specified user to login the proxy server.


SSL Root CA

SSL Root Certificate

  • Service Info
  • Service Control
  • Service Relation
  • General Settings
  • Cache Settings
  • System Log
  • Proxy

Allows you to generate an SSL root certificate for the SSL secure port of this cache server.

Note: Changes in this page call for restarting the service of Dynamsoft SourceAnywhere Hosted Cache Server to take effect.

Remarks

You need to generate an SSL root certificate for the client that connects to the SSL secure port of this cache server, if the encryption type of this cache server is set to SSL. Dynamsoft SourceAnywhere Hosted Cache Server manages SSL encryption by referencing an SSL root certificate. The SSL root certificate will be automatically downloaded and imported by the client (or another cache server) upon successful connection.

Window Items

Generate SSL Root Certificate

Displays the Generate SSL Root Certificate dialog box.

View SSL Root Certificate

Displays the View SSL Root Certificate dialog box.

Delete SSL Root Certificate

Deletes the existing SSL root certificate on this cache server.


Dialog Boxes (Cache Server Manager)

Dialog Boxes in Cache Server Manager

  • Generate SSL Root Certificate Dialog Box
  • Service Relation Settings (Connecting to hosted server) Dialog Box
  • Service Relation Settings (Connecting to my cache server) Dialog Box
  • View SSL Root Certificate Dialog Box


Generate SSL Root CA (Cache Server Manager)

Generate SSL Root Certificate Dialog Box

  • SSL Root Certificate
  • View SSL Root Certificate Dialog Box

Allows you to configure information which is used to generate SSL root certificate and set the SSL root certificate expiration date.

In the SSL Root Certificate page, clicking Generate SSL Root Certificate button will bring up the Generate SSL Root Certificate dialog box:

Dialog Box Item

Certificate Property

Specifies the general information of the user, including country, province, city, department, group, name, E-mail, description and the expiration date.


Service Relation Setting (Connecting to hosted server)

Service Relation Settings (Connecting to hosted server) Dialog Box

See Also

  • Service Relation

Establishes or edits a service relation between the cache server and the hosted server.

In the Service Relation window, selecting Connecting to my cache server option and clicking Add or Edit button will bring up the Service Relation Settings dialog box:

Dialog Box Items

Cache server IP and port Panel

Cache server IP

Specifies the IP address of this cache server.

Cache server port

Specifies the port of this cache server.

Encryption type

Specifies the encryption type of this cache server, SSL or Unencrypted. If the encryption type is set to SSL, the data transfer between the client and this cache server will be secured with SSL encryption, and you need to generate the SSL root certificate in SSL Root Certificate section.

Cache server IP and port Panel

Use SSL

Specifies whether this cache server connects to SSL secure port of the hosted server. If this box is checked, the data transfer between this cache server and the hosted server will be secured with SSL encryption.

Network options Panel

Use Delta transfer for data transfer

If this option is checked, SourceAnywhere Hosted will use Delta Transfer technology to transfer data.

Connection Type

Specifies the connection type. Available options are Local Connection, Broad Band Connection and Narrow Band Connection. Proper selection of this option will speed up network operations.


Service Relation Setting (Connecting to my cache server)

Service Relation Settings (Connecting to my cache server) Dialog Box

See Also

  • Service Relation

Establishes or edits a service relation between between two cache servers.

In the Service Relation window, clicking Add or Edit button will bring up the Service Relation Settings dialog box:

Dialog Box Items

Cache server IP and port Panel

Cache server IP

Specifies the IP address of this cache server.

Cache server port

Specifies the port of this cache server.

Encryption type

Specifies the encryption type of this cache server, SSL or Unencrypted. If the encryption type is set to SSL, the data transfer between the client and this cache server will be secured with SSL encryption, and you need to generate the SSL root certificate in SSL Root Certificate section.

Server IP and port Panel

Server IP

Specifies the IP address of another cache server to which this cache server will connect to.

Server port

Specifies the IP address of another cache server to which this cache server will connect to.

Network options Panel

Use Delta transfer for data transfer

If this option is checked, Dynamsoft SourceAnywhere Hosted will use Delta Transfer technology to transfer data.

Connection Type

Specifies the connection type. Available options are Local Connection, Broad Band Connection and Narrow Band Connection. Proper selection of this option will speed up network operations.


View SSL Root Certificate (Cache Server Manager)

View SSL Root Certificate Dialog Box

  • SSL Root Certificate
  • Generate SSL Root Certificate Dialog Box

Displays the name and expiration date of the SSL root certificate.

In Dynamsoft SourceAnywhere Hosted Cache Server Manager, access the SSL Root Certificate window, click View SSL Root Certificate button, and then the View SSL Root Certificate dialog box appears as follows:

Dialog Box Items

Name

Displays the name of the SSL Root Certificate.

Expiration date

Displays the expiration date of the SSL Root Certificate.

Close

Closes the dialog box.


References

This section includes the following references about Dynamsoft SourceAnywhere Hosted.

  • Naming Syntax
  • Keyboard Shortcuts
  • SDK


Naming Syntax

Naming Syntax, Conventions and Limitations

Dynamsoft SourceAnywhere Hosted has the following naming syntax, conventions and limitations:

  • User names can be up to 64 characters long.
  • Label names can be up to 255 characters long.
  • Project names can be up to 256 characters long.
  • File names can be up to 256 characters long.
  • Group names can be up to 64 characters long.
  • Repository names can be up to 128 characters long.
  • Project paths can be up to 384 characters long.
  • File paths can be up to 384 characters long.
  • Comments can be up to 1600 characters long.
  • Passwords can be up to 32 characters long.

Almost all characters can be used for names except the following invalid characters:

  • Dollar sign ($)
  • Percent sign (%)
  • Forward (/) and backward slash (\)
  • Colon (:) and semicolon (;)
  • Asterisk (*)
  • Question mark (?)
  • Double Quotation mark ( ")
  • Angle brackets (< >)
  • Pipe (vertical bar) (|)

File names and project names in Dynamsoft SourceAnywhere Hosted can contain dot (.) but there are limitations as follows:

  • Project names can be combination of dots with any other character. For example, ".build", "build.." are all valid
  • File names can not be dots only.
  • Project names can be less than two dots. For example,".." is valid while "..." is invalid.


Keyboard Shortcuts

Most commands in Dynamsoft SourceAnywhere Hosted have associated key combinations for you to execute these commands easily with the keystroke.

Client

Press | To
Ctrl + O | Connect to Dynamsoft SourceAnywhere Hosted Server or Cache Server.
Ctrl + R | Login Dynamsoft SourceAnywhere Hosted repository
Ctrl + A | Add files.
Ctrl + D | Set working folder.
F2 | Rename the selected item.
Del | Delete the selected item(s).
Ctrl + Shift + L | Select all files in the file list.
F5 | Refresh the project tree and related information
Ctrl + G | Get the latest version of the selected item.
Ctrl + K | Check out the selected item.
Ctrl + U | Check in item(s).
Ctrl + S | Search for checked-out files by status.
Ctrl +H | Show history of the selected item.
Ctrl + F | Compare two items and show the differences.
F1 | Show help.

Server Manager

Press | To
Ctrl + O | Connect to Dynamsoft SourceAnywhere Hosted Server or Cache Server.
Ctrl + R | Login Dynamsoft SourceAnywhere Hosted repository.
F5 | Refresh information of selected page.
F1 | Show help.

Cache Server Manager

Press | To
Ctrl + S | Start Service of Dynamsoft SourceAnywhere Hosted Cache Server.
Ctrl + O | Stop Service of Dynamsoft SourceAnywhere Hosted Cache Server.
F1 | Show help.


SDK

Dynamsoft SourceAnywhere Hosted SDK

Dynamsoft SourceAnywhere Hosted provides a Software Development Kit (SDK) which enables software developers to integrate Dynamsoft SourceAnywhere Hosted functionality with their applications. Through Dynamsoft SourceAnywhere Hosted Software Development Kit's APIs, you can develop applications that provide the similar functionality as the client software of Dynamsoft SourceAnywhere Hosted.

COM SDK

Enables you to integrate Dynamsoft SourceAnywhere Hosted functionality with your Windows application that is written in a language that supports Microsoft's Component Object Model, such as Microsoft Visual C++ and Microsoft Visual Basic.

Java SDK

Enables you to integrate Dynamsoft SourceAnywhere Hosted functionality with your Java applications.

For more information on how to use SDK, please refer to the Help file of SDK.


Troubleshooting

1. FAQ

  • Error Connecting to Dynamsoft SourceAnywhere Hosted Server
  • Socket is closed by Server.
  • I forgot the Admin password. What should I do?
  • More FAQ

2. Dynamsoft Support

Dynamsoft Corporation is committed to providing the high-quality support that you need to maximize the benefits in using our products. Our support professionals are ready to offer high quality, friendly and responsive technical support for our valued registered users.

  • Support Forum
  • Knowledge Base
  • Email Support: sawhosted@dynamsoft.com
  • Online Chat Support
  • Phone Support: 1-877-605-5491


Error Message

Error Message: Error connecting to Dynamsoft SourceAnywhere Hosted Server

Symptom:

When connecting to the server through SourceAnywhere Hosted client, you may get the following error message:

Connecting to server...
Error connecting to Dynamsoft SourceAnywhere Hosted server.

Cause & Resolution:

There are four possible causes of this problem. Please verify the following things:
  • Make sure the network connection is OK.
  • Please make sure port 80 and 443 are not blocked by your PC firwall, router firewall, proxy agent and etc. You can use the "Use SSL" option in the Login dialog box to switch the port.

If the issue persists, you can contact us at: sawhosted@dynamsoft.com. For instant help, you can reach us via LiveHelp.


Error Message

Error Message: Socket is closed by server

Symptoms

When you try to check in or add files, you may get the following error message in the output window of SourceAnywhere Hosted Client:
Socket is closed by server

Cause

1. The network connection is not stable.

2. Firewall blocks the connection/port.

Resolution

1. Make sure the newwork connection is OK. Please check the "Check if the socket is valid before network operations" option in menu Tools| Options| General tab to see if it helps.

2. Make sure there is no firewall is blocking the connection and port. The port number are 80 and 443.

If the issue persists, you can contact us at: sawhosted@dynamsoft.com. For instant help, you can reach us via LiveHelp.


I forgot the Admin password

I forgot the Admin password. What should I do?

To reset the password of SourceAnywhere Hosted Admin account, please follow steps below:

1.Log in your web portal via the following page: https://www.dynamsoft.com/Secure/SAWHosted_Signin.aspx.
(If you forget the password of your web portal, you can retrieve it using the "Forgot password" option.)

2.Click Reset SAW Admin Password tab to reset Admin password for SourceAnywhere Hosted.


Delete a Deleted Item

An item named <item name>was already deleted from this project.

This dialog box prompts when you are trying to delete an item when another item with the same name already exists in the project.

Dialog Box Items

Purge the old item and delete this one now?

Yes

Purge the old item and delete this item.

Yes All

Applies answer Yes to all items you are deleting.

No

Undoes the delete and does not purge the old item.

No All

Applies answer No to all items you are deleting.

Cancel

Cancels deleting the file or project and closes the dialog box.


Find Label Dialog Box

  • Show Differences Command

Allows you to find the labels applied on a file/project.

Dialog Box Items

Label

The name of the label.

Label Root

The path and name of the item to which the label is applied.

Date

The date when the label is applied.

Comment

The comment of the label.


Login (Additional Tab)

Login Dialog Box (Additional Tab)

See Also

  • Login (General Tab)
  • Repositories Dialog Box
  • Profile Manager

Tab Items

Default Repository

Type or select the default repository to log in. If this field is left blank, the client will prompt you the Repositories dialog box after successful connection to the hosted server.

If the default repository is specified, the Repositories dialog box will be skipped at each login.

Note: Before setting the default repository please input the necessary information in General tab first.

Proxy Information Panel

Proxy type

Select the proxy type: None, Socks4, Socks5 or Http.

Server name

Type the IP or name of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

Port

Type the port of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

User name (if the proxy requires authentication)

Type the proxy username.

Password (if the proxy requires authentication)

Type the proxy password.


Login (General Tab)

Login Dialog Box (General Tab)

See Also

  • Login (Additional Tab)
  • Profile Manager

Tab Items

Organization ID

Type the organization ID that is part of your hosting service account identity.

User Name

Type the user name, which must be configured on the Users tab of Server Manager.

Password

Type the password. Check Remember Password checkbox if you'd like the password of the user to be filled automatically at each login.

Connect to Dynamsoft SourceAnywhere Hosted Server

Check this box if the client connects to the hosted server directly without using cache servers.

Use SSL

If this box is checked, the client will connect to the secure port of hosted server using SSL encryption.

Connect through my Cache Server

If you have SourceAnywhere Hosted cache servers deployed at the client side, check this box and the client will connect to the hosted server through your cache server.

Cache Server Address

Type the IP or domain name of your cache server.

Cache Server Port

Type the port of your cache server.


Login FTP Server

Login FTP Server Dialog Box

  • Web Deploy Command
  • Add Web Project

This dialog box appears only when deploying a web project with the option "Input login info when performing the deploy operation" checked in the Add Web Project dialog box.

Dialog Box Items

Anonymous

Logs in the FTP server as a anonymous user.

Username

Specifies the user name for the FTP server .

Password

Specifies the password used for this user to log into the FTP server.

OK

Confirms the input and closes the dialog box.

Close

Closes the dialog box.


Select Version Dialog Box

  • Show Differences Command

Select File Version

Select Project Version

Allows you to find the version number of a file/project.

Dialog Box Items

File List

  • Name: The name of the item the change was made to

  • User: The user who made the change

  • Date: The date and time the change occurred

  • Version: The version number of the item that resulted from the change

  • Action: The action that corresponded to the change

Project List

  • Version: the version number of the project

  • Date: The date and time the change set was made to the project

  • User: The user who made the change set

  • Comment: The comment of the change set.


Shelve/Unshelve Pending Checkins

  • To shelve pending checkins
  • To unshelve pending checkins

Command Remarks

When you are not ready to or cannot check in a set of checked out files, you may shelve these pending check-ins. Each shelve operation will create a shelveset. The changes in a shelveset can be restored into your working folders later.

Likewise, when you are ready to check in these files, you can restores these file versions from a shelveset to your working folders.

To shelve pending checkins

  1. In Pending Checkins Explorer, click Shelve Pending Checkins button on the toolbar.

  2. In the Shelve dialog box, enter a name for the shelveset in the Shelveset name edit box. In the Comment box, you can write some descriptions about the shelveset.

  3. Select the items you wish to shelve. Check the Preserve Pending Changes Locally checkbox if you want to preserve the pending change information locally. If this option is unchecked, after you shelve some pending checkins, system will automatically undo check out these files.

    NOTE:
    To shelve the checked items successfully, you should make sure that they have local copies on your current machine.

    For example, suppose that file A and file B were checked out on another machine ("LOGAN1DYNAMSOFT"). In the current machine, if their copies don't exist on corresponding Local Path, these two files will not be shelved in the shelveset.
  4. Click Shelve.

To unshelve pending checkins

  1. In Pending Checkins Explorer, click Unshelve Pending Checkins.
  2. In the Unshelve dialog box, find the shelvesets created by a user.

  3. In the Results list, select the shelvesets you want to unshelve. You can click the Details button to view the details information of a shelveset and unshelve changes in the Shelveset Details dialog box.

    Preserve shelveset on server
    Check this checkbox if you want to preserve the shelveset on server after unshelving. If this option is left unchecked, the shelveset will be deleted from server after unshelving.
  4. click Unshelve.


Installation

The installation procedure is as follows:

  1. Start Eclipse IDE. On the Help menu, click Software Updates and choose Find and Install.
  2. In the Feature Updates dialog box, choose "Search for new features to install" option.
  3. In the Update sites to visit dialog, click New Remote Site button. Input a name for this update site (e.g. Dynamsoft Eclipse Plugin) and the following URL: http://www.dynamsoft.com/download/sourceanywhere/EclipsePlugin/SAWH/
  4. Check the "Dynamsoft Eclipse Plugin" box in the Sites to include in search pane and click Finish.
  5. Choose the features you need and click Install.
  6. Please read the license agreement of Dynamsoft SAW Hosted Feature carefully, then select "I accept the terms in the license agreement."
  7. Select the feature and choose a location to install it. Then Click Finish.


Encryption

Dynamsoft SourceAnywhere Hosted supports data encryption to protect passwords and data files from being compromised as they are transferred across the Internet. Dynamsoft SourceAnywhere Hosted supports the Blowfish encryption and SSL encryption.

Dynamsoft SourceAnywhere Hosted contains 128-bit cryptography and has been approved for limited export by the US Commerce Department in accordance with the Export Administration Act.

Export to following countries is prohibited by United States law: Cuba, Iran, Iraq, Libya, North Korea, Sudan, and Syria.


Connect to Server command

Login (File Menu)

See also

  • Login Dialog Box
  • Select Repository Command

Logins Dynamsoft SourceAnywhere Hosted Server directly or through your cache server.

How to connect to the hosted server and log in a repository

  1. Start Dynamsoft SourceAnywhere Hosted or select Login on File menu to display the Login dialog box .
  2. Input the connection information in the General tab of the Login dialog box. If a proxy is used, input the proxy information in the Proxy Information panel of the Additional tab of the Login dialog box.
  3. If you'd like to log in a repository without choosing it at each login, type or select the default repository to log in in the Additional tab of the Login dialog box. If this field is left blank, the Client will prompt you the Repositories dialog box after successful connection to the hosted server.


Choose Repository Command

Select Repository (File Menu)

See also

  • Repositories Dialog Box
  • Login Command

Selects a Dynamsoft SourceAnywhere Hosted repository to login.

In Dynamsoft SourceAnywhere Hosted, you can setup multiple repositories. However, files in different repositories can not be shared or branched. If you want to use another repository from the current Server, you can choose a repository from the available repositories.

How to login to a repository

  1. On the File menu, click Select Repository to display the Repositories dialog box.

  2. Select a repository from the repository list.

  3. Click OK.


Add Profile

Add Profile Dialog Box

  • Profile Manager Dialog Box

Dialog Box Items

Enter a name for the new profile

Type the name of the profile.

OK

Confirms the input and adds the profile.

Cancel

Cancels adding a profile and closes the dialog box.


Edit Profile

Edit Profile Dialog Box

  • Profile Manager Dialog Box

This dialog box contains the following two tabs:

  • General Tab
  • Additional Tab

General Tab

Tab Items

Organization ID

Type the organization ID that is part of your Hosted account identity.

User Name

Type the user name, which must be configured on the Users tab of Server Manager.

Password

Type the password. Check Remember Password checkbox if you'd like the password of the user to be filled automatically at each login.

Connect to Dynamsoft SourceAnywhere Hosted Server

Check this box if the client connects to the Hosted Server directly without using the cache server.

Use SSL

If this box is checked, the client will connect to the secure port of Hosted Server using SSL encryption.

Connect through my Cache Server

If you have Dynamsoft SourceAnywhere Hosted Cache Server deployed at the client side, check this box and the client will connect to Dynamsoft SourceAnywhere Hosted Server through your cache server.

Cache Server Address

Type the IP or domain name of your cache server.

Cache Server Port

Type the port of your cache server.

Additional Tab

Tab Items

Default Repository

Type the default repository to log in. If this field is left blank, the client will prompt you the Repositories dialog box after successful connection to SourceAnywhere Hosted Server.

Note: Before setting the default repository please input the necessary information in General tab first.

Proxy Information Panel

Proxy type

Select the proxy type: None, Socks4, Socks5 or Http.

Server name

Type the IP or name of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

Port

Type the port of the proxy server, if Socks4, Socks5 or Http is selected as the proxy type.

User name (if the proxy requires authentication)

Type the proxy username.

Password (if the proxy requires authentication)

Type the proxy password.


Connect to Server Dialog Box

Login Dialog Box

See also

  • Login Command
  • Repositories Dialog Box
  • Profile Manager Dialog Box

Login Info Panel

  • General Tab
  • Additional Tab

Profile Panel

Select the Profile to apply the pre-configured login information to the Login Info panel. Each Profile saves the information that is required for all the items within Login Info panel. You may create any Profile as needed with Profile Manager. Clicking Profile Manager button will bring up the Profile Manager dialog box.


Login (General Tab)

Login Dialog Box (General Tab)

See Also

  • Login (Additional Tab)
  • Profile Manager Dialog Box

Tab Items

Organization ID

Type the organization ID that is part of your hosted service account identity.

User Name

Type the user name, which must be configured on the Users tab of Server Manager.

Password

Type the password. Check Remember Password checkbox if you'd like the password of the user to be filled automatically at each login.

Connect to Dynamsoft SourceAnywhere Hosted Server

Check this box if the client connects to the hosted server directly without using cache servers.

Use SSL

If this box is checked, the client will connect to the secure port of hosted server using SSL encryption.

Connect through my Cache Server

If you have SourceAnywhere Hosted cache servers deployed at the client side, check this box and the client will connect to the hosted server through your cache server.

Cache Server Address

Type the IP or domain name of your cache server.

Cache Server Port

Type the port of your cache server.


Profile Manager

Profile Manager Dialog Box

  • Login Dialog Box
  • Add Profile Dialog box
  • Edit Profile Dialog Box
  • Rename Profile Dialog Box

Enables you to customize your profiles to save different login configurations.

Dialog Box Items

Close

Closes the dialog box.

Add

Adds a new profile. Clicking Add button will bring up the Add Profile dialog box.

Delete

Deletes the selected profile(s).

Rename

Renames the selected profile. Clicking Rename button will bring up the Rename Profile dialog box.

Edit

Edits the selected profile. Clicking Edit button will bring up the Edit Profile dialog box.


Login Repository Dialog Box

Repositories Dialog Box

  • Login Command

Selects a repository to login in currently connected Dynamsoft SourceAnywhere Hosted server.

Dialog Box Items

Select a repository

Select a repository from the list, which shows all available repositories in current Server.

OK

Logins the selected repository.

Close

Closes the dialog box.